<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package Livekitchen
 */
get_header(); ?>
<div data-jarallax='{"speed": 0.3, "imgSrc": "<?php echo livekitchen_theme_get_customizer_field('404_bg_img', array('url', get_template_directory_uri()."/images/error-bg.jpg" )); ?>" }' class="error-page-area bg-pattern">
    <div class="container">
        <div class="row">
            <div class="col-md-7 full-width-content">
                <div class="error-page-content text-center">
                    <h3 class="error-title"><?php esc_html_e('Page not found', 'livekitchen'); ?></h3>
                    <div class="row">
                        <div class="col-sm-5"> 
                            <img src="<?php echo livekitchen_theme_get_customizer_field('404_img', array('url', get_template_directory_uri()."/images/error-content.png" )); ?>" alt="<?php esc_attr_e('error-content', 'livekitchen' ); ?>">
                        </div>
                        <div class="col-md-7">
                            <h2 class="error-404"><span><?php esc_html_e('404', 'livekitchen'); ?></span><?php esc_html_e('Error!', 'livekitchen'); ?></h2>
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn btn-details link-home"><?php esc_html_e('Go To Home', 'livekitchen'); ?></a> 
                        </div>
                    </div>
                </div><!--/.error-page-content-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.error-page-area-->
<?php get_footer(); ?>