<?php
/**
 * Template Name: Contact Page
 */

get_header(); ?>
<!--================= Page Heading ===================-->
<?php livekitchen_theme_page_header_bg(); ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <h2 class="page-heading"><?php the_title(); ?></h2><!--/.page-heading-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.page-heading-area-->

<!--================= Page Nav Area ===================-->
<div class="page-nav-area">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <ul class="breadcrumb page-nav list-unstyled">
                    <li>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'livekitchen'); ?></a>
                    </li> 
                    <li><?php the_title(); ?></li>
                </ul><!--/.page-nav-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.page-title-area-->

<!--================= Contact-us Area ===================-->
<div class="contact-us-area margin-top">
    <div class="container">
        <div class="row">
            <div class="col-md-4 ">
                <div class="contact-us-content">
                    <div class="section-align-title-area">
                        <h2 class="section-align-title"> 
                        <?php echo esc_html(livekitchen_theme_get_customizer_field('contact_form_left_title')); ?>
                        </h2> 
                    </div><!--/.section-align-title-area-->
                    <div class="single-contact-info">
                        <?php echo wp_kses( livekitchen_theme_get_customizer_field('contact_form_left_content'), Livekitchen_Theme_Static::html_allow() ); ?>
                    </div>
                    <!--/.single-contact-info-->
                </div>
                <!--/.contact-us-content-->
            </div>
            <!--/.col-md-4-->
            <div class="col-md-8">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="title-text text-center">
                        <?php echo esc_html(livekitchen_theme_get_customizer_field('contact_form_title')); ?></h2> </div>
                    <!--/.col-md-12-->
                </div>
                <!--/.row-->
                <div id="contact-form-wrap">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="sand-message-title-area text-center"><img src="<?php echo livekitchen_theme_get_customizer_field('contact_form_img', array('url', get_template_directory_uri()."/images/message-icon.png" )); ?>" alt="<?php esc_attr_e('icon', 'livekitchen'); ?>">
                                <h2 class="sand-message-heading"><?php echo esc_html(livekitchen_theme_get_customizer_field('contact_form_subtitle')); ?></h2>
                            </div><!--/.sand-message-title-area-->
                        </div><!--/.col-md-12-->
                        <div class="col-md-12">
                            <div id="respond" class="contact-respond"> 
                                <?php 
                                    // show contact form by contact form 7 plugin 
                                    if ( livekitchen_theme_get_customizer_field('contact_form_shortcode') ) {
                                        echo do_shortcode( livekitchen_theme_get_customizer_field('contact_form_shortcode') ); 
                                    }
                                ?> 
                            </div>
                            <!--/.contact-respond-->
                        </div>
                        <!--/.col-md-12-->
                    </div>
                    <!--/.row-->
                </div>
                <!--/#contact-form-wrap-->
            </div>
            <!--/.row-->
        </div>
        <!--/.col-md-6-->
    </div>
    <!--/.container-->
</div><!--/.contact-us-area-->

<!--================= Google Maps Area ===================-->
<div class="contact-google-map-area">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="section-title-area section-title-area-four text-center">
                    <h4 class="sub-title"><?php echo esc_html(livekitchen_theme_get_customizer_field('map_title_top')); ?></h4>
                    <h2 class="section-title"><?php echo esc_html(livekitchen_theme_get_customizer_field('map_title')); ?></h2>
                    <p class="section-title-dec"><?php echo esc_html(livekitchen_theme_get_customizer_field('map_subtitle')); ?></p>
                </div>
                <!--/.section-title-area-->
            </div>
            <!--/.col-md-12-->
        </div>
        <!--/.row-->
        <div class="row">
            <div class="col-md-12">
                <div class="gmaps-area">
                    <div id="gmaps" class="gmaps" data-lat="<?php echo esc_attr(livekitchen_theme_get_customizer_field('map_lat')); ?>" data-long="<?php echo esc_attr(livekitchen_theme_get_customizer_field('map_long')); ?>" data-img="<?php echo livekitchen_theme_get_customizer_field('map_img', array('url', get_template_directory_uri()."/images/map-icon.png" )); ?>"> </div>
                </div>
            </div>
            <!--/.col-md-12-->
        </div>
        <!--/.row-->
    </div>
    <!--/.container-->
</div>
<!--/.contact-google-map-area--> 
<?php get_footer(); ?>