<?php
/**
* The template for displaying the footer.
*
* Contains the closing of the #content div and all content after
*
* @package Livekitchen
*/
?> 
    <?php if(livekitchen_theme_get_customizer_field('footer_top_option','footer_top')): ?>
    <!--================= Site Footer ===================-->
    <div id="footer-top-section" style="background-image:url(<?php echo livekitchen_theme_get_customizer_field('footer_top_option','1','bg_img', array('url', get_template_directory_uri()."/images/footer-pattern.jpg" )); ?>); background-color: <?php echo livekitchen_theme_get_customizer_field('footer_top_option','1','bg_color'); ?>;">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="section-title-area text-center">
                        <h2 class="section-title"><?php echo livekitchen_theme_get_customizer_field('footer_top_option','1','title'); ?></h2>
                        <p class="section-title-dec"><?php echo livekitchen_theme_get_customizer_field('footer_top_option','1','subtitle'); ?></p>
                    </div><!--/.section-title-area-->
                </div><!--/.col-md-12-->
            </div><!--/.row-->

            <div class="row">
                <?php
                    $footer_contact_info = livekitchen_theme_get_customizer_field('footer_top_option','1','footer_contact_info');
                    if ( $footer_contact_info != "" ) {
                        foreach ( $footer_contact_info as $value ) { ?>
                        <div class="col-sm-6 col-md-3"> 
                            <div class="widget clearfix">
                                <div class="widget-title-area">
                                    <?php 
                                    if(!empty($value['icon']) ) {
                                    if ($value['icon']['type'] == "icon-font") { ?>
                                        <i class="<?php echo esc_attr($value['icon']['icon-class']);?>"></i>
                                    <?php } else { ?>
                                        <img src="<?php  echo esc_url($value['icon']['url']); ?>" alt="<?php esc_attr_e('Img Icon','livekitchen' ); ?>" />
                                    <?php } } ?> 
                                    <h4 class="widget-title"><?php if(!empty($value['title'])) echo esc_html($value['title']); ?></h4> 
                                </div><!--/.widget-title-area-->
                                <div class="widget-content">
                                    <p><?php if(!empty($value['content'])) echo wp_kses( $value['content'], Livekitchen_Theme_Static::html_allow() ); ?></p>
                                </div>
                            </div><!--/.widget_address--> 
                        </div><!--/.col-md-3-->
                        <?php 
                        }
                    } 
                ?>   

                <div class="col-sm-6 col-md-3">
                    <div class="widget-area footer-sidebar-top-4">
                        <aside class="widget clearfix widget_social_media">
                            <div class="widget-title-area">
                                <h4 class="widget-title"><?php esc_html_e('Social Account', 'livekitchen'); ?></h4> 
                            </div><!--/.widget-title-area-->
                            <div class="widget-social"> 
                                <?php livekitchen_theme_social_link(livekitchen_theme_get_customizer_field('footer_top_option','1','footer_social_link')); ?>  
                            </div><!--/.widget-social-->
                        </aside><!--/.widget_social_media-->
                    </div><!--/.footer-sidebar-top-4-->
                </div><!--/.col-md-3-->
            </div><!--/.row-->
        </div><!--/.container-fluid-->
    </div><!--/#footer-top-section-->
    <?php endif; //footer_top ?>
    
    <footer id="colophon" class="site-footer"  style="background-image:url(<?php echo livekitchen_theme_get_customizer_field('footer_bg_img', array('url', get_template_directory_uri()."/images/footer-bottom-bg.jpg" )); ?>); background-color: <?php echo livekitchen_theme_get_customizer_field('footer_bg_color'); ?>;">
        <!-- Footer Bottom Section-->
        <div id="footer-bottom-section">
            <div class="container">
                <?php if(livekitchen_theme_get_customizer_field('footer_widgets_option','footer_widgets')): ?>
                <div class="row">
                    <?php 
                    // show footer widget with condition
                    $columns = intval( livekitchen_theme_get_customizer_field('footer_widgets_option','1','columns') );
                    $col_class = 12 / max( 1, $columns );
                    $col_class_sm = 12 / max( 1, $columns );
                    if ( $columns == 4 ) {
                        $col_class_sm = 6;
                    } 
                    $col_class = "col-sm-$col_class_sm col-md-$col_class";
                    for ( $i = 1; $i <= $columns ; $i++ ) {
                        if ( $columns == 3 ) :
                            if ( $i == 3 ) {
                                $col_class = "col-sm-12 col-md-$col_class";
                            } else {
                                $col_class = "col-sm-6 col-md-$col_class";
                            } 
                        endif; 
                    ?>
                    <div class="widget-area footer-sidebar-<?php echo esc_attr($i) ?> <?php echo esc_attr( $col_class ) ?>">
                        <?php 
                            if ( is_active_sidebar( 'footer-'.$i ) ) : 
                                if ( ! dynamic_sidebar( 'footer-'.$i ) ) : 
                                endif; 
                            endif;
                        ?>
                    </div>
                    <?php } ?>
                </div><!-- /.row -->
                <?php endif; //footer_widgets ?>

                <div class="row">
                    <div class="col-md-12">
                        <div class="payment-method text-center">
                            <?php 
                            $payment_support = livekitchen_theme_get_customizer_field('payment_support');
                            if ( $payment_support != "" ) { 
                                foreach ( $payment_support as $value ) {
                                    if(isset($value['img']['url'])) {
                                ?>
                                    <a href="<?php if(isset($value['url'])) echo esc_url($value['url']); ?>"><img src="<?php echo esc_url($value['img']['url']); ?>" alt="<?php esc_attr_e('Payment Support', 'livekitchen'); ?>"></a>
                                <?php }
                                }
                            }
                            ?>
                        </div><!--/.payment-method-->
                    </div><!--/.copyright-->
                    <div class="col-md-12">
                        <div class="copyright text-center">
                            <p>
                                <?php 
                                    echo wp_kses( livekitchen_theme_get_customizer_field(array( 'copyright_text', __('Copyright  2017 SoftHopper - All Right Reserved <a href="//softhopper.net">SoftHopper.net</a>', 'livekitchen') )), Livekitchen_Theme_Static::html_allow() );
                                ?>
                            </p>
                        </div><!--/.copyright-->
                    </div><!--/.copyright-->
                </div><!--/.row-->
            </div><!--/.container-->
        </div><!--/#footer-bottom-section-->
    </footer><!--/.site-footer-->
    <?php wp_footer(); ?>

    <?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
