<?php if (!defined('FW')) die('Forbidden');

$options = array(
    'form_tab' => array(
        'title'   => esc_html__( 'Form Tab', 'livekitchen' ),
        'type'    => 'tab',
        'options' => array(
            'book_table_reservation_form' => array(
                'type'         => 'multi-picker',
                'label'        => false,
                'desc'         => false,
                'picker'       => array(
                    'reservation_form' => array(
                        'type'    => 'select',
                        'label'    => esc_html__( 'Reservation Form', 'livekitchen' ), 
                        'choices' => array(
                            '1' => esc_html__( 'Dynamic Reservation', 'livekitchen' ), 
                            '2' => esc_html__( 'Email Reservation', 'livekitchen' ), 
                        ),
                        'value'    => '1',
                    ),
                ),
                'choices' => array(
                    '1'  => array(
                        'dynamic_reservation_woo_products' => array(
                            'type'       => 'multi-select',
                            'label'   => esc_html__( 'Reservation Product', 'livekitchen' ), 
                            'desc'    => esc_html__('Select your reservation product. After that your reservation form will able to process payment and orders','livekitchen'),  
                            'population' => 'posts',
                            'source'     => 'product',
                            'limit' => 1,
                        ),
                    ),
                    '2'  => array(
                        'rcv_email_id' => array(
                            'label' => esc_html__( 'Receiving Email ID', 'livekitchen' ),
                            'desc'  => esc_html__( 'In which email you want to receive booking mail?', 'livekitchen' ),
                            'type'  => 'text', 
                        ),
                    ),
                ),
            ), 
            'title' => array(
                'label' => esc_html__( 'Form Title', 'livekitchen' ),
                'type'  => 'text',
                'value'  => "Take a <span>reservation</span>",
            ),
            'form_btn_title' => array(
                'label' => esc_html__( 'Form Button Title', 'livekitchen' ),
                'type'  => 'text',
                'value'  => "Book A Table",
            ),
            'book_a_table_style_option' => array(
                'type'         => 'multi-picker',
                'label'        => false,
                'desc'         => false,
                'picker'       => array(
                    'book_a_table_style' => array(
                        'type'    => 'select',
                        'label'    => esc_html__( 'Book A Table Style', 'livekitchen' ), 
                        'choices' => array(
                            '1' => esc_html__( 'One', 'livekitchen' ), 
                            '2' => esc_html__( 'Two', 'livekitchen' ), 
                        ),
                        'value'    => '1',
                    ),
                ),
                'choices' => array(
                    '1'  => array(
                        'book_a_table_form_style' => array(
                            'type'    => 'select',
                            'label'    => esc_html__( 'Book A Table Form Color Style', 'livekitchen' ), 
                            'choices' => array(
                                'one' => esc_html__( 'One', 'livekitchen' ), 
                                'two' => esc_html__( 'Two', 'livekitchen' ), 
                            ),
                            'value'    => 'one',
                        ),
                        'color' => array(
                            'label' => esc_html__( 'Background Color', 'livekitchen' ),
                            'type'  => 'color-picker', 
                        ), 
                    ),
                ),
            ),
            'margin_top' => array(
                'label' => esc_html__( 'Margin Top', 'livekitchen' ),
                'type'  => 'text',
                'value'  => "-45px",
            ),
        ),
    ), 
    'chef_tab' => array(
        'title'   => esc_html__( 'Chef Tab', 'livekitchen' ),
        'type'    => 'tab',
        'options' => array( 
            'name' => array(
                'label' => esc_html__( 'Chef Name', 'livekitchen' ),
                'type'  => 'text',
                'value'  => "Mark Jahid",
            ),
            'pos' => array(
                'label' => esc_html__( 'Chef Position', 'livekitchen' ),
                'type'  => 'text',
                'value'  => "Head Chef",
            ),  
            'chef_msg' => array(
                'label' => esc_html__( 'Chef Message', 'livekitchen' ),
                'type'  => 'textarea',
                'value'  => "Welcome to Livekitchen restaurant website. Here we try to share our vision about food quality, our mission about customer&rsquo;s satisfaction and introducing services that we provide for each one of you.",
            ), 
            'chef_img' => array(
                'label' => esc_html__( 'Chef Image', 'livekitchen' ),
                'type'  => 'upload', 
            ), 
            'sign' => array(
                'label' => esc_html__( 'Chef Sign', 'livekitchen' ),
                'type'  => 'upload', 
            ), 
            'btn_title' => array(
                'label' => esc_html__( 'Chef Section Button Title', 'livekitchen' ),
                'type'  => 'text', 
                'value'  => 'More', 
            ),
            'btn_url' => array(
                'label' => esc_html__( 'Chef Section Button URL', 'livekitchen' ),
                'type'  => 'text', 
                'value'  => '#', 
            ), 
            'padding_top' => array(
                'label' => esc_html__( 'Padding Top', 'livekitchen' ),
                'type'  => 'text',
                'value'  => "75px",
            ),
        ),
    ),    
);