<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
?>

<div class="booking-with-chif style-one" style="margin-top: <?php echo livekitchen_theme_builder_field($atts['margin_top']); ?>;">
    <div class="row">
        <div class="modal modal-success">
            <div class="modal-dialog">
                <div class="modal-content text-center">
                    <div class="modal-header">
                        <i class="glyphicon glyphicon-check success"></i>
                    </div>
                    <h3 class="modal-title"><?php esc_html_e('Congratulation', 'livekitchen'); ?></h3>
                    <div class="modal-body"> <?php esc_html_e('You request has been sent. We will contact you as soon as possible.', 'livekitchen'); ?></div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-success"><?php esc_html_e('OK', 'livekitchen'); ?></button>
                    </div>
                </div> <!-- / .modal-content -->
            </div> <!-- / .modal-dialog -->
        </div>

        <div class="modal modal-error">
            <div class="modal-dialog">
                <div class="modal-content text-center">
                    <div class="modal-header">
                        <i class="glyphicon glyphicon-check error-icon"></i>
                    </div>
                    <h3 class="modal-title"><?php esc_html_e('Ops!', 'livekitchen'); ?></h3>
                    <div class="modal-body">
                        <?php esc_html_e('Something Wrong', 'livekitchen'); ?>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" ><?php esc_html_e('OK', 'livekitchen'); ?></button>
                    </div>
                </div> <!-- / .modal-content -->
            </div> <!-- / .modal-dialog -->
        </div>

        <?php if(livekitchen_theme_builder_field($atts['book_a_table_style_option']['book_a_table_style']) == '1') { ?>
        <div class="col-md-4 col-sm-6">           
            <?php if( livekitchen_theme_builder_field($atts['book_table_reservation_form']['reservation_form'] ) == '1' ) { ?>
            <div id="book-a-table-form" class="online-book-form style-one color-<?php echo livekitchen_theme_builder_field($atts['book_a_table_style_option']['1']['book_a_table_form_style']); ?>" style="background-color: <?php echo livekitchen_theme_builder_field($atts['book_a_table_style_option']['1']['color']); ?>;">
                <h2 class="book-form-title"><?php echo livekitchen_theme_builder_field($atts['title']); ?></h2>
                <form action="#">
                    <?php echo ( wp_nonce_field( 'reservation', 'rn' ) ); ?>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="input">
                                <i class="fa fa-user-o"></i>
                                <input type="text" name="name" placeholder="<?php esc_attr_e('Name', 'livekitchen'); ?>" id="name" class="form-controller" required="required"> 
                            </div><!--/.input-->
                        </div><!--/.col-md-12-->
                        <div class="col-md-12">
                            <div class="input">
                                <i class="fa fa-envelope-open-o"></i>
                                <input type="email" name="email" placeholder="<?php esc_attr_e('Email', 'livekitchen'); ?>" id="email" class="form-controller" required="required"> 
                            </div><!--/.input-->
                        </div><!--/.col-md-12-->
                        <div class="col-md-12">
                            <div class="input">
                                <i class="fa fa-phone"></i>
                                <input type="tel" name="phone" placeholder="<?php esc_attr_e('Phone', 'livekitchen'); ?>" id="phone" class="form-controller" required="required"> 
                            </div><!--/.input-->
                        </div><!--/.col-md-12-->                        
                        <div class="col-md-12">
                            <div class="input">
                                <i class="fa fa-user-o"></i>
                                <select name="persons" id="persons" class="form-controller" required="required">
                                    <option value="1"><?php esc_html_e('1 Person', 'livekitchen'); ?></option>
                                    <option value="2"><?php esc_html_e('2 Person', 'livekitchen'); ?></option>
                                    <option value="3"><?php esc_html_e('3 Person', 'livekitchen'); ?></option>
                                    <option value="4"><?php esc_html_e('4 Person', 'livekitchen'); ?></option>
                                    <option value="5"><?php esc_html_e('5 Person', 'livekitchen'); ?></option>
                                    <option value="6"><?php esc_html_e('6 Person', 'livekitchen'); ?></option>
                                    <option value="7"><?php esc_html_e('7 Person', 'livekitchen'); ?></option>
                                    <option value="8"><?php esc_html_e('8 Person', 'livekitchen'); ?></option>
                                    <option value="9"><?php esc_html_e('9 Person', 'livekitchen'); ?></option>
                                    <option value="10"><?php esc_html_e('10 Person', 'livekitchen'); ?></option>
                                </select>
                            </div><!--/.input-->
                        </div><!--/.col-md-12-->
                        <div class="col-md-12">
                            <div class="input"><i class="fa fa-calendar"></i>
                                <input type="date" name="date" id="date" placeholder="<?php esc_attr_e('Date', 'livekitchen'); ?>" class="date-picker form-controller" required="required"> 
                            </div><!--/.input-->
                        </div><!--/.col-md-12-->
                        <div class="col-md-12">
                            <div class="input"><i class="fa fa-clock-o"></i>
                                <input type="time" name="time" id="time" placeholder="<?php esc_attr_e('Time', 'livekitchen'); ?>" class="time-picker form-controller" required="required"> 
                            </div><!--/.input-->
                        </div><!--/.col-md-12-->
                        <div class="col-md-12">
                            <input type="hidden" name="product_id" id="product_id" value="<?php echo livekitchen_theme_builder_field($atts['book_table_reservation_form'][1]['dynamic_reservation_woo_products'][0]); ?>" />
                            <button type="submit" id="reservenow" class="btn btn-default"><?php echo livekitchen_theme_builder_field($atts['form_btn_title']); ?></button>
                            <a href="#" target="_blank" class="btn btn-default button-complete-payments" id="paynow" style="display: none"><?php esc_html_e('Complete Payment & Reservation', 'livekitchen') ?></a>
                        </div><!--  /.col-md-12 -->
                    </div><!--  /.row -->
                </form>
            </div>
            <?php } else { ?>
            <form action="#" id="book-a-table-form" class="online-book-form style-one color-<?php echo livekitchen_theme_builder_field($atts['book_a_table_style_option']['1']['book_a_table_form_style']); ?>" style="background-color: <?php echo livekitchen_theme_builder_field($atts['book_a_table_style_option']['1']['color']); ?>;">
                <h2 class="book-form-title"><?php echo livekitchen_theme_builder_field($atts['title']); ?></h2>
                <input type="hidden" name="action" value="livekitchen_theme_book_a_table" />
                <input type="hidden" name="receving_mail_id" value="<?php echo livekitchen_theme_builder_field($atts['book_table_reservation_form'][2]['rcv_email_id']); ?>" />
                <div class="row">
                    <div class="col-md-12">
                        <div class="input">
                            <i class="fa fa-user-o"></i>
                            <input type="text" name="name" placeholder="<?php esc_attr_e('Name', 'livekitchen'); ?>" class="form-controller" required="required"> 
                        </div><!--/.input-->
                    </div><!--/.col-md-12-->
                    <div class="col-md-12">
                        <div class="input">
                            <i class="fa fa-envelope-open-o"></i>
                            <input type="email" name="email" placeholder="<?php esc_attr_e('Email', 'livekitchen'); ?>" class="form-controller" required="required"> 
                        </div><!--/.input-->
                    </div><!--/.col-md-12-->
                    <div class="col-md-12">
                        <div class="input">
                            <i class="fa fa-phone"></i>
                            <input type="tel" name="phone" placeholder="<?php esc_attr_e('Phone', 'livekitchen'); ?>" class="form-controller" required="required"> 
                        </div><!--/.input-->
                    </div><!--/.col-md-12-->
                    <div class="col-md-12">
                        <div class="input"><i class="fa fa-calendar"></i>
                            <input type="text" name="date" placeholder="<?php esc_attr_e('Date', 'livekitchen'); ?>" class="date-picker form-controller" required="required"> 
                        </div><!--/.input-->
                    </div><!--/.col-md-12-->
                    <div class="col-md-12">
                        <div class="input"><i class="fa fa-clock-o"></i>
                            <input type="text" name="time" placeholder="<?php esc_attr_e('Time', 'livekitchen'); ?>" class="time-picker form-controller" required="required"> 
                        </div><!--/.input-->
                    </div><!--/.col-md-12-->
                    <div class="col-md-12">
                        <div class="input">
                            <textarea name="message" placeholder="<?php esc_attr_e('Message', 'livekitchen'); ?>" class="form-controller"></textarea>
                        </div>
                        <!--/.input-->
                    </div><!--/.col-md-12-->
                    <div class="col-md-12"> 
                        <button type="submit" class="btn btn-default"><?php echo livekitchen_theme_builder_field($atts['form_btn_title']); ?></button>
                    </div><!--/.col-md-12-->
                </div><!--/.row-->
            </form><!--/.online-book-form-->
            <?php } ?>
        </div><!--/.col-md-4-->

        <div class="col-md-8 col-sm-6">
            <div class="head-chif-details" style="padding-top: <?php echo livekitchen_theme_builder_field($atts['padding_top']); ?>;"> 
                <h2 class="heading-title"><?php echo livekitchen_theme_builder_field($atts['name']); ?></h2>
                <h5 class="sub-heading-title"><?php echo livekitchen_theme_builder_field($atts['pos']); ?></h5>
                <p><?php echo livekitchen_theme_builder_field($atts['chef_msg']); ?></p>
                <div class="chif-sign"> 
                    <?php if(isset(livekitchen_theme_builder_field($atts['sign'])['url'])) : ?>
                    <img src="<?php echo esc_url(livekitchen_theme_builder_field($atts['sign'])['url']); ?>" alt="<?php esc_attr_e('sign','livekitchen' ); ?>">
                    <?php endif; ?>
                </div>
                <?php if(livekitchen_theme_builder_field($atts['btn_title']) != ""): ?>
                <a href="<?php echo livekitchen_theme_builder_field($atts['btn_url']); ?>" class="btn btn-default"><?php echo livekitchen_theme_builder_field($atts['btn_title']); ?></a>
                <?php endif; ?>
            </div><!--/.head-chif-details-->
            <div class="head-chif-image">
                <?php if(isset(livekitchen_theme_builder_field($atts['chef_img'])['url'])) : ?>
                <img src="<?php echo esc_url(livekitchen_theme_builder_field($atts['chef_img'])['url']); ?>" alt="<?php esc_attr_e('chef img','livekitchen' ); ?>">
                <?php endif; ?>
            </div><!--/.head-chif-image-->
        </div><!--/.col-md-8-->
        <?php } else { ?>
        <div class="col-md-12">
            <?php if( livekitchen_theme_builder_field($atts['book_table_reservation_form']['reservation_form'] ) == '1' ) { ?>
            <div id="book-a-table-form" class="online-book-form style-two">
                <h2 class="book-form-title"><?php echo livekitchen_theme_builder_field($atts['title']); ?>
                </h2>
                <form action="#">
                    <div class="row">
                        <div class="col-md-9">
                            <div class="row">
                                <div class="col-md-4">
                                    <label><?php esc_html_e('Name', 'livekitchen'); ?></label>
                                    <div class="input">
                                        <i class="fa fa-user-circle"></i>
                                        <input type="text" name="name" placeholder="<?php esc_attr_e('Name', 'livekitchen'); ?>" id="name" class="form-controller" required="required"> 
                                    </div><!--/.input-->
                                </div><!--/.col-md-4-->
                                <div class="col-md-4">
                                    <label><?php esc_html_e('Email', 'livekitchen'); ?></label>
                                    <div class="input">
                                        <i class="fa fa-envelope-open-o"></i>
                                        <input type="email" name="email" placeholder="<?php esc_attr_e('Email', 'livekitchen'); ?>" id="email" class="form-controller" required="required"> 
                                    </div><!--/.input-->
                                </div><!--/.col-md-4-->
                                <div class="col-md-4">
                                    <label><?php esc_html_e('Phone', 'livekitchen'); ?></label>
                                    <div class="input">
                                        <i class="fa fa-phone"></i>
                                        <input type="tel" name="phone" placeholder="<?php esc_attr_e('Phone', 'livekitchen'); ?>" id="phone" class="form-controller" required="required"> 
                                    </div><!--/.input-->
                                </div><!--/.col-md-4-->    
                            </div><!--  /.row -->
                            <div class="row">
                                <div class="col-md-4">
                                    <label><?php esc_html_e('Person', 'livekitchen'); ?></label>
                                    <div class="input">
                                        <i class="fa fa-user-o"></i>
                                        <select name="persons" id="persons" class="form-controller" required="required">
                                            <option value="1"><?php esc_html_e('1 Person', 'livekitchen'); ?></option>
                                            <option value="2"><?php esc_html_e('2 Person', 'livekitchen'); ?></option>
                                            <option value="3"><?php esc_html_e('3 Person', 'livekitchen'); ?></option>
                                            <option value="4"><?php esc_html_e('4 Person', 'livekitchen'); ?></option>
                                            <option value="5"><?php esc_html_e('5 Person', 'livekitchen'); ?></option>
                                            <option value="6"><?php esc_html_e('6 Person', 'livekitchen'); ?></option>
                                            <option value="7"><?php esc_html_e('7 Person', 'livekitchen'); ?></option>
                                            <option value="8"><?php esc_html_e('8 Person', 'livekitchen'); ?></option>
                                            <option value="9"><?php esc_html_e('9 Person', 'livekitchen'); ?></option>
                                            <option value="10"><?php esc_html_e('10 Person', 'livekitchen'); ?></option>
                                        </select>
                                    </div><!--/.input-->
                                </div><!--/.col-md-4-->
                                <div class="col-md-4">
                                    <label><?php esc_html_e('Date', 'livekitchen'); ?></label>
                                    <div class="input"><i class="fa fa-calendar"></i>
                                        <input type="date" name="date" id="date" placeholder="<?php esc_attr_e('Date', 'livekitchen'); ?>" class="date-picker form-controller" required="required"> 
                                    </div><!--/.input-->
                                </div><!--/.col-md-4-->
                                <div class="col-md-4">
                                    <label><?php esc_html_e('Time', 'livekitchen'); ?></label>
                                    <div class="input"><i class="fa fa-clock-o"></i>
                                        <input type="time" name="time" id="time" placeholder="<?php esc_attr_e('Time', 'livekitchen'); ?>" class="time-picker form-controller" required="required"> 
                                    </div><!--/.input-->
                                </div><!--/.col-md-12-->
                            </div><!--  /.row -->
                        </div><!--  /.col-md-9 -->
                        <div class="col-md-3">
                            <input type="hidden" name="product_id" id="product_id" value="<?php echo livekitchen_theme_builder_field($atts['book_table_reservation_form'][1]['dynamic_reservation_woo_products'][0]); ?>" />
                            <button type="submit" id="reservenow" class="btn btn-default"><?php echo livekitchen_theme_builder_field($atts['form_btn_title']); ?></button>
                            <a href="#" target="_blank" class="btn btn-default button-complete-payments" id="paynow" style="display: none"><?php esc_html_e('Complete Payment & Reservation', 'livekitchen') ?></a>
                        </div><!--  /.col-md-3 -->
                    </div><!--  /.row -->
                </form>
            </div>
            <?php } else { ?>                
            <form action="#" id="book-a-table-form" class="online-book-form style-two">
                <h2 class="book-form-title"><?php echo livekitchen_theme_builder_field($atts['title']); ?>
                </h2>
                <div class="row">
                    <input type="hidden" name="action" value="livekitchen_theme_book_a_table" />
                    <input type="hidden" name="receving_mail_id" value="<?php echo livekitchen_theme_builder_field($atts['book_table_reservation_form'][2]['rcv_email_id']); ?>" />
                    <div class="col-md-9">
                        <div class="row">                        
                            <div class="col-md-4">
                                <label><?php esc_html_e('Name', 'livekitchen'); ?></label>
                                <div class="input">
                                    <i class="fa fa-user-circle"></i>
                                    <input type="text" name="name" placeholder="<?php esc_attr_e('Name', 'livekitchen'); ?>" class="form-controller" required="required"> 
                                </div><!--/.input-->
                            </div><!--/.col-md-4-->

                            <div class="col-md-4">
                                <label><?php esc_html_e('Email', 'livekitchen'); ?></label>
                                <div class="input">
                                    <i class="fa fa-envelope-o"></i>
                                    <input type="text" name="email" placeholder="<?php esc_attr_e('Email', 'livekitchen'); ?>" class="form-controller" required="required"> 
                                </div><!--/.input-->
                            </div><!--/.col-md-4-->

                            <div class="col-md-4">
                                <label><?php esc_html_e('Phone', 'livekitchen'); ?></label>
                                <div class="input">
                                    <i class="fa fa-phone"></i>
                                    <input type="tel" name="phone" placeholder="<?php esc_attr_e('Phone', 'livekitchen'); ?>" class="form-controller" required="required"> 
                                </div><!--/.input-->
                            </div><!--/.col-md-4-->
                        </div><!-- /.row -->
                        <div class="row">                        
                            <div class="col-md-4">
                                <label><?php esc_html_e('Date', 'livekitchen'); ?></label>
                                <div class="input">
                                    <i class="fa fa-calendar"></i>
                                    <input type="text" name="date" placeholder="<?php esc_attr_e('Date', 'livekitchen'); ?>" class="date-picker form-controller" required="required">
                                </div><!--/.input-->
                            </div><!--/.col-md-4-->

                            <div class="col-md-4">
                                <label><?php esc_html_e('Time', 'livekitchen'); ?></label>
                                <div class="input">
                                    <i class="fa fa-clock-o"></i>
                                    <input type="text" name="time" placeholder="<?php esc_attr_e('Time', 'livekitchen'); ?>" class="time-picker form-controller" required="required"> 
                                </div><!--/.input-->
                            </div><!--/.col-md-4-->

                            <div class="col-md-4">
                                <label><?php esc_html_e('Message', 'livekitchen'); ?></label>
                                <div class="input">
                                    <i class="fa fa-envelope"></i>
                                    <input type="text" name="message" placeholder="<?php esc_attr_e('Message', 'livekitchen'); ?>" class="form-controller" required="required"> 
                                </div><!--/.input-->
                            </div><!--/.col-md-4-->
                        </div><!-- /.row -->
                    </div><!-- /.col-md-9 -->

                    <div class="col-md-3">
                        <button type="submit" class="btn btn-default"><?php echo livekitchen_theme_builder_field($atts['form_btn_title']); ?></button>
                    </div><!-- /.col-md-3 -->
                </div><!--/.row-->
            </form><!--/.online-book-form-->
            <?php } ?>
        </div><!--/.col-md-12-->
        <?php } ?>
    </div><!--/.row-->
</div><!--/.booking-with-chif-->