<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
$parallax_bg_img = (livekitchen_theme_builder_field($atts['parallax_bg_img']) != "") ? livekitchen_theme_builder_field($atts['parallax_bg_img']['url']) : "";
?> 
<div data-jarallax='{"speed": 0.3, "imgSrc": "<?php echo esc_url($parallax_bg_img); ?>" }' class="coming-soon-page jarallax">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="section-title-area text-center">
                    <h2 class="section-title"><?php echo livekitchen_theme_builder_field($atts['title']); ?></h2>
                    <p class="section-title-dec"><?php echo livekitchen_theme_builder_field($atts['subtitle']); ?></p>
                </div><!--/.section-title-area-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->

        <div class="row">
            <div class="col-md-7 col-full-width">
                <div class="timer-content-area text-center">
                    <?php 
                    $date_time = livekitchen_theme_builder_field($atts['date_time']); 
                    if($date_time != "") {
                    $date = explode(" ",$date_time);
                    $date_only = explode("-",$date[0]);
                    $time_only = explode(":",$date[1]);
                    $year = $date_only[2];
                    $month = $date_only[1];
                    $day = $date_only[0];
                    $hour = $time_only[0];
                    $minute = $time_only[1]; 
                    ?> 
                    <?php echo "<div class='countdown-time' data-year='$year' data-month='$month' data-day='$day' data-hour='$hour' data-minutes='$minute'></div>"; ?>
                    <?php } ?>
                    
                    <div class="social-share">
                        <?php
                            $social_link = livekitchen_theme_builder_field($atts['social_link']);
                            if ( $social_link != "" ) {
                                foreach ( $social_link as $key => $value ) { 
                                    if ($value['icon']['type'] == "icon-font") { ?>
                                        <a target="_blank" href="<?php echo esc_url($value['url']); ?>"><i class="<?php echo esc_attr($value['icon']['icon-class']);?>"></i></a>
                                        <?php
                                    } else { ?>
                                        <a target="_blank" href="<?php echo esc_url($value['url']); ?>"><img src="<?php  echo esc_url($value['icon']['url']); ?>" alt="<?php esc_attr_e('Img Icon','livekitchen' ); ?>" /></a>
                                    <?php } 
                                }
                            } 
                        ?> 
                    </div><!--/.social-share-->
                </div><!--/.timer-content-area-->
            </div><!--/.col-md-7-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.coming-soon-page-->