<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
$parallax_bg_img = (livekitchen_theme_builder_field($atts['parallax_bg_img']) != "") ? livekitchen_theme_builder_field($atts['parallax_bg_img']['url']) : "";
?>
<section data-jarallax='{"speed": 0.3, "imgSrc": "<?php echo esc_url($parallax_bg_img); ?>" }' class="our-delicious-menu jarallax">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="section-title-area text-center">
                    <h2 class="section-title italic-style color-white"><?php echo livekitchen_theme_builder_field($atts['title']); ?></h2>
                    <p class="section-title-dec"><?php echo livekitchen_theme_builder_field($atts['subtitle']); ?></p>
                </div>
            </div>

            <div class="clearfix"></div>
            <?php if(!empty($atts['categories'])) : ?>
            <div class="col-md-12">
                <div class="special-tab-content style-two">
                    <ul role="tablist" class="nav nav-tabs nav-tabs responsive">
                        <?php 
                        $i = 1; 
                        foreach ($atts['categories'] as $value) { 
                            $category = get_term_by('id', $value, 'product_cat');
                        ?>                           
                        <li class="<?php if($i ==1) echo esc_attr('active'); ?>">
                            <a href="#product-cat-<?php echo esc_attr($category->slug); ?>" role="tab" data-toggle="tab"><?php echo esc_html($category->name); ?></a>
                        </li>
                        <?php $i++; } ?>                         
                    </ul>
                    <div class="tab-content responsive tab_style_bg">
                        <?php 
                        $i = 1; 
                        foreach ($atts['categories'] as $value) { 
                            $category = get_term_by('id', $value, 'product_cat');
                        ?>
                        <div role="tabpanel" id="product-cat-<?php echo esc_attr($category->slug); ?>" class="tab-pane fade <?php if($i ==1) echo esc_attr(' active in '); ?>">
                            <div class="row"> 
                                <?php livekitchen_theme_shortcode_dining_menu_tab_content($value, $atts['number']); ?>
                            </div><!--/.row-->
                        </div><!--/.tabpanel-->
                        <?php $i++; } ?> 
                    </div>
                </div>
            </div><!--/.col-md-12-->
            <?php endif; ?>
        </div><!--/.row-->
    </div><!--/.container-->
</section><!--/.our-delicious-menu-->