<?php if (!defined('FW')) die('Forbidden');

$options = array(
    'title' => array(
        'label' => esc_html__( 'Title', 'livekitchen' ),
        'type'  => 'text',
        'value'  => "Our<br> Breakfast Menu",
    ), 
    'subtitle' => array(
        'label' => esc_html__( 'Subtitle', 'livekitchen' ),
        'type'  => 'text',
        'value'  => "This menu active from 8.00am - 12.00pm",
    ), 
    'categories' => array(
        'type'       => 'multi-select',
        'label'      => esc_html__( 'Select Category', 'livekitchen' ),
        'population' => 'taxonomy',
        'source'     => 'product_cat',
    ),
    'number' => array(
        'label' => esc_html__('Posts Per Page', 'livekitchen'), 
        'type'  => 'slider',
        'value' => 5,
        'properties' => array(                        
            'min' => 1,
            'max' => 50,
            'step' => 1,
        ),
    ), 
    'dining_style' => array(
        'type'         => 'multi-picker',
        'label'        => false,
        'desc'         => false,
        'picker'       => array(
            'style' => array(
                'type'    => 'short-select',
                'label'    => esc_html__( 'Dining Menu Style', 'livekitchen' ), 
                'choices' => array(
                    'one' => esc_html__( 'One Column', 'livekitchen' ), 
                    'two' => esc_html__( 'Two Column', 'livekitchen' ), 
                    'slider' => esc_html__( 'Slider', 'livekitchen' ),  
                ),
                'value'    => 'one',
            ),
        ),
        'choices' => array(
            array(
                'for' => array('one','two','slider'),
                'options'   => array(
                    'bg_img' => array(
                        'label' => esc_html__( 'Title Background Image', 'livekitchen' ),
                        'type'  => 'upload',
                    ),
                ),
            ),
            'two'  => array(
                'gallery' => array(
                    'label' => esc_html__( 'Title Gallery Image', 'livekitchen' ),
                    'desc' => esc_html__( 'These images will show in title right side', 'livekitchen' ),
                    'type'  => 'multi-upload',
                ),
                'pos' => array(
                    'type'    => 'short-select',
                    'label'    => esc_html__( 'Title Position', 'livekitchen' ), 
                    'choices' => array(
                        'left' => esc_html__( 'Left Side', 'livekitchen' ), 
                        'right' => esc_html__( 'Right Side', 'livekitchen' ), 
                    ),
                    'value'    => 'left',
                ),
            ),
            'slider'  => array(
                'section_heading' => array(
                    'label'    => esc_html__( 'Section Heading', 'livekitchen' ),
                    'desc' => esc_html__( 'You can off/on section heading from here', 'livekitchen' ),
                    'type'         => 'switch',
                    'right-choice' => array(
                        'value' => '1',
                        'label' => esc_html__( 'On', 'livekitchen' )
                    ),
                    'left-choice'  => array(
                        'value' => '0',
                        'label' => esc_html__( 'Off', 'livekitchen' )
                    ),
                    'value'        => '1',
                ),
            ),
        ),
    ),
);