<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
$product_query = new WP_Query(
    array(
        'post_type' => 'product', 
        'posts_per_page' => $atts['number'],
        'tax_query' => array(
            array(
                'taxonomy' => 'product_cat',
                'field' => 'id',
                'terms' => livekitchen_theme_builder_field($atts['categories']),
            )
        ), 
    )
);

$style = livekitchen_theme_builder_field($atts['dining_style']['style']);
$bg_img = (livekitchen_theme_builder_field($atts['dining_style'][$style]['bg_img']) != "") ? livekitchen_theme_builder_field($atts['dining_style'][$style]['bg_img']['url']) : "";
if ($style == "one") { ?>
<div class="menu-content-area">
    <div style="background-image: url(<?php echo esc_url($bg_img); ?>);" class="menu-item-heading text-center">
        <h3><?php echo livekitchen_theme_builder_field($atts['title']); ?></h3>
        <h5><?php echo livekitchen_theme_builder_field($atts['subtitle']); ?></h5>
    </div><!--/.menu-item-heading-->
    <?php if(!empty($atts['categories'])) :
    if ($product_query->have_posts()): 
    while ($product_query->have_posts()) : $product_query->the_post(); ?>
    <div class="menu-item-one style-three">
        <div class="image-area"> 
            <?php if ( has_post_thumbnail() ) { ?> 
                <a href="<?php the_permalink(); ?>">
                    <?php livekitchen_theme_post_featured_image(115, 99); ?>            
                </a> 
            <?php } ?> 
        </div>
        <div class="item-text">
            <h5 class="menu-title color-black">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                <span class="price hidden-md hidden-lg">
                    <?php global $product; echo wp_kses( $product->get_price_html(), Livekitchen_Theme_Static::html_allow() ); ?>
                </span>
            </h5> 
            <?php $food_mixed = livekitchen_theme_fw_post_meta('food_mixed');
            if(!empty($food_mixed)) { ?>
            <ul class="menu-item-meta">
                <?php foreach ($food_mixed as $value) { ?>
                <li><?php echo esc_html($value); ?></li> 
                <?php } ?>
            </ul>
            <?php } ?>
        </div>
        <div class="item-price hidden-sm hidden-xs">
            <div class="price-inner color-black"><?php echo wp_kses( $product->get_price_html(), Livekitchen_Theme_Static::html_allow() ); ?></div>
        </div>
    </div><!--/.menu-item-one-->
    <?php endwhile; endif; wp_reset_postdata(); endif; ?>
</div><!-- /.menu-content-area -->
<?php } elseif ($style == "two") {
$pos = livekitchen_theme_builder_field($atts['dining_style']['two']['pos']); ?>
<div class="menu-special-heading <?php if($pos == 'right') echo esc_attr('style-two'); ?>">
    <?php ob_start(); ?>
    <div class="tb-cell lv-col-big">
        <div style="background-image: url(<?php echo esc_url($bg_img); ?>);" class="bg-image overlay-bg">
            <div class="section-title-area text-center">
                <h2 class="section-title"><?php echo livekitchen_theme_builder_field($atts['title']); ?></h2>
                <p class="section-title-dec"><?php echo livekitchen_theme_builder_field($atts['subtitle']); ?></p>
            </div>
        </div>
    </div>
    <?php 
    $title_section = ob_get_clean(); ob_start(); 
    $gallery = livekitchen_theme_builder_field($atts['dining_style']['two']['gallery']);
    if(!empty($gallery)) { 
    foreach ($gallery as $value) { ?>
    <div class="tb-cell lv-col-small">
        <div style="background-image: url(<?php echo esc_url($value['url']); ?>);" class="bg-image"></div>
    </div>
    <?php } } 
    $gallery_section = ob_get_clean();
    if ($pos == 'left') {
        echo livekitchen_content_print($title_section);
        echo livekitchen_content_print($gallery_section);
    } else {
        echo livekitchen_content_print($gallery_section);
        echo livekitchen_content_print($title_section);
    } ?>
</div><!--/.menu-special-heading-->

<!-- Menu Content Area -->
<div class="menu-content-area">
    <div class="container">
        <div class="row">
            <?php livekitchen_theme_shortcode_dining_menu_tab_content($atts['categories'], $atts['number'], 'two'); ?>
        </div>
    </div>
</div><!--/.menu-content-area-->
<?php } else { ?>
<?php if(livekitchen_theme_builder_field($atts['dining_style']['slider']['section_heading'])) { ?>
<div class="menu-special-heading style-three">
    <div class="tb-cell lv-col-big">
        <div style="background-image: url(<?php echo esc_url($bg_img); ?>);" class="bg-image overlay-bg">
            <div class="section-title-area text-center">
                <h2 class="section-title"><?php echo livekitchen_theme_builder_field($atts['title']); ?></h2>
                <p class="section-title-dec"><?php echo livekitchen_theme_builder_field($atts['subtitle']); ?></p>
            </div>
        </div>
    </div>
</div><!--/.menu-special-heading-->
<?php } //section_heading ?>
<div class="menu-content-area">
    <div class="menu-item-slider owl-carousel">
    <?php if(!empty($atts['categories'])) :
    livekitchen_theme_shortcode_dining_menu_slider_content($atts['categories'], $atts['number']); 
    endif; ?>
    </div><!--/.menu-item-slider-->
</div><!--/.menu-content-area-->
<?php }