<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */ 

$wp_query = new WP_Query(
    array( 
        'post_type' => 'events',
        'posts_per_page' => -1, 
    ) 
);
$event_list = array();
if ( $wp_query->have_posts() ) : ?>
<?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); 
    $date = explode(" ", livekitchen_theme_fw_post_meta('time_duration','from'));
    $event_list[] = array(
        "id" => get_the_ID(),
        "date"  => $date[0]
    );
endwhile; endif; 

usort($event_list, "livekitchen_theme_event_sort_function");
krsort($event_list);

$event_by_month = array();
foreach($event_list as $d) {
    list($y, $m) = explode("/", $d['date']);
    $event_by_month[$y."/".$m][$d['id']] = $d['date'];
} 

$number = livekitchen_theme_builder_field($atts['number']);
$number = ($number) ? $number : 5;

if ($atts['style'] == 'one') { ?>

<div class="event-list-area">
    <div class="container">
        <?php 
        $wp_query = new WP_Query(
            array( 
                'post_type' => 'events',
                'posts_per_page' => $number, 
            ) 
        );
        if ( $wp_query->have_posts() ) : ?>
        <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>  
            <?php require get_template_directory().'/template-parts/post/content-event.php'; ?>
        <?php endwhile; ?>
        <?php endif; ?> 
         
    </div><!--/.container-->
</div><!--/.event-list-area-->
<?php } else { ?>
<div class="events-page-area">
    <div class="container-livekitchen">
        <div class="row">
            <?php foreach ($event_by_month as $events_key =>  $events) { ?>
            <div class="col-md-11 col-full-width">
                <div class="monthly-events-scdeule">
                    <h2 class="event-month-name text-center">
                        <span> 
                            <?php echo date('F', strtotime($events_key."/01")); ?>
                            <?php echo date('Y', strtotime($events_key."/01")); ?> 
                        </span>
                    </h2><!--/.event-month-name-->
                    <div class="events-list">
                        <div class="single-event">
                            <div class="row">
                                <?php foreach ($events as $event_key => $event) { ?>
                                <div class="col-md-6 col-sm-6 col-xs-6">
                                    <div class="event-content">  
                                        <div class="event-thumb">
                                            <a href="<?php echo get_permalink($event_key); ?>"> 
                                            <img src="<?php echo livekitchen_theme_get_image_crop_size_by_id( $event_key, 130, 95); ?>" alt="<?php echo get_the_title($event_key); ?>" /> 
                                            </a>
                                        </div> <!-- /.post-thumb --> 
                                        <div class="event-info clearfix">
                                            <div class="time-from"> 
                                                <h3 class="date">
                                                    <span>
                                                    <?php echo date('d', strtotime($event)); ?>
                                                    </span> 
                                                    <?php echo date('F', strtotime($event)); ?>
                                                </h3>
                                                <h4 class="day"><?php echo date('l', strtotime($event)); ?></h4>
                                                <h2 class="event-title"><?php echo get_the_title($event_key); ?></h2>
                                                <a href="<?php echo get_permalink($event_key); ?>" class="btn btn-details"><?php esc_html_e('view detail', 'livekitchen'); ?></a>
                                            </div><!--/.time-from-->
                                        </div><!--/.event-info-->
                                    </div><!--/.event-content-->
                                </div><!--/.col-md-6--> 
                                <?php } ?>  
                            </div><!--/.row-->
                        </div><!--/.single-event--> 
                    </div><!--/.events-list-->
                </div><!--/.monthly-events-scdeule-->
            </div><!--/.col-md-11-->
            <?php } ?>
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.events-page-area-->
<?php } ?>