<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
$gallery_type = $atts['gallery_type'];
if(!empty($atts['categories'])): ?>
<div class="single-gallery-group">
    <div class="container">
        <div class="row">
          <div class="col-md-12">
            <div class="section-title-area text-center">
              <h2 class="section-title"><?php echo livekitchen_theme_builder_field($atts['title']); ?></h2>
              <p class="section-title-dec"><?php echo livekitchen_theme_builder_field($atts['subtitle']); ?></p>
            </div><!--/.section-title-area-->
          </div><!--/.col-md-12-->
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="single-gallery-content">
                    <div class="row">
                        <div class="col-md-12">
                            <ul class="gallery-filter-menu">
                                <li class="current-tab">
                                    <a href="#" data-filter="*" class="filter"><?php esc_html_e('Show All', 'livekitchen'); ?></a>
                                </li>
                                <?php  
                                $gallery_cat_slugs = array();
                                    foreach ($atts['categories'] as $value) { 
                                    $category = get_term_by('id', $value, 'gallery_cat');
                                    $gallery_cat_slugs[] = $category->slug;
                                ?>                           
                                <li><a href="#" data-filter=".<?php echo esc_attr($category->slug); ?>" class="filter"><?php echo esc_html($category->name); ?></a></li>
                                <?php } ?>
                            </ul><!--/.gallery-filter-menu-->
                        </div><!--/.col-md-12-->
                    </div><!--/.row-->
 
                    <div class="row masonry-layout gallery-item-content">
                        <?php 
                       $gallery_query = new WP_Query(
                           array(
                               'post_type' => 'gallery', 
                               'posts_per_page' => -1,
                               'tax_query' => array(
                                   array (
                                       'taxonomy' => 'gallery_cat',
                                       'field' => 'slug',
                                       'terms' => $gallery_cat_slugs,
                                   )
                               ),  
                           )
                       );
                       if ($gallery_query->have_posts()) : 
                       $number = livekitchen_theme_builder_field($atts['number']); 
                       $i = 1; 
                        while ($gallery_query->have_posts()) : $gallery_query->the_post(); ?>
                        <?php             
                            $cat_slugs = '';
                            $category_names = get_the_terms( get_the_ID(), 'gallery_cat');
                            foreach($category_names as $cat_name) {        
                                $cat_slugs .= $cat_name->slug.' ';
                            }  
                        ?>  
                        <?php if( $gallery_type == "image" && livekitchen_theme_fw_post_meta('gallery_type_option','gallery_type') == "image") { ?>
                            <div class="col-md-3 grid <?php echo esc_attr($cat_slugs); ?>"> 
                                <div class="single-item"> 
                                    <?php if(livekitchen_theme_fw_post_meta('gallery_type_option','image','img','attachment_id') != "") { ?> 
                                    <img src="<?php echo esc_url(livekitchen_theme_get_image_crop_size(livekitchen_theme_fw_post_meta('gallery_type_option','image','img','attachment_id'), 360, 314, true)); ?>" alt="<?php esc_attr_e('img', 'livekitchen' ); ?>">
                                    <div class="overlay-gallery">
                                        <a href="<?php echo esc_url(livekitchen_theme_get_image_crop_size(livekitchen_theme_fw_post_meta('gallery_type_option','image','img','attachment_id'), 1024, 1024)); ?>" class="image-popup-btn"><i class="fa fa-picture-o"></i></a>
                                    </div> 
                                    <?php } ?> 
                                </div><!--/.single-item--> 
                            </div><!--/.grid-->
                        <?php if($i == $number) break; $i++; } 

                        if( $gallery_type == "video" && livekitchen_theme_fw_post_meta('gallery_type_option','gallery_type') == "video" ){ ?>
                            <div class="col-md-3 grid <?php echo esc_attr($cat_slugs); ?>"> 
                                <div class="single-item">  
                                    <img src="<?php echo esc_url(livekitchen_theme_get_image_crop_size(livekitchen_theme_fw_post_meta('gallery_type_option','video','video_screenshot','attachment_id'), 360, 314, true)); ?>" alt="<?php esc_attr_e('img', 'livekitchen' ); ?>">
                                    <div class="overlay-gallery">
                                        <a href="<?php echo esc_url(livekitchen_theme_fw_post_meta('gallery_type_option','video','video_url')); ?>" class="video-popup-btn"><i class="fa fa-film"></i></a>
                                    </div> 
                                </div><!--/.single-item--> 
                            </div><!--/.grid-->
                        <?php if($i == $number) break; $i++; }  
                        
                        endwhile; 
                        endif;
                        wp_reset_postdata();
                        ?>   

                    </div><!--/.gallery-item-content-->
                </div><!--/.single-gallery-content-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.single-gallery-group-->
<?php endif; ?>
