<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
?>
<div class="client-review-area">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <?php 
                $comments = get_comments(
                    array(
                        'status' => 'approve', 
                        'post_status' => 'publish', 
                        'post_type' => 'product' 
                    ) 
                );
                $total_rating = 0;
                $total_rated_item = 0;
                $avg_rating = 0;
                if ( $comments ) { 
                    foreach( $comments as $comment ) { 
                        $total_rating += intval( get_comment_meta( $comment->comment_ID, 'rating', true ) );
                        $total_rated_item++; 
                    } 
                } 
                if($total_rating != 0 ) {
                    $avg_rating = $total_rating/$total_rated_item;
                } ?>
                
                <h2 class="page-title text-center"><?php esc_html_e('Average Rating', 'livekitchen'); ?>
                    <span class="review-rating rating">
                        <?php echo livekitchen_theme_number_to_stars(livekitchen_theme_builder_field($avg_rating)); ?>
                    </span> (<?php print round($avg_rating, 2); ?>) <?php echo esc_html($total_rated_item); ?> <?php esc_html_e('Reviews', 'livekitchen'); ?>
                </h2><!--/.page-title--> 
            </div><!--/.col-md-12-->
        </div><!--/.row-->

        <div class="row">
            <div class="col-md-12">
                <div class="client-review-main mobile-extend">
                    <div class="row layout-<?php echo esc_attr(livekitchen_theme_builder_field($atts['style'])); ?>">
                    <?php 
                    $comments = get_comments(
                        array(
                            'number' => livekitchen_theme_builder_field($atts['number']),
                            'status' => 'approve', 
                            'post_status' => 'publish', 
                            'post_type' => 'product' 
                        ) 
                    ); 
                    if ( $comments ) { 
                        foreach( $comments as $comment ) { 
                        $comment_ID = $comment->comment_ID;
                        $comment_date = $comment->comment_date;
                        $comment_author = $comment->comment_author;
                        $comment_content = $comment->comment_content; 
                        $comment_post_ID = $comment->comment_post_ID;  
                        $rating = intval( get_comment_meta( $comment->comment_ID, 'rating', true ) );
                        ?>
                        <div class="col-md-4">
                            <div class="single-client-review box-radius"> 
                                <header class="review-header">
                                    <div class="date"><strong>
                                    <?php echo get_comment_date( "F j, Y", $comment_ID ); ?></strong></div>
                                    <div class="review-rating rating pull-right"> 
                                    <?php echo livekitchen_theme_number_to_stars(livekitchen_theme_builder_field($rating)); ?> 
                                    </div>
                                    <h2 class="review-title text-center"><a href="<?php echo get_the_permalink($comment_post_ID); ?>"><?php echo get_the_title($comment_post_ID); ?></a></h2>
                                </header><!--/.review-header-->
                                <div class="review-content text-center"> 
                                <p><?php echo esc_html($comment_content); ?></p> 
                                </div><!--/.review-content-->
                                <footer class="review-footer">
                                    <div class="client-name"><strong><?php esc_html_e('By', 'livekitchen' ); ?> <?php echo esc_html($comment_author); ?></strong></div>
                                </footer><!--/.review-footer-->
                            </div><!--/.single-client-review-->
                        </div><!--/.col-md-4--> 
                        <?php if( livekitchen_theme_builder_field($atts['style']) == "masonry" && livekitchen_theme_counter_two() % 3 == 0) { ?>
                        <div class="clearfix hidden-xs"></div><!-- /.clearfix -->
                        <?php } } } ?>
                        
                    </div><!--/.row-->
                </div><!--/.client-review-main-->
                <div class="hidden-md hidden-lg text-center extend-btn">
                    <span class="extend-icon">
                        <i class="fa fa-angle-down"></i>
                    </span>
                </div>
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.client-review-area-->