<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
?>
<div class="blog-post-section">
    <div class="container-fluid">
        <div class="container-large-screen">
            <div class="row">
                <div class="col-md-12">
                    <div class="section-title-area text-center style-two">
                        <h2 class="section-title">
                            <?php echo livekitchen_theme_builder_field($atts['title']); ?>
                        </h2>
                        <p class="section-title-dec"><?php echo livekitchen_theme_builder_field($atts['subtitle']); ?></p>
                    </div><!--/.section-title-area-->
                </div><!--/.col-md-12-->
            </div><!--/.row-->

            <div class="row">
                <div class="col-md-9 pd-0">
                    <div class="row">
                        <?php          
                        if (livekitchen_theme_builder_field($atts['post_by']) == 'recent') {
                            $wp_query = new WP_Query(
                                array( 
                                    'posts_per_page' => 3,
                                    'ignore_sticky_posts' => true, 
                                ) 
                            );
                        } else if (livekitchen_theme_builder_field($atts['post_by']) == 'popular')  {
                            $wp_query = new WP_Query(
                                array( 
                                    'posts_per_page' => 3,
                                    'ignore_sticky_posts' => true,
                                    'date_query' => array(
                                        array(
                                            'after' => "365 day ago"
                                        )
                                    ),
                                    'meta_query'      => array(
                                        'relation'    => 'AND',
                                        'post_views_count'    => array(
                                            'key'     => 'livekitchen_theme_post_views_count',
                                            'type'    => 'NUMERIC',
                                            'compare' => 'EXISTS',
                                        ),
                                    ),
                                    'orderby' => array(
                                        'comment_count' => 'DESC',
                                        'post_views_count'    => 'DESC',
                                    ),
                                ) 
                            );
                        } else {
                            $wp_query = new WP_Query(
                                array( 
                                   'posts_per_page' => 3,
                                   'meta_key' => 'livekitchen_theme_post_views_count',
                                   'ignore_sticky_posts' => true,
                                   'orderby' => 'meta_value_num',
                                   'order' => 'DESC',
                                   'date_query' => array(
                                        array(
                                            'after' => "365 day ago"
                                        )
                                    ),
                                ) 
                            );
                        }    
                        require get_template_directory().'/template-parts/post/loop.php';
                        ?>
                    </div><!--/.row-->
                </div><!--/.col-md-9-->

                <div class="col-md-3 pd-l-30-r-0">
                    <div class="section-align-title-area">
                        <h2 class="section-align-title"><?php echo livekitchen_theme_builder_field($atts['title_post_right_area']); ?></h2>
                        <p class="section-align-title-dec"><?php echo livekitchen_theme_builder_field($atts['subtitle_post_right_area']); ?></p>
                        <?php if(livekitchen_theme_builder_field($atts['btn_title']) != ""): ?>
                        <a href="<?php echo livekitchen_theme_builder_field($atts['btn_url']); ?>" class="btn btn-default"><?php echo livekitchen_theme_builder_field($atts['btn_title']); ?></a>
                        <?php endif; ?>
                    </div><!--/.section-align-title-area-->
                </div><!--/.col-md-3-->
            </div><!--/.row-->
        </div><!--/.container-large-screen-->
    </div><!--/.container-fluid -->
</div><!--/.blog-post-section-->

