<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
$parallax_bg_img = (livekitchen_theme_builder_field($atts['parallax_bg_img']) != "") ? livekitchen_theme_builder_field($atts['parallax_bg_img']['url']) : "";
?>
<section data-jarallax='{"speed": 0.3, "imgSrc": "<?php echo esc_url($parallax_bg_img); ?>" }' class="our-features-section margin-less jarallax">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="section-title-area text-center">
                    <h2 class="section-title color-white"><?php echo livekitchen_theme_builder_field($atts['title']); ?></h2>
                </div>
                <!--/.section-title-area-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->
        <div class="row">
            <div class="col-md-12">
                <div class="our-features-item owl-carousel">
                    <?php if (!empty($atts['our_features'])) { 
                    foreach ($atts['our_features'] as $value) { ?>
                    <div class="item">
                        <div class="features-content text-center">
                            <div class="icon-area style-two">
                                <div class="icon">
                                    <?php if (livekitchen_theme_builder_field($value['svg']) != "") { 
                                        echo livekitchen_theme_builder_field($value['svg']);
                                    } else { 
                                        $icon = livekitchen_theme_builder_field($value['icon']);
                                        if ($icon['type'] == "icon-font") { ?>
                                            <i class="<?php echo esc_attr($icon['icon-class']);?>"></i>
                                        <?php } else { ?>
                                            <img src="<?php  echo esc_url($icon['url']); ?>" alt="<?php esc_attr_e('Img Icon','livekitchen' ); ?>" />
                                        <?php } 
                                    } ?>
                                </div>
                            </div>
                            <div class="icon-text">
                                <h3><?php echo livekitchen_theme_builder_field($value['title']); ?></h3>
                                <p><?php echo livekitchen_theme_builder_field($value['description']); ?></p>
                            </div>
                        </div>
                    </div>
                    <?php } } ?>  
                </div>
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</section><!--/.our-features-section-->