<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
?>
<div class="about-and-sp-menu">
    <div class="row">
        <div class="col-md-7 title pd-right-60">
            <div class="section-align-title-area">
                <div class="section-title-style-inner">
                    <h3 class="section-name"><?php echo livekitchen_theme_builder_field($atts['title_top']); ?></h3>
                    <h2 class="section-align-title"><?php echo livekitchen_theme_builder_field($atts['title']); ?></h2>
                    <h4 class="section-align-sub-title"><?php echo livekitchen_theme_builder_field($atts['subtitle']); ?></h4>
                    <?php if(!empty($atts['categories'])) : ?>
                    <div class="special-tab-content">
                        <ul role="tablist" class="nav nav-tabs responsive nav-tabs-two"> 
                            <?php 
                            $i = 1; 
                            foreach ($atts['categories'] as $value) { 
                                $category = get_term_by('id', $value, 'product_cat');
                            ?>                           
                            <li class="<?php if($i ==1) echo esc_attr('active'); ?>">
                                <a href="#menu-cat-<?php echo esc_attr($category->slug); ?>" role="tab" data-toggle="tab"><?php echo esc_html($category->name); ?></a>
                            </li>
                            <?php $i++; } ?> 
                        </ul>
                        <div class="tab-content responsive">
                            <?php 
                            $i = 1; 
                            foreach ($atts['categories'] as $value) { 
                                $category = get_term_by('id', $value, 'product_cat');
                            ?>
                            <div role="tabpanel" id="menu-cat-<?php echo esc_attr($category->slug); ?>" class="tab-pane fade <?php if($i ==1) echo esc_attr(' active in '); ?>">
                                <?php livekitchen_theme_shortcode_special_dishes_tab_content($value, $atts['number']); ?>
                            </div><!--/.tabpanel-->
                            <?php $i++; } ?> 
                        </div>
                    </div><!--/.special-tab-content-->
                    <?php endif; ?>
                </div><!--/.section-title-style-inner-->
            </div><!--/.section-title-area-->
        </div><!--/.col-md-6-->

        <div class="col-md-5 gallery">
            <div class="row">
                <div class="col-md-12">
                    <h2 class="gallery-section-name"><?php echo livekitchen_theme_builder_field($atts['gallery_sec_title']); ?></h2>
                </div>
            </div>
            <div class="row padding-reset-section"> 
                <?php
                $gallery = livekitchen_theme_builder_field($atts['gallery']);
                if(!empty($gallery)):
                $i = 1;
                foreach ($gallery as $value) { ?>
                <div class="col-md-6 col-sm-6 col-xs-6 padding-reset">
                    <div class="single-best-place">
                        <div class="best-place-thumb">
                            <a href="<?php echo esc_url(livekitchen_theme_get_image_crop_size($value['attachment_id'])); ?>" class="image-popup-btn">
                                <img src="<?php echo esc_url(livekitchen_theme_get_image_crop_size($value['attachment_id'], 204, 175)); ?>" alt="<?php esc_attr_e('gallery', 'livekitchen'); ?>" class="box-radius">
                            </a>
                        </div><!--/.best-place-thumb-->
                    </div><!--/.single-best-place-->
                </div><!--/.col-md-3-->
                <?php if($i % 2 == 0) echo '<div class="clearfix"></div>' ?>
                <?php $i++; } endif; ?> 
            </div><!--/.row-->
        </div><!--/.gallery-->
    </div><!--/.row-->
</div><!--/.about-and-sp-menu-->