<?php if ( ! defined( 'FW' ) ) {
    die( 'Forbidden' );
}

$options = array(
    'general_settings' => array(
        'title'   => esc_html__( 'General Settings', 'livekitchen' ),
        'type'    => 'tab',
        'options' => array(
            'favicon_tab' => array(
                'title'   => esc_html__( 'Favicon', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array( 
                    'favicon'   => array(
                        'type'  => 'upload', 
                        'label' => esc_html__('Favicon Main', 'livekitchen'), 
                        'desc' => esc_html__('Favicon for all (16px X 1px OR 32px X 32px)', 'livekitchen'),
                    ),
                    'icon_iphone'   => array(
                        'type'  => 'upload', 
                        'label' => esc_html__('Apple iPhone Icon', 'livekitchen'),
                        'desc' => esc_html__('Icon for Apple iPhone (57px X 57px)', 'livekitchen'),
                    ),
                    'icon_iphone_retina'   => array(
                        'type'  => 'upload', 
                        'label' => esc_html__('Apple iPhone Retina Icon', 'livekitchen'),
                        'desc' => esc_html__('Icon for Apple iPhone Retina (114px X 114px)', 'livekitchen'),
                    ),
                    'icon_ipad'   => array(
                        'type'  => 'upload', 
                        'label' => esc_html__('Apple iPad Icon', 'livekitchen'),
                        'desc' => esc_html__('Icon for Apple iPad (72px X 72px)', 'livekitchen'),
                    ),
                    'icon_ipad_retina'   => array(
                        'type'  => 'upload', 
                        'label' => esc_html__('Apple iPad Retina Icon', 'livekitchen'),
                        'desc' => esc_html__('Icon for Apple iPad Retina (144px X 144px)', 'livekitchen'),
                    ),
                ),
            ),       
            'preloader_options' => array(
                'title'   => esc_html__( 'Preloader', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array(
                    'preloader_option' => array(
                        'type'         => 'multi-picker',
                        'label'        => false,
                        'desc'         => false,
                        'picker'       => array(
                            'preloader' => array(
                                'label'    => esc_html__( 'Preloader', 'livekitchen' ),
                                'desc' => esc_html__( 'You can off/on prelaoder from here', 'livekitchen' ),
                                'type'         => 'switch',
                                'right-choice' => array(
                                    'value' => '1',
                                    'label' => esc_html__( 'On', 'livekitchen' )
                                ),
                                'left-choice'  => array(
                                    'value' => '0',
                                    'label' => esc_html__( 'Off', 'livekitchen' )
                                ),
                                'value'        => '0',
                            ),
                        ),
                        'choices'      => array(
                            '1'  => array(
                                'preloader_body'   => array(
                                    'type'  => 'wp-editor', 
                                    'label' => esc_html__('Preloader Body Content', 'livekitchen'), 
                                    'desc' => esc_html__('This content will show in preloader', 'livekitchen'), 
                                ), 
                            ),
                        ),
                    ),
                )
            ),   
            'color_scheme_settings_tab' => array(
                'title'   => esc_html__( 'Color Scheme', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array(              
                    'color_scheme' => array(
                        'label'   => esc_html__( 'Select Theme Color', 'livekitchen' ), 
                        'value'   => '#e7272d',
                        'choices' => array(
                            '1' => '#e7272d',
                            '2' => '#d12a5c',
                            '3' => '#49ca9f',
                            '4' => '#1f1f1f',
                            '5' => '#808080',
                            '6' => '#ebebeb'
                        ),
                        'type'    => 'color-palette'
                    ),   
                )
            ),
            'other_settings_tab' => array(
                'title'   => esc_html__( 'Others', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array(              
                    'custom_css_code'   => array(
                        'type'  => 'textarea', 
                        'label' =>  esc_html__( 'Custom CSS Code', 'livekitchen' ),
                        'desc' => esc_html__( 'Paste your CSS code here without <style></style> tag', 'livekitchen' ),
                    ),
                    'custom_js'   => array(
                        'type'  => 'textarea', 
                        'label' =>  esc_html__( 'Custom JS Code', 'livekitchen' ),
                        'desc' => esc_html__( 'Paste your JS code here without <script></script> tag', 'livekitchen' ),
                    ),
                )
            ),
        ),
    ),
    'layout_settings' => array(
        'title'   => esc_html__( 'Layout Settings', 'livekitchen' ),
        'type'    => 'tab',
        'options' => array(
            'home_page' => array(
                'title'   => esc_html__( 'Blog Page', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array(
                    'popular_trending_tab'  => array(
                        'type'  => 'switch',
                        'value' => 'hide-tab',
                        'label' => esc_html__('Latest, Popular Trending Tab', 'livekitchen'),
                        'desc'  => esc_html__('You can enable and disable Latest, Popular, Trending post from here', 'livekitchen'),
                        'left-choice' => array( 
                            'value' => 'show-tab',
                            'label' => esc_html__('On', 'livekitchen'),
                        ),
                        'right-choice' => array(
                            'value' => 'hide-tab',
                            'label' => esc_html__('Off', 'livekitchen'),
                        ),
                        'inline' => true,
                    ),  
                    'grid_masonry_layout'  => array(
                        'type'  => 'radio',
                        'value' => 'masonry',
                        'label' => esc_html__('Grid Or Masonry Layout', 'livekitchen'),
                        'choices' => array( 
                            'grid' => esc_html__('Grid', 'livekitchen'),
                            'masonry' => esc_html__('Masonry', 'livekitchen'),
                        ),
                        'inline' => true,
                    ),  
                    'popular_per_page' => array(
                        'label' => esc_html__('Popular Post Number', 'livekitchen'),
                        'desc' => esc_html__('How many popular post you want to show', 'livekitchen'),
                        'type'  => 'slider',
                        'value' => 5,
                        'properties' => array(                        
                            'min' => 1,
                            'max' => 50,
                            'step' => 1,
                        ),
                    ),
                    'trending_per_page' => array(
                        'label' => esc_html__('Trending Post Number', 'livekitchen'),
                        'desc' => esc_html__('How many trending post you want to show', 'livekitchen'),
                        'type'  => 'slider',
                        'value' => 5,
                        'properties' => array(                        
                            'min' => 1,
                            'max' => 50,
                            'step' => 1,  
                        ),
                    ),
                ),
            ), 
            'normal_page' => array(
                'title'   => esc_html__( 'Normal Page', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array( 
                    'page_full_width_grid' => array(
                        'type'    => 'short-select',
                        'label'    => esc_html__( 'Normal Page Full Width Grid', 'livekitchen' ),
                        'desc' => esc_html__( 'You can increse or decrease full width size', 'livekitchen' ),
                        'choices' => Livekitchen_Theme_Static::total_grid(),
                        'value'    => '9',
                    ),
                ),
            ),
            'archive_n_search_page' => array(
                'title'   => esc_html__( 'Archive And Search Page', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array(  
                    'grid_masonry_layout_archive'  => array(
                        'type'  => 'radio',
                        'value' => 'masonry',
                        'label' => esc_html__('Grid Or Masonry Layout', 'livekitchen'),
                        'choices' => array( 
                            'grid' => esc_html__('Grid', 'livekitchen'),
                            'masonry' => esc_html__('Masonry', 'livekitchen'),
                        ),
                        'inline' => true,
                    ), 
                ),
            ),
        ),
    ),
    'typography_settings' => array(
        'title' => esc_html__( 'Typography', 'livekitchen' ),
        'type'    => 'tab',
        'options' => array(
            'global_body_fonts'  => array(
                'label' => esc_html__( 'Body Font', 'livekitchen' ),
                'type'  => 'typography-v2',
                'value'      => array(
                    'family'    => 'Poppins',
                    'subset'    => 'latin-ext',
                    'variation' => 'regular',
                    'size'      => '15px',
                    'line-height' => '1.45em',
                    'letter-spacing' => '',
                    'color'     => '#4b4b4b'
                ),
                'components' => array(
                    'family'         => true,
                    'size'           => true,
                    'line-height'    => true,
                    'letter-spacing' => true,
                    'color'          => true
                ),
                'desc'  => esc_html__( 'You can specify the body font properties.','livekitchen' ),
            ),
            'block_quote_fonts'  => array(
                'label' => esc_html__( 'Block Quote Content', 'livekitchen' ),
                'type'  => 'typography-v2',
                'value'      => array(
                    'family'    => 'Playfair Display',
                    'subset'    => 'latin-ext',
                    'variation' => 'italic',
                ),
                'components' => array(
                    'family'         => true,
                    'size'           => false,
                    'line-height'    => false,
                    'letter-spacing' => false,
                    'color'          => false
                ),
                'desc'  => esc_html__( 'You can specify the block quote content font properties.','livekitchen' ),
            ),
            'hading_one_font'  => array(
                'label' => esc_html__( 'Heading h1 Font', 'livekitchen' ),
                'type'  => 'typography-v2',
                'value'      => array(
                    'family'    => 'Playfair Display',
                    'subset'    => 'latin-ext',
                    'variation' => 'regular',
                    'size'      => '2.441em',
                    'line-height' => '',
                    'letter-spacing' => '',
                    'color'     => '#3d4348'
                ),
                'components' => array(
                    'family'         => true,
                    'size'           => true,
                    'line-height'    => true,
                    'letter-spacing' => true,
                    'color'          => true
                ),
                'desc'  => esc_html__( 'You can specify the heading h1 Font font properties.','livekitchen' ),
            ),
            'hading_two_font'  => array(
                'label' => esc_html__( 'Heading h2 Font', 'livekitchen' ),
                'type'  => 'typography-v2',
                'value'      => array(
                    'family'    => 'Playfair Display',
                    'subset'    => 'latin-ext',
                    'variation' => 'regular',
                    'size'      => '1.953em',
                    'line-height' => '',
                    'letter-spacing' => '',
                    'color'     => '#3d4348'
                ),
                'components' => array(
                    'family'         => true,
                    'size'           => true,
                    'line-height'    => true,
                    'letter-spacing' => true,
                    'color'          => true
                ),
                'desc'  => esc_html__( 'You can specify the heading h2 font font properties.','livekitchen' ),
            ),
            'hading_three_font'  => array(
                'label' => esc_html__( 'Heading h3 Font', 'livekitchen' ),
                'type'  => 'typography-v2',
                'value'      => array(
                    'family'    => 'Playfair Display',
                    'subset'    => 'latin-ext',
                    'variation' => 'regular',
                    'size'      => '1.563em',
                    'line-height' => '',
                    'letter-spacing' => '',
                    'color'     => '#3d4348'
                ),
                'components' => array(
                    'family'         => true,
                    'size'           => true,
                    'line-height'    => true,
                    'letter-spacing' => true,
                    'color'          => true
                ),
                'desc'  => esc_html__( 'You can specify the heading h3 font font properties.','livekitchen' ),
            ),
            'hading_four_font'  => array(
                'label' => esc_html__( 'Heading h4 Font', 'livekitchen' ),
                'type'  => 'typography-v2',
                'value'      => array(
                    'family'    => 'Playfair Display',
                    'subset'    => 'latin-ext',
                    'variation' => 'regular',
                    'size'      => '1.25em',
                    'line-height' => '',
                    'letter-spacing' => '',
                    'color'     => '#3d4348'
                ),
                'components' => array(
                    'family'         => true,
                    'size'           => true,
                    'line-height'    => true,
                    'letter-spacing' => true,
                    'color'          => true
                ),
                'desc'  => esc_html__( 'You can specify the heading h4 font font properties.','livekitchen' ),
            ),
            'hading_five_font'  => array(
                'label' => esc_html__( 'Heading h5 Font', 'livekitchen' ),
                'type'  => 'typography-v2',
                'value'      => array(
                    'family'    => 'Playfair Display',
                    'subset'    => 'latin-ext',
                    'variation' => 'regular',
                    'size'      => '1em',
                    'line-height' => '',
                    'letter-spacing' => '',
                    'color'     => '#3d4348'
                ),
                'components' => array(
                    'family'         => true,
                    'size'           => true,
                    'line-height'    => true,
                    'letter-spacing' => true,
                    'color'          => true
                ),
                'desc'  => esc_html__( 'You can specify the heading h5 font font properties.','livekitchen' ),
            ),
            'hading_six_font'  => array(
                'label' => esc_html__( 'Heading h6 Font', 'livekitchen' ),
                'type'  => 'typography-v2',
                'value'      => array(
                    'family'    => 'Playfair Display',
                    'subset'    => 'latin-ext',
                    'variation' => 'regular',
                    'size'      => '0.8em',
                    'line-height' => '',
                    'letter-spacing' => '',
                    'color'     => '#3d4348'
                ),
                'components' => array(
                    'family'         => true,
                    'size'           => true,
                    'line-height'    => true,
                    'letter-spacing' => true,
                    'color'          => true
                ),
                'desc'  => esc_html__( 'You can specify the heading h6 Font font properties.','livekitchen' ),
            ),
        ),
    ),
    'header_section' => array(
        'title' => esc_html__( 'Header Section', 'livekitchen' ),
        'type' => 'tab',
        'options' => array(
            'header_logo'   => array(
                'type'  => 'upload', 
                'label' => esc_html__('Header Logo', 'livekitchen'), 
            ),
            'header_top_option' => array(
                'type'         => 'multi-picker',
                'label'        => false,
                'desc'         => false,
                'picker'       => array(
                    'header_top' => array(
                        'label'    => esc_html__( 'Header Top Part', 'livekitchen' ),
                        'desc' => esc_html__( 'You can show or hide related posts', 'livekitchen' ),
                        'type'         => 'switch',
                        'right-choice' => array(
                            'value' => '1',
                            'label' => esc_html__( 'On', 'livekitchen' )
                        ),
                        'left-choice'  => array(
                            'value' => '0',
                            'label' => esc_html__( 'Off', 'livekitchen' )
                        ),
                        'value'        => '1',
                    ),
                ),
                'choices' => array(
                    '1'  => array(
                        'header_contact_info'   => array(
                            'type'          => 'addable-popup',
                            'label'       => esc_html__( 'Header Contact Info', 'livekitchen' ),
                            'template'      => '{{- text }}',
                            'popup-options' => array(
                                'icon'  => array(
                                    'label' => esc_html__('Icon', 'livekitchen'),
                                    'type'  => 'icon-v2',
                                ),
                                'text' => array(
                                    'label' => esc_html__('Text', 'livekitchen'),
                                    'type'  => 'text',
                                ),
                                'url' => array(
                                    'label' => esc_html__('URL', 'livekitchen'),
                                    'desc' => esc_html__('If you give URL text will show as a link', 'livekitchen'),
                                    'type'  => 'text',
                                ),
                            ),
                            'value' => array(
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-clock-o', 
                                    ),
                                    'text' => 'Book Time - 10am To 11pm',
                                ), 
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-phone', 
                                    ),
                                    'text' => 'Call Us - 01623 030020',
                                ), 
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-envelope', 
                                    ),
                                    'text' => 'mail@livekitchen.com',
                                ), 
                            ),
                        ),
                        'header_social_link'   => array(
                            'type'          => 'addable-popup',
                            'label'       => esc_html__( 'Header Social Link', 'livekitchen' ),
                            'template'      => '{{- url }}',
                            'popup-options' => array(
                                'icon'  => array(
                                    'label' => esc_html__('Icon', 'livekitchen'),
                                    'type'  => 'icon-v2',
                                ),
                                'url'  => array(
                                    'label' => esc_html__('URL', 'livekitchen'),
                                    'type'  => 'text',
                                ),
                            ), 
                            'value' => array(
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-facebook-f',  
                                    ),
                                    'url' => 'https://www.facebook.com/softhopper/',
                                ), 
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-twitter', 
                                    ),
                                    'url' => 'http://www.twitter.com/softhopperbd',
                                ),
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-google-plus', 
                                    ),
                                    'url' => 'https://plus.google.com/+SofthopperNetBD',
                                ),
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-instagram', 
                                    ),
                                    'url' => 'https://www.instagram.com/softhopper/',
                                ),
                            ),
                        ),
                    ),
                ),
            ), 
            'header_menu_animation' => array(
                'type'    => 'short-select',
                'label'    => esc_html__( 'Menu Animation', 'livekitchen' ),
                'desc' => esc_html__( 'There are 5 types of animation in menu. You can change it from here', 'livekitchen' ),
                'choices' => array(
                    'slide' => esc_html__( 'Slide', 'livekitchen' ),
                    'fade' => esc_html__( 'Fade', 'livekitchen' ),
                    'fadeInUp' => esc_html__( 'FadeInUp', 'livekitchen' ),
                    'skew' => esc_html__( 'Skew', 'livekitchen' ),
                    'flipIn' => esc_html__( 'FlipIn', 'livekitchen' ),
                ),
                'value'    => 'slide',
            ),
            'header_sticky_nav' => array(
                'label' => esc_html__('Sticky Navigation', 'livekitchen'),
                'desc' => esc_html__('You can on or off sticky nav. When page scroll down sticky nav will show', 'livekitchen'),
                'type'         => 'switch',
                'right-choice' => array(
                    'value' => '1',
                    'label' => esc_html__( 'On', 'livekitchen' )
                ),
                'left-choice'  => array(
                    'value' => '0',
                    'label' => esc_html__( 'Off', 'livekitchen' )
                ),
                'value'        => '0',
            ),
            'page_title_bg_img'   => array(
                'type'  => 'upload', 
                'label' => esc_html__('Page Title Section Background', 'livekitchen'), 
                'desc' => esc_html__('This image will show in menu bottom page title section', 'livekitchen'), 
            ),
            'page_title_bg_color'   => array(
                'type'  => 'color-picker', 
                'value'  => '#333333', 
                'label' => esc_html__('Page Title Section Background Color', 'livekitchen'), 
                'desc' => esc_html__('This color will show in menu bottom page title section', 'livekitchen'), 
            ),
        ),
    ),  
    'all_pages_settings' => array(
        'title'   => esc_html__( 'Pages Settings', 'livekitchen' ),
        'type'    => 'tab',
        'options' => array(
            'single_post_options' => array(
                'title'   => esc_html__( 'Single Post Page', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array(                    
                    'related_post_option' => array(
                        'type'         => 'multi-picker',
                        'label'        => false,
                        'desc'         => false,
                        'picker'       => array(
                            'related_post' => array(
                                'label'    => esc_html__( 'Related Posts', 'livekitchen' ),
                                'desc' => esc_html__( 'You can show or hide related posts', 'livekitchen' ),
                                'type'         => 'switch',
                                'right-choice' => array(
                                    'value' => '1',
                                    'label' => esc_html__( 'On', 'livekitchen' )
                                ),
                                'left-choice'  => array(
                                    'value' => '0',
                                    'label' => esc_html__( 'Off', 'livekitchen' )
                                ),
                                'value'        => '0',
                            ),
                        ),
                        'choices' => array(
                            '1'  => array(
                                'related_query' => array(
                                    'label'    => esc_html__( 'Related Post Query Type', 'livekitchen' ),
                                    'desc' => esc_html__( 'You can change related post query type', 'livekitchen' ),
                                    'type'    => 'radio',
                                    'choices' => array(
                                        'tag' => esc_html__( 'Tag', 'livekitchen' ),
                                        'category' => esc_html__( 'Category', 'livekitchen' ),
                                        'author' => esc_html__( 'Author', 'livekitchen' ),
                                    ),                                    
                                    'value'   => 'tag',
                                ),
                            ),
                        ),
                    ),
                )
            ), 
            'contact_page_options' => array(
                'title'   => esc_html__( 'Contact Page', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array(
                    'contact_form_left_title'    => array(
                        'label' => esc_html__('Contact Form Left Section Title', 'livekitchen'), 
                        'value' => esc_html__('Contact Us', 'livekitchen'),
                        'type'  => 'text',
                    ),  
                    'contact_form_left_content'    => array(
                        'label' => esc_html__('Contact Form Left Section Content', 'livekitchen'), 
                        'type'  => 'wp-editor',
                    ),  
                    'contact_form_title'    => array(
                        'label' => esc_html__('Contact Form Title', 'livekitchen'), 
                        'value' => esc_html__('Have a question?', 'livekitchen'),
                        'type'  => 'text',
                    ),  
                    'contact_form_img'    => array(
                        'label' => esc_html__('Contact Form Image', 'livekitchen'),  
                        'type'  => 'upload',
                    ), 
                    'contact_form_subtitle'    => array(
                        'label' => esc_html__('Contact Form Subtitle', 'livekitchen'), 
                        'value' => esc_html__('Send Us A Email', 'livekitchen'),
                        'type'  => 'text',
                    ),  
                    'contact_form_shortcode'    => array(
                        'label' => esc_html__('Contact Form 7 Shortcode', 'livekitchen'), 
                        'desc' => wp_kses( "You can get contact form 7 shortcode from <a href='".esc_url(admin_url('/'))."admin.php?page=wpcf7"."/'>Contact</a>", Livekitchen_Theme_Static::html_allow() ),
                        'type'  => 'text', 
                    ),  
                    'map_title_top'    => array(
                        'label' => esc_html__('Map Title Top', 'livekitchen'), 
                        'value' => esc_html__('Find Our Location', 'livekitchen'),
                        'type'  => 'text',
                    ), 
                    'map_title'    => array(
                        'label' => esc_html__('Map Title', 'livekitchen'), 
                        'value' => esc_html__('Map &amp; Directions', 'livekitchen'),
                        'type'  => 'text',
                    ),  
                    'map_subtitle'    => array(
                        'label' => esc_html__('Map Subtitle', 'livekitchen'), 
                        'value' => esc_html__('Find out how to find us from your current location', 'livekitchen'),
                        'type'  => 'text',
                    ), 
                    'map_lat'    => array(
                        'label' => esc_html__('Latitude', 'livekitchen'),  
                        'desc' => wp_kses( "You can get Latitude and Longitude from <a href='http://www.latlong.net/'>latlong.net</a>", Livekitchen_Theme_Static::html_allow() ),
                        'type'  => 'text',
                    ),   
                    'map_long'    => array(
                        'label' => esc_html__('Longitude', 'livekitchen'), 
                        'type'  => 'text',
                    ),  
                    'map_api'    => array(
                        'label' => esc_html__('Map API', 'livekitchen'), 
                        'desc' => esc_html__('Add Google Map API', 'livekitchen'), 
                        'type'  => 'text',
                    ),  
                    'map_img'    => array(
                        'label' => esc_html__('Map Pointer Image', 'livekitchen'),  
                        'type'  => 'upload',
                    ),                   
                )
            ),
            'coming_soon_page_options' => array(
                'title'   => esc_html__( 'Coming Soon Page', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array(
                    'coming_soon_page' => array(
                        'type'         => 'multi-picker',
                        'label'        => false,
                        'desc'         => false,
                        'picker'       => array(
                            'coming_soon' => array(
                                'label'    => esc_html__( 'Coming Soon', 'livekitchen' ),
                                'desc' => esc_html__( 'You can show coming soon page from here', 'livekitchen' ),
                                'type'         => 'switch',
                                'right-choice' => array(
                                    'value' => '1',
                                    'label' => esc_html__( 'On', 'livekitchen' )
                                ),
                                'left-choice'  => array(
                                    'value' => '0',
                                    'label' => esc_html__( 'Off', 'livekitchen' )
                                ),
                                'value'        => '0',
                            ),
                        ),
                        'choices' => array(
                            '1'  => array(
                                'coming_soon_page_id'      => array(
                                    'type'       => 'multi-select',
                                    'label'      => esc_html__( 'Coming Soon Page', 'livekitchen' ),
                                    'population' => 'posts',
                                    'source'     => 'page',
                                    'limit' => 1,
                                ),
                            ),
                        ),
                    ),                   
                )
            ),
            '404_page_options' => array(
                'title'   => esc_html__( '404 Page', 'livekitchen' ),
                'type'    => 'tab',
                'options' => array(
                    '404_bg_img'    => array(
                        'label' => esc_html__('404 Parallax Background Image', 'livekitchen'), 
                        'desc' => esc_html__('This image will show in 404 page', 'livekitchen'),
                        'type'  => 'upload',
                    ), 
                    '404_img'    => array(
                        'label' => esc_html__('404 Image', 'livekitchen'), 
                        'type'  => 'upload',
                    ),
                )
            ),
        )
    ), 
    'footer_section' => array(
        'title' => esc_html__( 'Footer Section', 'livekitchen' ),
        'type' => 'tab',
        'options' => array(  
            'footer_top_option' => array(
                'type'         => 'multi-picker',
                'label'        => false,
                'desc'         => false,
                'picker'       => array(
                    'footer_top' => array(
                        'label'    => esc_html__( 'Footer Top Section', 'livekitchen' ),
                        'desc' => esc_html__( 'You can off or on footer top section', 'livekitchen' ),
                        'type'         => 'switch',
                        'right-choice' => array(
                            'value' => '1',
                            'label' => esc_html__( 'On', 'livekitchen' )
                        ),
                        'left-choice'  => array(
                            'value' => '0',
                            'label' => esc_html__( 'Off', 'livekitchen' )
                        ),
                        'value'        => '1',
                    ),
                ),
                'choices'      => array(
                    '1'  => array(
                        'bg_img'  => array(
                            'label' => esc_html__('Background Image', 'livekitchen'),
                            'type'  => 'upload',
                        ),
                        'bg_color'  => array(
                            'label' => esc_html__('Background Color', 'livekitchen'),
                            'type'  => 'color-picker',
                        ),
                        'title'  => array(
                            'label' => esc_html__('Footer Top Section Title', 'livekitchen'),
                            'type'  => 'text',
                            'value'  => 'We Are Available<br>For You 24/7',
                        ),
                        'subtitle'  => array(
                            'label' => esc_html__('Footer Top Section Subtitle', 'livekitchen'),
                            'type'  => 'text',
                            'value'  => 'Our online support service is always 24 Hours',
                        ),
                        'footer_contact_info'   => array(
                            'type'          => 'addable-popup',
                            'label'       => esc_html__( 'Footer Contact Info', 'livekitchen' ),
                            'template'      => '{{- title }}',
                            'limit' => 3,
                            'popup-options' => array(
                                'icon'  => array(
                                    'label' => esc_html__('Icon', 'livekitchen'),
                                    'type'  => 'icon-v2',
                                ),
                                'title' => array(
                                    'label' => esc_html__('Title', 'livekitchen'),
                                    'type'  => 'text',
                                ), 
                                'content' => array(
                                    'label' => esc_html__('Content', 'livekitchen'),
                                    'type'  => 'textarea',
                                ), 
                            ),
                            'value' => array(
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-address-book', 
                                    ),
                                    'title' => 'Address',
                                    'content' => '112/B - Road Number 08/A Suyrcuse, Melborne, Australia',
                                ), 
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-phone', 
                                    ),
                                    'title' => 'Call',
                                    'content' => "+88 0215469875<br>666 35874692050",
                                ), 
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-envelope', 
                                    ),
                                    'title' => 'Mail',
                                    'content' => "yourmail@gmail.com<br>hotelrmail@gmail.com",
                                ), 
                            ),
                        ),
                        'footer_social_link'   => array(
                            'type'          => 'addable-popup',
                            'label'       => esc_html__( 'Footer Social Link', 'livekitchen' ),
                            'template'      => '{{- url }}',
                            'popup-options' => array(
                                'icon'  => array(
                                    'label' => esc_html__('Icon', 'livekitchen'),
                                    'type'  => 'icon-v2',
                                ),
                                'url'  => array(
                                    'label' => esc_html__('URL', 'livekitchen'),
                                    'type'  => 'text',
                                ),
                            ), 
                            'value' => array(
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-facebook-f',  
                                    ),
                                    'url' => 'https://www.facebook.com/softhopper/',
                                ), 
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-twitter', 
                                    ),
                                    'url' => 'http://www.twitter.com/softhopperbd',
                                ),
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-google-plus', 
                                    ),
                                    'url' => 'https://plus.google.com/+SofthopperNetBD',
                                ),
                                array(
                                    'icon' => array(
                                        'type' => 'icon-font',  
                                        'icon-class' => 'fa fa-instagram', 
                                    ),
                                    'url' => 'https://www.instagram.com/softhopper/',
                                ),
                            ),
                        ),
                    ),
                ),
            ),          
            'footer_widgets_option' => array(
                'type'         => 'multi-picker',
                'label'        => false,
                'desc'         => false,
                'picker'       => array(
                    'footer_widgets' => array(
                        'label'    => esc_html__( 'Enable Footer Widget', 'livekitchen' ),
                        'desc' => esc_html__( 'You can off or on footer widgets', 'livekitchen' ),
                        'type'         => 'switch',
                        'right-choice' => array(
                            'value' => '1',
                            'label' => esc_html__( 'On', 'livekitchen' )
                        ),
                        'left-choice'  => array(
                            'value' => '0',
                            'label' => esc_html__( 'Off', 'livekitchen' )
                        ),
                        'value'        => '1',
                    ),
                ),
                'choices'      => array(
                    '1'  => array(
                        'columns'   => array(
                            'label' => esc_html__('Widget Column Layout', 'livekitchen'),
                            'desc' => esc_html__('How many sidebar you want to show on footer top widget', 'livekitchen'),
                            'type'    => 'image-picker',
                            'value'   => '3',
                            'choices' => array(
                                '1' => array(
                                    'small' => array(
                                        'height' => 70,
                                        'src'    => get_template_directory_uri() . '/images/backend/footer/one-column.png'
                                    ),
                                ),
                                '2' => array(
                                    'small' => array(
                                        'height' => 70,
                                        'src'    => get_template_directory_uri() . '/images/backend/footer/two-columns.png'
                                    ),
                                ),
                                '3' => array(
                                    'small' => array(
                                        'height' => 70,
                                        'src'    => get_template_directory_uri() . '/images/backend/footer/three-columns.png'
                                    ),
                                ),
                                '4' => array(
                                    'small' => array(
                                        'height' => 70,
                                        'src'    => get_template_directory_uri() . '/images/backend/footer/four-columns.png'
                                    ),
                                ),
                            ),
                        ),
                    ),
                ),
            ),
            'footer_bg_img'  => array(
                'label' => esc_html__('Footer Background Image', 'livekitchen'),
                'type'  => 'upload',
            ),
            'footer_bg_color'  => array(
                'label' => esc_html__('Footer Background Color', 'livekitchen'),
                'type'  => 'color-picker',
            ),
            'payment_support'   => array(
                'type'          => 'addable-popup',
                'label'       => esc_html__( 'Payment Support', 'livekitchen' ),
                'desc'       => esc_html__( 'Which payment method do you support? Add one by one from here', 'livekitchen' ),
                'template'      => '{{- url }}',
                'popup-options' => array(
                    'img'  => array(
                        'label' => esc_html__('Image', 'livekitchen'),
                        'type'  => 'upload',
                    ),
                    'url'  => array(
                        'label' => esc_html__('URL', 'livekitchen'),
                        'type'  => 'text',
                    ),
                )
            ),
            'copyright_text'  => array(
                'label' => esc_html__('Copyright Info', 'livekitchen'),
                'value' => wp_kses( __('Copyright  2021 SoftHopper - All Right Reserved <a href="//softhopper.net">SoftHopper.net</a>', 'livekitchen'), Livekitchen_Theme_Static::html_allow() ),
                'type'  => 'text',
            ),
        ),
    ),
);