<?php
/**
 * Livekitchen functions and definitions
 *
 * @package Livekitchen
 */

/**
 * Define theme's constant
 */
if ( ! defined( 'LIVEKITCHEN_THEME_VERSION' ) ) {
	define( 'LIVEKITCHEN_THEME_VERSION', '1.0' );
}
if ( ! defined( 'LIVEKITCHEN_THEME_TEMPLATE_DIR' ) ) {
	define( 'LIVEKITCHEN_THEME_TEMPLATE_DIR', get_template_directory() );
}
if ( ! defined( 'LIVEKITCHEN_THEME_TEMPLATE_DIR_URL' ) ) {
    define( 'LIVEKITCHEN_THEME_TEMPLATE_DIR_URL', get_template_directory_uri() );
}


/**
 * Detect plugin. For use on Front End only.
 * to check is_plugin_active()
 */
//include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

/**
 * Include all conditional tags
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/conditional-tags.php';

/**
 * Include Frontend_Master Class
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/classes/frontend/master.php';

/**
 * Include Backend_Master Class
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/classes/backend/backend_master.php';

/**
 * Include Backend_Master Class
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/classes/static.php';

/**
 * Include the Redux theme options framework
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/unyson-functions.php';

/**
 * Query function to get post
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/theme-functions.php';

/**
 * Function for shortcode
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/shortcode-functions.php';

/**
 * Custom template tags for this theme.
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/template-tags.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/extras.php';

/**
 * Customizer additions.
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/jetpack.php';

/**
 * Include the TGM_Plugin_Activation class.
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/libs/tgm-plugin-activation/tgm-admin-config.php';

/**
 * WordPress comment seciton override 
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/wp-comment-section-override.php';

/**
 * Query function to get post
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/function-for-post.php';


/**
 * Popular Post functions
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/popular-post.php';

/**
 * Include header, Hooks for template header
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/frontend/header.php';

/**
 * Include header, Hooks for template header
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/frontend/footer.php';

/**
 * Include override functions
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/wordpress-override.php';

/**
 * Include shortcodes functions
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/shortcodes/shortcode-functions.php';

/**
 * Include ajax functions
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/functions/ajax-functions.php';

/**
 * Include the Aqua-Resizer-master
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/libs/aqua-resizer-master/aq_resizer.php';

/**
 * Include WooCommerce Custom Functions
 */
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/woocommerce/woo-functions.php';
function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328439&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        