<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Livekitchen
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js" >
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
    
<?php wp_body_open(); ?>

<?php livekitchen_theme_preloader(); ?>

<header id="masthead" class="site-header">
    <div class="header-top">
        <div class="container">
            <div class="row">
                <div class="col-md-8 hidden-xs">
                    <div class="addresses">
                         
                        <?php
                            $header_contact_info = livekitchen_theme_get_customizer_field('header_top_option','1','header_contact_info');
                            if ( $header_contact_info != "" ) {
                                foreach ( $header_contact_info as $value ) { ?>
                                <div class="address-single">
                                    <?php if(!empty($value['url'])) {
                                        echo "<a href='".esc_url($value['url'])."'>";
                                    } ?>  
                                    <?php if ($value['icon']['type'] == "icon-font") { ?>
                                        <i class="<?php echo esc_attr($value['icon']['icon-class']);?>"></i>
                                    <?php } else { ?>
                                        <img src="<?php  echo esc_url($value['icon']['url']); ?>" alt="<?php esc_attr_e('Img Icon','livekitchen' ); ?>" />
                                    <?php } ?>  
                                    <p><?php if(!empty($value['text'])) echo esc_html($value['text']); ?></p>

                                    <?php if(!empty($value['url'])) {
                                        echo "</a>";
                                    } ?> 
                                </div> 
                                <?php 
                                }
                            } 
                        ?>  

                    </div><!--/.addresses-->
                </div><!--/.col-md-8-->

                <div class="col-md-4">
                    <div class="social-links">
                        <?php livekitchen_theme_social_link(livekitchen_theme_get_customizer_field('header_top_option','1','header_social_link')); ?>  
                    </div><!--/.social-links-->

                    <?php if(class_exists('WC_Widget_Cart')) { 
                    if( !is_cart() && !is_checkout()) {
                    ?>
                    <div class="header-mini-cart"> 
                        <a href="#"><i class="fa fa-shopping-basket"></i><span>(<?php echo sprintf( _n( '%d', '%d', WC()->cart->get_cart_contents_count(), 'livekitchen' ), WC()->cart->get_cart_contents_count() ); ?>)</span></a>
                        <div class="header-cart-dropdown">
                            <div class="top-cart">
                                <?php the_widget('WC_Widget_Cart', array('title' => '')); ?> 
                            </div> 
                        </div>
                    </div>
                    <?php } } ?>

                    <div class="search-area">
                        <i class="fa fa-search"></i>
                    </div>

                    <div class="header-serach-overlay">
                        <div class="header-search">
                            <a href="#" class="serach-overlay-close"><i class="fa fa-times"></i></a>
                            <div class="search default">
                                <?php get_search_form(); ?>
                            </div>
                        </div><!-- /.header-search -->
                    </div><!-- /.header-serach-overlay -->
                </div><!--/.col-md-4-->
            </div><!--/.row-->
        </div><!--/.container-->
    </div><!--/.header-top-->

    <!--Header Bottom-->
    <?php 
        $sticky_nav_url = (isset($_GET["sticky_nav"])) ? $_GET["sticky_nav"] : "";
        $sticky_nav = false;
        if ( $sticky_nav_url == "on" ) {
            $sticky_nav = true;
        } elseif ( livekitchen_theme_get_customizer_field('header_sticky_nav') == 1) {
            $sticky_nav = true;
        }
    ?>
    <div class="header-bottom <?php if($sticky_nav == true) echo esc_attr("sticky-nav"); ?>">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="menu-wrapper clearfix">
                        <div class="navbar-header pull-left">
                            <div class="logo-block"> 
                                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="site-logo">
                                <img src="<?php echo livekitchen_theme_get_customizer_field('header_logo', array('url', get_template_directory_uri()."/images/logo.png" )); ?>" alt="<?php echo bloginfo('name'); ?>">
                                </a>
                            </div>
                        </div><!--/.navbar-header-->

                        <div class="collapse navbar-collapse pull-right">
                            <?php 
                                $menu_animation = (isset($_GET["menu_animation"])) ? $_GET["menu_animation"] : "";
                                if ( !empty($menu_animation) ) {
                                    $header_menu_animation = $menu_animation;
                                } else {
                                    $header_menu_animation = livekitchen_theme_get_customizer_field(array('header_menu_animation','slide'));
                                }
                            ?>
                            <div class="navigation hidden-sm hidden-xs animation-<?php echo esc_attr($header_menu_animation); ?>"> 
                                <?php 
                                    wp_nav_menu ( array(
                                        'menu_class' => 'nav mainmenu',
                                        'container'=> 'ul',
                                        'theme_location' => 'main-menu',
                                        'fallback_cb'       => 'Sh_Custom_Walker::fallback_main_menu',
                                        'walker' => new Sh_Custom_Walker()  
                                    )); 
                                ?>
                            </div><!--/.navigation-->

                            <!--Mobile Main Menu-->
                            <div class="mobile-menu-main hidden-md hidden-lg">
                                <div class="menucontent overlaybg"></div>
                                <div class="menuexpandermain slideRight">
                                    <a id="navtoggole-main" class="animated-arrow slideLeft menuclose">
                                        <span></span>
                                    </a>
                                    <span id="menu-marker"></span>
                                </div><!--/.menuexpandermain-->
                                <div id="mobile-main-nav" class="main-navigation slideLeft">
                                    <div class="menu-wrapper">
                                        <div id="main-mobile-container" class="menu-content clearfix"></div>
                                    </div>
                                </div><!--/#mobile-main-nav-->
                            </div><!--/.mobile-menu-main-->
                        </div><!--/.navbar-collapse-->
                    </div><!--/.menu-wrapper-->
                </div><!--/.col-md-12-->
            </div><!--/.row-->
        </div><!--/.container-->
    </div><!--/.header-bottom-->
</header><!--/.site-header-->
