<?php 
if ( ! defined( 'ABSPATH' ) ) die( 'Direct access forbidden.' );

$protocol = is_ssl() ? 'https' : 'http';

if(defined( 'FW' )) {
    $css_lib_uri        = fw_get_framework_directory_uri('/includes/option-types/datetime-picker/static/css/jquery.datetimepicker.css');
    $js_lib_uri         = fw_get_framework_directory_uri('/includes/option-types/datetime-picker/static/js/jquery.datetimepicker.js');
    wp_enqueue_style( 'fw-option-datetime-picker-lib-css', $css_lib_uri );
    wp_enqueue_script( 'fw-option-datetime-picker-lib-js', $js_lib_uri, array('jquery'), false, true );
}

// enqueue style
if ( !defined( 'FW' ) ) :
wp_enqueue_style( 'livekitchen-theme-google-font', $this->google_fonts_url(), array(), '1.0' );
endif;

// All Plug-in CSS
wp_enqueue_style('livekitchen-theme-plugins', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . "/css/plugins.css");
wp_enqueue_style('livekitchen-theme-icons', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . "/css/livekitchen-icon-pack.css");
wp_enqueue_style( 'livekitchen-theme-style', get_stylesheet_uri() );

// enqueue scripts
wp_enqueue_script('modernizr', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . '/js/vendor/modernizr-2.8.3.min.js', array(), '2.8.3', false);
wp_enqueue_script('livekitchen-theme-plugins-js', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . '/js/plugins.js', array("jquery"), false, true);

if(is_single()) {
    wp_enqueue_style('livekitchen-theme-post-like', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . "/css/post-like.css");
    wp_enqueue_script('livekitchen-theme-like-js', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . '/js/simple-likes-public.js', array("jquery"), false, true);
}

//google map load only contact page
if ( livekitchen_theme_get_current_template() == "contact-page.php" ) {

    $personal_api = livekitchen_theme_get_customizer_field('map_api');
    $personal_api_key = (!empty($personal_api)) ? $personal_api : "";
    wp_enqueue_script('livekitchen-theme-google-map-api-js', "$protocol://maps.google.com/maps/api/js?key=".$personal_api_key, array("jquery"), false, true);
    wp_enqueue_script('livekitchen-theme-gmaps-js', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . '/js/gmaps.min.js', array("jquery"), false, true);
}

// load masonry from wordpress for grid layout
wp_enqueue_script('masonry');

wp_enqueue_script('livekitchen-theme-function-js', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . '/js/livekitchen.js', array("jquery"), false, true);
wp_enqueue_script('livekitchen-theme-custom-js', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . '/js/custom.js', array("jquery"), false, true);
wp_enqueue_script( 'livekitchen-theme-skip-link-focus-fix', LIVEKITCHEN_THEME_TEMPLATE_DIR_URL . '/js/skip-link-focus-fix.js', array(), '20130115', true );

$check_rtl = false;
if ( is_rtl() ) {
    $check_rtl = true;
}

wp_localize_script("livekitchen-theme-function-js", "livekitchen", array (
        'check_rtl' => $check_rtl,
    )
);

wp_localize_script("livekitchen-theme-custom-js", "livekitchen", array (
        'ajaxurl' => admin_url( "admin-ajax.php" ),
        'root' => esc_url_raw( rest_url() ),
        'home_uri' => esc_url( home_url( '/' ) ), 
    )
);

wp_localize_script( 'livekitchen-theme-like-js', 'livekitchen_like', array(
    'ajaxurl' => admin_url( 'admin-ajax.php' ),
    'like' => esc_html__( 'Like', 'livekitchen' ),
    'unlike' => esc_html__( 'Unlike', 'livekitchen' )
) ); 

if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
    wp_enqueue_script( 'comment-reply' );
}