<?php 
if ( ! defined( 'ABSPATH' ) ) die( 'Direct access forbidden.' );

if( ! class_exists( 'Livekitchen_Theme_Static' ) ) :
class Livekitchen_Theme_Static {

    /**
     * Allow HTML tag from escaping HTML 
     * 
     * @return void
     * @since v1.0
     */
    public static function html_allow() {
        return array(
            'a' => array(
                'href' => array(),
                'title' => array()
            ),
            'br' => array(),
            'del' => array(),
            'span' => array(
                'class' => array(),
                'id' => array(),
            ),
            'li' => array(
                'class' => array(),
                'id' => array(),
            ),
            'ul' => array(
                'class' => array(),
                'id' => array(),
            ),
            'ol' => array(
                'class' => array(),
                'id' => array(),
            ),
            'em' => array(),
            'strong' => array(),
            'h1' => array(
                'class' => array(),
                'id' => array(),
            ),            
            'h2' => array(
                'class' => array(),
                'id' => array(),
            ),            
            'h3' => array(
                'class' => array(),
                'id' => array(),
            ),            
            'h4' => array(
                'class' => array(),
                'id' => array(),
            ),            
            'h5' => array(
                'class' => array(),
                'id' => array(),
            ),            
            'h6' => array(
                'class' => array(),
                'id' => array(),
            ),            
            'div' => array(
                'class' => array(),
                'id' => array(),
            ),
            'p' => array(
                'class' => array(),
                'id' => array(),
            ),          
            'i' => array(
                'class' => array(),
                'id' => array(),
            ),            
            'bdi' => array(
                'class' => array(),
                'id' => array(),
            ),          
            'del' => array(
                'class' => array(),
                'id' => array(),
            ),
            'style' => array(),
        );
    }

    /**
     * @since v1.0
     */
    public static function html_allow_iframe() {
        return array(
            'iframe' => array (
                'align'       => true,
                'frameborder' => true,
                'height'      => true,
                'width'       => true,
                'sandbox'     => true,
                'seamless'    => true,
                'scrolling'   => true,
                'srcdoc'      => true,
                'src'         => true,
                'class'       => true,
                'id'          => true,
                'style'       => true,
                'border'      => true,
            )
        );
    }

    /**
     * @since v1.0
     */
    public static function total_grid() {
        return array(
            '1' => esc_html__( '1 Grid', 'livekitchen' ),
            '2' => esc_html__( '2 Grid', 'livekitchen' ),
            '3' => esc_html__( '3 Grid', 'livekitchen' ),
            '4' => esc_html__( '4 Grid', 'livekitchen' ),
            '5' => esc_html__( '5 Grid', 'livekitchen' ),
            '6' => esc_html__( '6 Grid', 'livekitchen' ),
            '7' => esc_html__( '7 Grid', 'livekitchen' ),
            '8' => esc_html__( '8 Grid', 'livekitchen' ),
            '9' => esc_html__( '9 Grid', 'livekitchen' ),
            '10' => esc_html__( '10 Grid', 'livekitchen' ),
            '11' => esc_html__( '11 Grid', 'livekitchen' ),
            '12' => esc_html__( '12 Grid', 'livekitchen' ),
        );
    }

    /**
     * @since v1.0
     */
    public static function total_items() {
        return array(
            '2' => esc_html__( 'Two', 'livekitchen' ),
            '3' => esc_html__( 'Three', 'livekitchen' ),
            '4' => esc_html__( 'Four', 'livekitchen' ),
            '5' => esc_html__( 'Five', 'livekitchen' ),
            '6' => esc_html__( 'Six', 'livekitchen' ),
            '7' => esc_html__( 'Seven', 'livekitchen' ),
        );
    }

}

// Removing this line is like not having a functions.php file
new Livekitchen_Theme_Static;

endif;