<?php

function livekitchen_theme_hex_2_rgba($color, $opacity = false) {
    $default = 'rgb(0,0,0)';
    //Return default if no color provided
    if(empty($color))
        return $default; 
 
    //Sanitize $color if "#" is provided 
    if ($color[0] == '#' ) {
        $color = substr( $color, 1 );
    }
 
    //Check if color has 6 or 3 characters and get values
    if (strlen($color) == 6) {
        $hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
    } elseif ( strlen( $color ) == 3 ) {
        $hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
    } else {
        return $default;
    }
 
    //Convert hexadec to rgb
    $rgb =  array_map('hexdec', $hex);
 
    //Check if opacity is set(rgba or rgb)
    if($opacity){
        if(abs($opacity) > 1)
            $opacity = 1.0;
        $output = 'rgba('.implode(",",$rgb).','.$opacity.')';
    } else {
        $output = 'rgb('.implode(",",$rgb).')';
    }
 
    //Return rgb(a) color string
    return $output;
}

function livekitchen_theme_color() {  
    $setting_color = livekitchen_theme_get_customizer_field('color_scheme', array('id', '1'));
    switch( $setting_color ) {
        case '1':  
            // add a condition to show demo color scheme by url
            ( isset($_GET["color_scheme_color"]) ) ? $color_scheme_color = $_GET["color_scheme_color"]  : $color_scheme_color = "" ;
            if (preg_match('/^[A-Z0-9]{6}$/i', $color_scheme_color)) {
              $demo_color_scheme = $_GET['color_scheme_color'];
            }
            else {
               $demo_color_scheme = "e7272d";
            }
            $livekitchen_theme_color = "#".$demo_color_scheme; 
            break;
        case '2': 
            $livekitchen_theme_color = "#d12a5c";
            break;
        case '3': 
            $livekitchen_theme_color = "#49ca9f";
            break;
        case '4': 
            $livekitchen_theme_color = "#1f1f1f";
            break;
        case '5': 
            $livekitchen_theme_color = "#808080";
            break;
        case '6': 
            $livekitchen_theme_color = "#ebebeb";
            break;
        case 'fw-custom': 
            $livekitchen_theme_color = livekitchen_theme_get_customizer_field('color_scheme', 'color');
            break; 
    }
    //rgba color
    $livekitchen_theme_rgba_color = livekitchen_theme_hex_2_rgba($livekitchen_theme_color, 0.8);
?>
::selection {background: <?php echo esc_attr($livekitchen_theme_color); ?> none repeat scroll 0 0; } *::-moz-selection {background: <?php echo esc_attr($livekitchen_theme_color); ?> none repeat scroll 0 0; } a:hover, a:focus, a:active {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } label a {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .post-details .entry-content a:hover, .btn:hover, .social-link a:hover, .rotate .cat-links a:hover, .layout-five .single-row-col .post-media .rotate .cat-links a:hover, .link-home a:hover, #author-details .authors-social a:hover, .tag a:hover, #submit:hover, .scroll-top a:hover, .entry-meta span a:hover, .more-link:hover, .follow-link a:hover {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .blog-single-page-area .single-post .entry-content .page-links > span {background: <?php echo esc_attr($livekitchen_theme_color); ?>; } .blog-single-page-area .single-post .entry-content a {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .post-password-form input[type="submit"] {background: <?php echo esc_attr($livekitchen_theme_color); ?>; } .entry-cat a:hover {color: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .meta-content .meta-cat {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .slider-content .slider-navigation .owl-item.active li.active:before {border-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .slider-content .slider-navigation .meta-cat {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .blog-single-page-area .single-post .entry-header .entry-meta .entry-like .sl-wrapper > a > .fa {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .social-link a:hover i, .error-page .error-page-list .error-search .btn-default:hover i, #author-slider .owl-controls .owl-nav > div:hover i, #featured-product-slide .owl-controls .owl-nav > div:hover i {color: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .navigation .menu-list li:hover > a {color: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .navigation .menu-list li .sub-menu > li:hover > a {color: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .error-page .error-page-list .error-search .btn-default:hover {border-color: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .btn:hover:hover, .btn.btn-default:hover, .comment-reply-link:hover, .form-submit #submit:hover {background-color: <?php echo esc_attr(livekitchen_theme_hex_2_rgba($livekitchen_theme_color, 0.85)); ?>; } .site-header .social-links a:hover {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .section-title-area span, .hotel-room-section-title .section-title span {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .btn.active.focus, .btn.active:focus, .btn.focus, .btn:active.focus, .btn:active:focus, .btn:focus, .btn:hover {background-color: <?php echo esc_attr(livekitchen_theme_hex_2_rgba($livekitchen_theme_color, 0.85)); ?>; } .btn-offer {border-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .btn-offer > span {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .btn-default:hover {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .btn-details {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .btn-submit {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .link-home:hover {border-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .header-top .col-md-4 .search-area .header-search .form-controller {border-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .timer-content-area .social-share > a:hover {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .single-spa-pricing .price {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .gallery-filter-menu > li > a:hover {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; border-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .section-align-title-area .section-align-sub-title {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .section-title-area .section-name {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .welcome-slider .style-one .image-before .heading h2 {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .welcome-slider .style-two .slider-heading-main {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .welcome-slider .style-two .image-before .heading h2 {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .booking-with-chif.margin-top .sub-heading-title {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .our-experts-chefs .item .author-designation {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .online-book-form.color-two {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .menu-item-one .menu-title {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .menu-item-two .item-price {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .owl-dot.active {background: <?php echo esc_attr($livekitchen_theme_color); ?>; } .section-align-title span {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .special-tab-content .nav-tabs > li > a:hover:before, .special-tab-content .nav-tabs > li.active > a:before, .special-tab-content .nav-tabs > li.active > a:focus:before, .special-tab-content .nav-tabs > li.active > a:hover:before {background: <?php echo esc_attr($livekitchen_theme_color); ?>; } .our-experts-chefs .tab-pane .author-designation {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .gallery-item-content .overlay-gallery {background: <?php echo esc_attr(livekitchen_theme_hex_2_rgba($livekitchen_theme_color, 0.75)); ?>; } .online-book-section.style-two .section-title-area .title-box-inner, .online-book-section.style-two .form-content {background: <?php echo esc_attr($livekitchen_theme_color); ?>; } .online-book-section.style-two .form-content input {border-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .best-place-section.best-place-style-two .btn.btn-default {background: <?php echo esc_attr($livekitchen_theme_color); ?>; } .place-overlay-outer {background-color: <?php echo esc_attr(livekitchen_theme_hex_2_rgba($livekitchen_theme_color, 0.8)); ?>; } .customer-reviews .owl-controls .owl-dots > div.active {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .shop-single-area .price h2 {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .review-single-content .review-form .btn.btn-default:hover {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .single-event.list .event-title {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .single-event .col-md-6:nth-child(even):before {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .gallery-filter-menu li.current-tab a {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .widget-opening-hour li:hover {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .widget-opening-hour li.offday {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .widget .tagcloud a:hover {background-color: <?php echo esc_attr($livekitchen_theme_color); ?> !important; border-color: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .sidebar-shop .widget_shopping_cart .widget_shopping_cart_content .buttons a:hover, .site-footer .widget_shopping_cart .widget_shopping_cart_content .buttons a:hover {background-color: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .header-cart-dropdown .widget_shopping_cart_content .buttons a:hover {background-color: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .blog-page-area .paginations .paging-navigation ul li.active a {background-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .page-heading-area .page-heading span {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .price .woocommerce-Price-amount {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .woocommerce-Reviews .woocommerce-verification-required {border-color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .woocommerce-info a {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .woocommerce-MyAccount-content a {color: <?php echo esc_attr($livekitchen_theme_color); ?>; } .woocommerce a.button.alt:hover, .woocommerce button.button.al:hover, .woocommerce input.button.alt:hover {background: <?php echo esc_attr($livekitchen_theme_color); ?>; } .widget_price_filter .ui-slider .ui-slider-handle, .widget_price_filter .price_slider_wrapper .ui-widget-content {background: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover {background: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover {background: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .paginations .paging-navigation ul li.active a {background: <?php echo esc_attr($livekitchen_theme_color); ?> !important; } .booking-with-chif.style-one a.btn.btn-default:hover,.about-and-sp-menu.style-two a.btn.btn-default:hover, .livekitchen-theme-newsletter-box .newsletter-area .form-newsletter .mc-embedded-subscribe:hover {background: <?php echo esc_attr($livekitchen_theme_color); ?> !important;} .mainmenu li a:hover {color: <?php echo esc_attr($livekitchen_theme_color); ?> !important;}
.blog-single-page-area .single-post .entry-footer .share > a:hover {background: <?php echo esc_attr($livekitchen_theme_color);?>}
<?php
} // end livekitchen_theme_color function
livekitchen_theme_color(); // here print the function
