<?php
/**
 * Hooks for template header
 *
 * @package Livekitchen
 */

function livekitchen_theme_font_enqueue($selector, $font_property) { ?>
	<?php echo (isset($selector)) ? livekitchen_theme_return($selector) : ''; ?> { 
		<?php 
		$family = (isset($font_property['family'])) ? $font_property['family'] : '';
		if ($family != '') echo "font-family: $family !important;";

		$style = (isset($font_property['style'])) ? $font_property['style'] : '';
		if ($style != '') echo "font-style: $style;";

		$weight = (isset($font_property['weight'])) ? $font_property['weight'] : '';
		if ($weight != '') echo "font-weight: $weight;";

		$size = (isset($font_property['size'])) ? $font_property['size'] : '';
		if ($size != '') echo "font-size: $size;";

		$line_height = (isset($font_property['line-height'])) ? $font_property['line-height'] : '';
		if ($line_height != '') echo "line-height: $line_height;";

		$latter_spacing = (isset($font_property['letter-spacing'])) ? $font_property['letter-spacing'] : '';
		if ($latter_spacing != '') echo "letter-spacing: $latter_spacing;";

		$color = (isset($font_property['color'])) ? $font_property['color'] : '';
		if ($color != '') echo "color: $color;";
		?>
	}
	<?php
}

/**
 * Custom scripts and styles on header
 *
 * @since  1.0
 */
function livekitchen_theme_header_scripts_css() {	
	// Custom CSS
	ob_start();
	livekitchen_theme_font_enqueue('body', livekitchen_theme_get_customizer_field('global_body_fonts'));
	livekitchen_theme_font_enqueue('blockquote', livekitchen_theme_get_customizer_field('block_quote_fonts'));
	livekitchen_theme_font_enqueue('h1', livekitchen_theme_get_customizer_field('hading_one_font'));
	livekitchen_theme_font_enqueue('h2', livekitchen_theme_get_customizer_field('hading_two_font'));
	livekitchen_theme_font_enqueue('h3', livekitchen_theme_get_customizer_field('hading_three_font'));
	livekitchen_theme_font_enqueue('h4', livekitchen_theme_get_customizer_field('hading_four_font'));
	livekitchen_theme_font_enqueue('h5', livekitchen_theme_get_customizer_field('hading_five_font'));
	livekitchen_theme_font_enqueue('h6', livekitchen_theme_get_customizer_field('hading_six_font'));

	$google_font = ob_get_clean();	
	$google_font .= livekitchen_theme_get_customizer_field('custom_css', '');
	wp_add_inline_style( 'livekitchen-theme-custom-google-font', $google_font );

	ob_start();
	
	require get_template_directory() . '/inc/frontend/color-schemer.php';
	$custom_css_code = ob_get_clean();
	$custom_css_code .= livekitchen_theme_fw_post_meta('custom_css');
	$custom_css_code .= livekitchen_theme_get_customizer_field('custom_css_code');
	wp_add_inline_style( 'livekitchen-theme-style', $custom_css_code );
}
add_action( 'wp_enqueue_scripts', 'livekitchen_theme_header_scripts_css', 300 );
