<?php 
add_action('wp_ajax_livekitchen_theme_popular_post', 'livekitchen_theme_popular_post');
add_action('wp_ajax_nopriv_livekitchen_theme_popular_post', 'livekitchen_theme_popular_post');
if ( ! function_exists( 'livekitchen_theme_popular_post' ) ) :
    function livekitchen_theme_popular_post() { 
        $masonry_grid = livekitchen_theme_get_customizer_field(array('grid_masonry_layout', 'masonry')); ?>
        <div class="row layout-<?php echo esc_attr($masonry_grid); ?>">
            <?php                     
            $wp_query = new WP_Query(
                array( 
                    'posts_per_page' => livekitchen_theme_get_customizer_field(array('popular_per_page', 5)),
                    'ignore_sticky_posts' => true,
                    'date_query' => array(
                        array(
                            'after' => "365 day ago"
                        )
                    ),
                    'meta_query'      => array(
                        'relation'    => 'AND',
                        'post_views_count'    => array(
                            'key'     => 'livekitchen_theme_post_views_count',
                            'type'    => 'NUMERIC',
                            'compare' => 'EXISTS',
                        ),
                    ),
                    'orderby' => array(
                        'comment_count' => 'DESC',
                        'post_views_count'    => 'DESC',
                    ),
                ) 
            );
            $tab_type = "popular"; 
            require get_template_directory().'/template-parts/post/loop.php';
            ?>
        </div><!-- /.row -->
    <?php die(); }
endif;

add_action('wp_ajax_livekitchen_theme_trending_post', 'livekitchen_theme_trending_post');
add_action('wp_ajax_nopriv_livekitchen_theme_trending_post', 'livekitchen_theme_trending_post');
if ( ! function_exists( 'livekitchen_theme_trending_post' ) ) :
    function livekitchen_theme_trending_post() { 
        $masonry_grid = livekitchen_theme_get_customizer_field(array('grid_masonry_layout', 'masonry')); ?>
        <div class="row layout-<?php echo esc_attr($masonry_grid); ?>">
            <?php                     
            $wp_query = new WP_Query(
                array( 
                   'posts_per_page' => livekitchen_theme_get_customizer_field(array('trending_per_page', 5)),
                   'meta_key' => 'livekitchen_theme_post_views_count',
                   'ignore_sticky_posts' => true,
                   'orderby' => 'meta_value_num',
                   'order' => 'DESC',
                   'date_query' => array(
                        array(
                            'after' => "365 day ago"
                        )
                    ),
                ) 
            );
            $tab_type = "trending";
            require get_template_directory().'/template-parts/post/loop.php';
            ?>     
        </div><!-- /.row -->
    <?php die(); }
endif;