<?php
/*
 * Incresment function for static value
*/
if ( ! function_exists( 'livekitchen_theme_counter_one' ) ) :
    function livekitchen_theme_counter_one() {
        static $counter = 0;
        $counter++;
        return $counter;
    }
endif;

if ( ! function_exists( 'livekitchen_theme_counter_two' ) ) :
    function livekitchen_theme_counter_two() {
        static $counter = 0;
        $counter++;
        return $counter;
    }
endif;

if ( ! function_exists( 'livekitchen_theme_counter_three' ) ) :
    function livekitchen_theme_counter_three() {
        static $counter = 0;
        $counter++;
        return $counter;
    }
endif;

if ( ! function_exists( 'livekitchen_theme_post_featured_image' ) ) :
function livekitchen_theme_post_featured_image($width = 900, $height = 600, $crop = false) {
    if ( wp_is_mobile() ) {
        $featured_image = livekitchen_theme_aq_resize( wp_get_attachment_url( get_post_thumbnail_id() ,'full' ), 400, 300, false ); 
        if( $featured_image == false ) {
            the_post_thumbnail( 'full', array( 'alt' => get_the_title() ));
        } else { ?>
        <img src="<?php echo esc_url($featured_image); ?>" alt="<?php the_title(); ?>" />
        <?php }
    } else {
        $featured_image = livekitchen_theme_aq_resize( wp_get_attachment_url( get_post_thumbnail_id() ,'full' ), $width, $height, $crop ); 
        if( $featured_image == false ) {
            the_post_thumbnail( 'full', array( 'alt' => esc_attr(get_the_title()) ));
        } else { ?>
        <img src="<?php echo esc_url($featured_image); ?>" alt="<?php echo esc_attr(get_the_title()); ?>" />
        <?php }
    }
}
endif;

if ( ! function_exists( 'livekitchen_theme_get_image_crop_size' ) ) :
function livekitchen_theme_get_image_crop_size($img_id = false, $width = 900, $height = 600, $crop = false) {
    $url = wp_get_attachment_url( $img_id ,'full' );
    if ( wp_is_mobile() ) {
        $crop_image = livekitchen_theme_aq_resize( $url, 305, 175, false ); 
        if( $crop_image == false ) {
            return $url;
        } else { 
            return $crop_image;
        }
    } else {
        $crop_image = livekitchen_theme_aq_resize( $url, $width, $height, $crop ); 
        if( $crop_image == false ) {
            return $url;
        } else { 
            return $crop_image;
        }
    }
}
endif;

if ( ! function_exists( 'livekitchen_theme_get_image_crop_size_by_id' ) ) :
function livekitchen_theme_get_image_crop_size_by_id($post_id = false, $width = 900, $height = 600, $crop = false) {
    $url = get_the_post_thumbnail_url($post_id, 'full');
    if ( wp_is_mobile() ) { 
        $crop_image = livekitchen_theme_aq_resize( $url, 400, 300, false ); 
        if( $crop_image == false ) {
            return $url;
        } else { 
            return $crop_image;
        }
    } else {
        $crop_image = livekitchen_theme_aq_resize( $url, $width, $height, $crop ); 
        if( $crop_image == false ) {
            return $url;
        } else { 
            return $crop_image;
        }
    }
}
endif;

// Content Return
function livekitchen_content_print( $content ) {
    return $content;
}