<?php
function livekitchen_theme_set_post_views($postID) {
    $count_key = 'livekitchen_theme_post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if ( $count == '' ){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '1');
    } else {
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
//To keep the count accurate, lets get rid of prefetching

function livekitchen_theme_track_post_views ($post_id) {
    if ( !is_single() ) return;
    if ( empty ( $post_id ) ) {
        global $post;
        $post_id = $post->ID;    
    }
    livekitchen_theme_set_post_views($post_id);
}
add_action( 'wp_head', 'livekitchen_theme_track_post_views');

function livekitchen_theme_get_post_views($postID){
    $count_key = 'livekitchen_theme_post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if( $count == 0 ) {
        return esc_html__('0','livekitchen');
    } elseif( $count == 1 ) {
        return esc_html__('1','livekitchen');
    }
    return $count;
}

// Add it to a column in WP-Admin
add_filter('manage_posts_columns', 'livekitchen_theme_posts_column_views');
function livekitchen_theme_posts_column_views($defaults){
    $defaults['post_views'] = esc_html__('Views', 'livekitchen');
    return $defaults;
}

add_action('manage_posts_custom_column', 'livekitchen_theme_posts_custom_column_views',5,2);
function livekitchen_theme_posts_custom_column_views($column_name, $id){
    if ($column_name === 'post_views'){
        $count_key = 'livekitchen_theme_post_views_count';
        $count = get_post_meta(get_the_ID(), $count_key, true);
        if( $count == 0 ) {
            echo esc_html__('0','livekitchen');
        } elseif( $count == 1 || $count == 2) {
            echo esc_html__('1','livekitchen');
        }  else {
            echo esc_html($count);
        }
    }
}