<?php 
/* This template for shortcode function */

/*
 * livekitchen theme event sort function
*/
function livekitchen_theme_event_sort_function( $a, $b ) {
    return strtotime($a["date"]) - strtotime($b["date"]);
}

function livekitchen_theme_shortcode_dining_menu_tab_content( $cat_id = "", $number = -1, $style = 'one' ) {
    $product_query = new WP_Query(
        array(
            'post_type' => 'product', 
            'posts_per_page' => $number,
            'orderby' => 'meta_value_num',
            'order'	=> 'desc',
            'meta_key' => '_price',
            'tax_query' => array(
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'id',
                    'terms' => $cat_id,
                )
            ), 
        )
    );
    if ($product_query->have_posts()): 
    $i = 1; 
    $color = ($style == 'one') ? 'color-white' : 'color-black';
    $color_two = ($style == 'one') ? '' : 'color-normal';
    while ($product_query->have_posts()) : $product_query->the_post(); ?>
        <div class="col-md-6">
            <div class="menu-item-one style-two <?php echo esc_attr($color_two); ?>">
                <div class="item-text">
                    <h5 class="menu-title <?php echo esc_attr($color); ?>">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                        <span class="price hidden-md hidden-lg"><?php global $product; echo wp_kses( $product->get_price_html(), Livekitchen_Theme_Static::html_allow() ); ?></span>
                    </h5>
                    <?php $food_mixed = livekitchen_theme_fw_post_meta('food_mixed');
                    if(!empty($food_mixed)) { ?>
                    <ul class="menu-item-meta">
                        <?php foreach ($food_mixed as $value) { ?>
                        <li><?php echo esc_html($value); ?></li> 
                        <?php } ?>
                    </ul>
                    <?php } ?>
                </div>
                
                <div class="item-price hidden-sm hidden-xs">
                    <div class="price-inner <?php echo esc_attr($color); ?>"><?php echo wp_kses( $product->get_price_html(), Livekitchen_Theme_Static::html_allow() ); ?></div>
                </div>
            </div><!--/.menu-item-one-->
        </div><!--/.col-md-6--> 
    <?php 
    if($i % 2 == 0) echo '<div class="clearfix"></div><!-- /.clearfix -->';
    $i++; endwhile; endif; wp_reset_postdata();                           
} // end function

function livekitchen_theme_shortcode_special_dishes_tab_content( $cat_id = "", $number = -1) { 
    global $post;
    $product_query = new WP_Query(
        array(
            'post_type' => 'product', 
            'posts_per_page' => $number,
            'tax_query' => array(
                array(
                    'taxonomy' => 'product_cat',
                    'field' => 'id',
                    'terms' => $cat_id,
                )
            ), 
        )
    );
    if ($product_query->have_posts()):  
    while ($product_query->have_posts()) : $product_query->the_post(); ?>
    <div class="menu-item-one">         
        <?php if ( has_post_thumbnail() ) { ?> 
        <div class="image-area">
            <a href="<?php the_permalink(); ?>">
                <?php livekitchen_theme_post_featured_image(115, 99); ?>            
            </a> 
        </div>
        <?php } ?> 
        <div class="item-text">
            <h5 class="menu-title">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                <span class="price-inner hidden-md hidden-lg"><?php global $product; echo wp_kses( $product->get_price_html(), Livekitchen_Theme_Static::html_allow() ); ?></span>
            </h5> 
            <p class="menu-description"><?php echo livekitchen_theme_string_to_excerpt($post->post_excerpt, 13); ?></p>
        </div>
        <div class="item-price hidden-xs hidden-sm">
            <div class="price-inner"><?php echo wp_kses( $product->get_price_html(), Livekitchen_Theme_Static::html_allow() ); ?></div>
        </div>
    </div> 
    <?php endwhile; endif; wp_reset_postdata();  
} // end function

function livekitchen_theme_shortcode_dining_menu_slider_content( $cat_id = "", $number = -1 ) {
    global $post;
    $args = array(
        'post_type' => 'product', 
        'posts_per_page' => $number,
        'tax_query' => array(
            array(
                'taxonomy' => 'product_cat',
                'field' => 'id',
                'terms' => $cat_id,
            )
        ), 
    );
    $product_slider_post = get_posts($args);
    foreach (array_chunk($product_slider_post, 8, true) as $product_slider_post) :  ?>
    <div class="item">
        <div class="row">
        <?php 
        $i = 1;
        foreach( $product_slider_post as $post ) : setup_postdata($post); ?>
            <div class="col-md-3 col-sm-6 col-xs-6">
                <div class="menu-item-two">
                    <div class="image-area">
                        <?php if ( has_post_thumbnail() ) { ?> 
                            <a href="<?php the_permalink(); ?>">
                                <?php livekitchen_theme_post_featured_image(263, 194, true); ?>
                            </a> 
                        <?php } ?> 
                    </div>
                    <div class="menu-content text-center">
                        <div class="item-price">
                            <div class="price-inner"><?php global $product; echo wp_kses( $product->get_price_html(), Livekitchen_Theme_Static::html_allow() ); ?></div>
                        </div>
                        <h5 class="menu-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                    </div>
                </div>
            </div> 
            <?php if($i % 4 == 0) echo '<div class="clearfix"></div>' ?>
        <?php $i++; endforeach; wp_reset_postdata(); ?>
        </div><!--/.row-->
    </div><!--/.item-->
    <?php endforeach;            
} // end function