<?php
/*
* This template for override wordpress some function to match the theme
*/
if ( ! defined( 'EDD_SLUG' ) ) {
    //define( 'EDD_SLUG', 'item' ); // need to dynamic
}

if ( ! function_exists( 'livekitchen_theme_content_more' ) ) :
// change livekitchen content read  more link
add_filter( 'the_content_more_link', 'livekitchen_theme_content_more' );
function livekitchen_theme_content_more($more) {
    return esc_html__( '&hellip; ', 'livekitchen');
}   
endif;

if ( ! function_exists( 'livekitchen_theme_post_excerpt' ) ) :
// limit words excerpt
//add_filter("the_content", "livekitchen_theme_post_excerpt");
function livekitchen_theme_post_excerpt($text){
    global $post;
    $post_format = get_post_format();
    $meta = get_post_meta( $post->ID );
    if ( false === $post_format ) {
        $post_format = "standard";
    }

    if ( !is_single() ) {
        if ( $post_format == "standard" || $post_format == "image" || $post_format == "link") {
            $post_excerpt = (is_archive() || is_search()) ? livekitchen_theme_get_customizer_field('post_excerpt_option_archive','post_excerpt') : livekitchen_theme_get_customizer_field('post_excerpt_option','post_excerpt');
            if ( $post_excerpt == 1 ) {
                $length = (is_archive() || is_search()) ? livekitchen_theme_get_customizer_field('post_excerpt_option_archive','1','post_excerpt_length') : livekitchen_theme_get_customizer_field('post_excerpt_option','1','post_excerpt_length');
                if ( is_sticky() ) {
                   $length = livekitchen_theme_get_customizer_field('post_excerpt_option','1','post_excerpt_sticky_length'); 
                }
                $words = explode(' ', $text, ($length + 1));
                if(count($words) > $length) {
                      array_pop($words);
                      ($post_format != "chat")? $hellip = '&hellip;' : $hellip = '' ;
                      return implode(' ', $words).$hellip;
                } else {
                  return implode(' ', $words); 
                }
            } else {
                return $text;
            }  
        } else {
            return $text;
        }
    } else {
        return $text;
    }
}
endif;

if ( ! function_exists( 'livekitchen_theme_categories_postcount_filter' ) ) :
// remove parentheses from category list and add span class to count
add_filter('wp_list_categories','livekitchen_theme_categories_postcount_filter');
function livekitchen_theme_categories_postcount_filter ($args) {
    $args = str_replace('(', '<span class="count"> ', $args);
    $args = str_replace(')', ' </span>', $args);
   return $args;
}
endif;

if ( ! function_exists( 'livekitchen_theme_archive_count_no_brackets' ) ) :
// remove parentheses from archive list and add span class to count
add_filter('get_archives_link', 'livekitchen_theme_archive_count_no_brackets');
function livekitchen_theme_archive_count_no_brackets($links) {
    $links = str_replace('</a>&nbsp;(', '</a> <span class="count">', $links);
    $links = str_replace(')', ' </span>', $links);
    return $links;
}
endif;

if ( ! function_exists( 'livekitchen_theme_remove_redux_menu' ) ) :
/* remove redux framework menu under the tools */
add_action( 'admin_menu', 'livekitchen_theme_remove_redux_menu', 12 );
function livekitchen_theme_remove_redux_menu() {
    remove_submenu_page('tools.php','redux-about');
}
endif;

if ( ! function_exists( 'livekitchen_theme_wp_new_excerpt' ) ) :
// livekitchen rewrite excerpt function
function livekitchen_theme_wp_new_excerpt($text)
{
    if ($text == '')
    {
        $text = get_the_content('');
        $text = strip_shortcodes( $text );
        $text = apply_filters('the_content', $text);
        $text = str_replace(']]>', ']]>', $text);
        //$text = strip_tags($text);
        $text = nl2br($text);
        $length = (is_archive() || is_search()) ? livekitchen_theme_get_customizer_field('post_excerpt_option_archive','1','post_excerpt_length') : livekitchen_theme_get_customizer_field('post_excerpt_option','1','post_excerpt_length');
        if ( is_sticky() ) {
           $length = livekitchen_theme_get_customizer_field('post_excerpt_option','1','post_excerpt_sticky_length'); 
        }
        $excerpt_length = apply_filters('excerpt_length', $length);
        $words = explode(' ', $text, $excerpt_length + 1);
        if (count($words) > $excerpt_length) {
            array_pop($words);
            array_push($words, esc_html__( '&hellip;', 'livekitchen').'<a href="'.get_the_permalink().'" class="more-link">'.esc_html__( 'Continue Reading',  'livekitchen').'</a>');
            $text = implode(' ', $words);
        }
    }
    return $text;
}
//remove_filter('get_the_excerpt', 'wp_trim_excerpt');
//add_filter('get_the_excerpt', 'livekitchen_theme_wp_new_excerpt');
endif;

function livekitchen_theme_blog_home_two_five_exc_length( $length ) {
    return livekitchen_theme_get_customizer_field('template_layout_options', livekitchen_theme_template_layout(),'grid_post_excerpt_length');
}

function livekitchen_theme_blog_post_exc_length( $length ) {
    return (is_archive() || is_search()) ? livekitchen_theme_get_customizer_field('post_excerpt_option_archive','1','post_excerpt_length') : livekitchen_theme_get_customizer_field('post_excerpt_option','1','post_excerpt_length');
}

function livekitchen_theme_blog_home_two_five_excerpt_read_more( $more ) {
    return esc_html__(' ...', 'livekitchen');
}
add_filter( 'excerpt_more', 'livekitchen_theme_blog_home_two_five_excerpt_read_more' );

if ( ! function_exists( 'livekitchen_theme_custom_post_excerpt' ) ) :
// custom post excerpt with charecter
function livekitchen_theme_custom_post_excerpt($string, $length, $dots = "&hellip;") {
    return (strlen($string) > $length) ? substr($string, 0, $length - strlen($dots)) . $dots : $string;
}
endif;

if ( ! function_exists( 'livekitchen_theme_custom_string_limit_words' ) ) :
// custom post excerpt with words
function livekitchen_theme_custom_string_limit_words($string, $word_limit)
{
  $words = explode(' ', $string, ($word_limit + 1));
  if(count($words) > $word_limit)
  array_pop($words);
  return implode(' ', $words);
}
endif;

if ( ! function_exists( 'livekitchen_theme_get_file_name' ) ) :
function livekitchen_theme_get_file_name( $file_path ){
    $get_file_name_path = explode("/", $file_path);
    return end($get_file_name_path);
}
endif;

if ( ! function_exists( 'livekitchen_theme_var_template_include' ) ) :
// to get current template name
add_filter( 'template_include', 'livekitchen_theme_var_template_include', 1000 );
function livekitchen_theme_var_template_include( $t ) {
    $GLOBALS['current_theme_template'] = livekitchen_theme_get_file_name($t);
    return $t;
}
endif;

if ( ! function_exists( 'livekitchen_theme_get_current_template' ) ) :
function livekitchen_theme_get_current_template( $echo = false ) {
    if ( !isset( $GLOBALS['current_theme_template'] ) )
        return false;
    if ( $echo )
        echo livekitchen_theme_return($GLOBALS['current_theme_template']);
    else
        return $GLOBALS['current_theme_template'];
}
endif;

// remove unnecessary p and br tag from shortcode
if( !function_exists('livekitchen_theme_fix_shortcodes') ) :
    function livekitchen_theme_fix_shortcodes($content){
        $array = array (
            '<p>[' => '[',
            ']</p>' => ']',
            ']<br />' => ']'
        );
        $content = strtr($content, $array);
        return $content;   
    }
    add_filter('the_content', 'livekitchen_theme_fix_shortcodes');
endif;

/* Remove cotent between the specific text */ 
function livekitchen_theme_del_or_get_all_between($beginning, $end, $string, $delete = true) {
    $beginningPos = strpos($string, $beginning);
    $endPos = strpos($string, $end);
    if ($beginningPos === false || $endPos === false || livekitchen_theme_fes_is_activated() === false) {
       return $string;
    }
    if($delete) {
        $textToDelete = substr($string, $beginningPos, ($endPos + strlen($end)) - $beginningPos);
        return str_replace($textToDelete, '', $string);
    } else {
        $get_part = substr($string, $beginningPos, ($endPos + strlen($end)) - $beginningPos);
        $get_part =  str_replace($beginning, '', $get_part);
        $get_part =  str_replace($end, '', $get_part);
        return $get_part;
    } 
}

/**
 * @param FW_Ext_Backups_Demo[] $demos
 * @return FW_Ext_Backups_Demo[]
 */
function livekitchen_theme_demo_contetn_setup($demos) {
    $demos_array = array(
        'demo-one' => array(
            'title' => esc_html__('Demo One', 'livekitchen'),
            'screenshot' => esc_url('https://demo.softhopper.studio/theme-demo-contents/livekitchen-demo/screenshot-1.png'),
            'preview_link' => esc_url('https://demo.softhopper.studio/'),
        ),
        'demo-two' => array(
            'title' => esc_html__('Demo Two', 'livekitchen'),
            'screenshot' => esc_url('https://demo.softhopper.studio/theme-demo-contents/livekitchen-demo/screenshot-2.png'),
            'preview_link' => esc_url('https://demo.softhopper.studio/homepage-two/'),
        ),
        'demo-three' => array(
            'title' => esc_html__('Demo three', 'livekitchen'),
            'screenshot' => esc_url('https://demo.softhopper.studio/theme-demo-contents/livekitchen-demo/screenshot-3.png'),
            'preview_link' => esc_url('https://demo.softhopper.studio/homepage-three/'),
        ),
    );

    $download_url = esc_url('https://demo.softhopper.studio/theme-demo-contents/livekitchen-demo');

    foreach ( $demos_array as $id => $data ) {
        $demo = new FW_Ext_Backups_Demo($id, 'piecemeal', array(
            'url' => $download_url,
            'file_id' => $id,
        ));
        $demo->set_title($data['title']);
        $demo->set_screenshot($data['screenshot']);
        $demo->set_preview_link($data['preview_link']);

        $demos[ $demo->get_id() ] = $demo;

        unset($demo);
    }

    return $demos;
}
add_filter('fw:ext:backups-demo:demos', 'livekitchen_theme_demo_contetn_setup');

// include mega menu
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/mega-menu/sh_menu_functions.php';
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/mega-menu/menu.php';
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/mega-menu/nav-menu-roles/nav-menu-roles.php';
require LIVEKITCHEN_THEME_TEMPLATE_DIR . '/inc/mega-menu/icons.php';
