<?php
function livekitchen_theme_move_comment_field_to_bottom( $fields ) {
	$comment_field = $fields['comment'];
	unset( $fields['comment'] );
	$fields['comment'] = $comment_field;
	return $fields;
}
add_filter( 'comment_form_fields', 'livekitchen_theme_move_comment_field_to_bottom' );

function livekitchen_theme_comment_form($args) {
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );

	$args['fields'] = array(
      'author' =>
        '<div class="col-md-6"><p><input id="name" class="form-controller" name="author" required="required" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
        '" size="30"' . ( $req ? " aria-required='true'" : '' ) . ' placeholder="' . esc_html__( 'Your Name', 'livekitchen' ) . ( $req ? '*' : '' ) . '" /></p></div>',

      'email' =>
        '<div class="col-md-6"><p><input id="email" class="form-controller" name="email" required="required" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
        '" size="30"' . ( $req ? " aria-required='true'" : '' ) . ' placeholder="' . esc_html__( 'Your Email', 'livekitchen' ) . ( $req ? '*' : '' ) . '" /></p></div>',

      'url' =>
        '<div class="col-md-12"><p><input id="url" class="form-controller" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .
        '" size="30" placeholder="' . esc_html__( 'Got a Website?', 'livekitchen' ) . '" /></p></div>'
      );
	$args['id_form'] = "comment_form";
	$args['class_form'] = "row comment-form-main";
	$args['id_submit'] = "submit";
	$args['class_submit'] = "submit";
	$args['name_submit'] = "submit";
	$args['title_reply'] = wp_kses( __( '<span>Leave a Reply</span>', 'livekitchen' ), Livekitchen_Theme_Static::html_allow() );

	$args['title_reply_to'] = wp_kses( __( 'Leave a Reply to %s', 'livekitchen' ), Livekitchen_Theme_Static::html_allow() );
	$args['cancel_reply_link'] = esc_html__( 'Cancel Reply', 'livekitchen' );
	$args['comment_notes_before'] = "";
	$args['comment_notes_after'] = "";
	$args['label_submit'] = esc_html__( 'Post Comment', 'livekitchen' );
	$args['comment_field'] = '<div class="col-md-12"><p><textarea id="message" class="form-controller" name="comment" aria-required="true" rows="8" cols="45" placeholder="'. esc_html__( 'Your Comment here&hellip;', 'livekitchen' ) .'" ></textarea></p></div>';
	return $args;
}

add_filter('comment_form_defaults', 'livekitchen_theme_comment_form');

function livekitchen_theme_comment_list($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
	extract($args, EXTR_SKIP);
	if ( 'div' == $args['style'] ) {
		$tag = 'div';
		$add_below = 'comment';
	} else {
		$tag = 'li';
		$add_below = 'div-comment';
	}
?>

<<?php echo wp_kses( $tag, Livekitchen_Theme_Static::html_allow() ); ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
<?php if ( 'div' != $args['style'] ) : ?>
<div id="div-comment-<?php comment_ID() ?>" class="comment-body">
<?php endif; ?>
	<div class="comment-meta">
		<div class="comment-author vcard">	
			<div class="author-img">
				<?php echo get_avatar($comment,$size='80'); ?>				
			</div><!-- /.author-img -->
		</div><!-- /.comment-author .vcard -->

		<div class="comment-metadata">
			<?php printf( __( '<b class="fn">%s</b>', 'livekitchen' ), get_comment_author_link() ); ?>
			<span class="date">
				<?php
					printf( __('%1$s at %2$s','livekitchen'), get_comment_date(),  get_comment_time() ); ?><?php edit_comment_link( esc_html__( '(Edit)','livekitchen' ), '  ', '' );
				?>
			</span>
		</div><!-- /.comment-metadata -->
	</div><!-- /.comment-meta -->

	<div class="comment-details">		
		<div class="comment-content">
			<?php comment_text(); ?>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<p><em class="comment-awaiting-moderation"><?php esc_html_e( 'Your comment is awaiting moderation.','livekitchen' ); ?></em>
				</p>
			<?php endif; ?>
		</div><!-- /.comment-content -->
		
		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- /.reply -->
	</div><!-- /.comment-details -->
	<?php if ( 'div' != $args['style'] ) : ?>
	</div><!-- /.comment-body -->
	<?php endif; ?>
<?php }