<?php
/**
 * The template for displaying pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other "pages" on your WordPress site will use a different template.
 *
 * @package Livekitchen
 */
get_header();
$page_builder = false;
if ( function_exists( 'fw_ext_page_builder_is_builder_post' ) ) {
    $page_builder = (fw_ext_page_builder_is_builder_post($post->ID) == true ) ? true : false;
}

if ( $page_builder == 1 ) : 
    if ( have_posts() ) : 
        while ( have_posts() ) : the_post(); 
        echo '<div class="page-builder-content ">';
            the_content(); 
        echo '</div>';
        endwhile; 
    endif; 
else : ?>
<?php livekitchen_theme_page_header_bg(); ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <h2 class="page-heading"><?php the_title(); ?></h2><!--/.page-heading-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.page-heading-area-->

<div class="blog-single-page-area page-area">
    <div class="container">
        <?php while ( have_posts() ) : the_post(); ?>
        <div class="row">
            <div class="col-md-12">
                <div class="single-post box-radius">                
                    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <div class="entry-header"> 
                            <?php if ( has_post_thumbnail() ) { ?>
                            <figure class="post-thumb"> 
                                <?php livekitchen_theme_post_featured_image(1200, 1000); ?> 
                            </figure> <!-- /.post-thumb -->
                            <?php } ?> 
                        </div><!--/.entry-header-->

                        <div class="entry-content">
                            <?php 
                                the_content(); 
                                livekitchen_theme_wp_link_pages(); 
                            ?>
                        </div><!--/.entry-content-->
                    </div><!--/.single-post-->
                </div><!-- /.single-post box-radius -->
                <?php 
                    // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) {
                        comments_template();
                    }
                ?>
            </div>
        </div><!--/.row--> 
        <?php endwhile; ?> 
    </div><!--/.container-->
</div><!--/.blog-single-page-area-->
<?php endif; ?>
<?php get_footer(); ?>