<?php
/**
 * The template for displaying all single posts.
 *
 * @package Livekitchen
 */
get_header(); ?>
<?php livekitchen_theme_page_header_bg(); ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <h2 class="page-heading"><?php esc_html_e('Read our full story', 'livekitchen'); ?></h2><!--/.page-heading-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.page-heading-area-->

<div class="blog-single-page-area">
    <div class="container">
        <?php while ( have_posts() ) : the_post(); ?>
        <div class="row">
            <?php 
            $col_class = "12";
            if (livekitchen_theme_fw_post_meta('single_full_width_grid') ) {
                $col_class = livekitchen_theme_fw_post_meta('single_full_width_grid'). " full-width-content ";
            } ?>
            <div class="col-md-<?php echo esc_attr($col_class); ?>">
                <article class="post single-post box-radius">
                    <div class="entry-header">
                        <h2 class="entry-title"><?php the_title(); ?></h2><!--/.entry-title-->
                        <div class="entry-meta">
                            <div class="entry-date"><strong><?php esc_html_e('Date', 'livekitchen'); ?></strong>
                                <span><?php the_time( get_option( 'date_format' ) ); ?></span>
                            </div><!--/.entry-date-->

                            <div class="entry-cat"><strong><?php esc_html_e('Category', 'livekitchen'); ?></strong>
                                <?php the_category(', ' ); ?>
                            </div><!--/.entry-cat-->
                            
                            <?php if(has_tag()): ?>
                            <div class="entry-tag"><strong><?php esc_html_e('Tag', 'livekitchen' ); ?></strong>
                                <span class="tag">
                                    <?php the_tags('',', ',''); ?>
                                </span>
                            </div><!--/.entry-tag-->
                            <?php endif; ?>
                            
                            <?php if( function_exists('livekitchen_theme_process_simple_like') ) { ?>
                            <span class="entry-like">
                                <strong><?php esc_html_e('Like', 'livekitchen'); ?></strong>
                                <?php echo livekitchen_theme_get_simple_likes_button( get_the_ID() ); ?>
                            </span> 
                            <?php } ?>
                             
                        </div><!--/.entry-meta-->

                        <?php if ( has_post_thumbnail() ) { ?>
                        <figure class="post-thumb"> 
                            <?php livekitchen_theme_post_featured_image(1200, 1000, false); ?> 
                        </figure> <!-- /.post-thumb -->
                        <?php } ?> 
                    </div><!--/.entry-header-->

                    <div class="entry-content">
                        <?php 
                            the_content(); 
                            livekitchen_theme_wp_link_pages(); 
                        ?>
                    </div><!--/.entry-content-->
                    <?php if (livekitchen_theme_fw_post_meta('post_social_share') == 'show') { ?>
                        <div class="entry-footer">
                            <?php livekitchen_theme_social_share_link(esc_html__('Share:', 'livekitchen')); ?>
                        </div><!--/.entry-footer-->
                    <?php } ?>
                    
                </article><!--/.single-post-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->

        <?php get_template_part( 'template-parts/post/content-relatedpost-single' ); ?> 

        <div class="row">
            <div class="col-md-<?php echo esc_attr($col_class); ?>">
                <?php
                    // If comments are open or we have at least one comment, load up the comment template
                    if ( comments_open() || get_comments_number() ) :
                      comments_template();
                    endif;
                ?>
            </div><!--/.col-md-12-->
        </div><!--/.row-->
        <?php endwhile; ?>
    </div><!--/.container-->
</div><!--/.blog-single-page-area-->
<?php get_footer(); ?>