<?php
/**
 * This template for displaying default layout
 *
 * @package Livekitchen
 */
?>

<!--================= Page Heading Area ===================-->
<?php livekitchen_theme_page_header_bg(); ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <?php if ( is_archive() ) {
                    the_archive_title( '<h3 class="page-heading">', '</h3>' );
                } elseif ( is_search() ) { ?>
                    <h3 class="page-heading"><?php printf( '<span>'.esc_html__( 'Search Results for', 'livekitchen' ).'</span>%s', get_search_query() ); ?></h3>
                <?php } ?>
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.page-heading-area-->

<!--================= Blog Page Area ===================-->
<div class="blog-page-area">
    <div class="container"> 
        <div class="row">
            <div class="col-md-12 mr-top-75">
                <?php $masonry_grid = livekitchen_theme_get_customizer_field(array('grid_masonry_layout_archive', 'masonry')); ?>
                <div class="row layout-<?php echo esc_attr($masonry_grid); ?>">
                    <?php if ( have_posts() ) : ?>
                    <?php while ( have_posts() ) : the_post(); ?> 
                        <?php get_template_part( 'template-parts/post/content', get_post_format() ); ?>
                    <?php endwhile; ?>
                    <?php else : ?>
                        <?php get_template_part( 'template-parts/post/content', 'none' ); ?>
                    <?php endif; ?> 
                </div><!--/.row-->

                <div class="row">
                    <div class="col-md-12">
                        <?php livekitchen_theme_posts_pagination_nav(); ?>
                    </div><!--/.col-md-12-->
                </div><!--/.row-->
            </div><!-- /.col-md-12 -->
        </div><!-- /.row -->
    </div><!-- /.container -->
</div><!-- /.blog-page-area -->
