<?php
/**
 * This template for displaying default layout
 *
 * @package Livekitchen
 */
?>

<!--================= Page Heading Area ===================-->
<?php livekitchen_theme_page_header_bg(); ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <h2 class="page-heading"><?php esc_html_e('Our Stories', 'livekitchen'); ?></h2><!--/.page-heading-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.page-heading-area-->

<!--================= Blog Page Area ===================-->
<div class="blog-page-area">
    <div class="container">
        <div class="row blog-tab-nav mr-top-30">
            <div class="col-md-12">
                <?php $tab_show_disable = livekitchen_theme_get_customizer_field(array('popular_trending_tab', 'hide-tab')); ?>
                <div class="blog-tab-menu <?php echo esc_attr($tab_show_disable); ?>">
                    <!--Nav tabs-->
                    <ul role="tablist" class="nav blog-nav-md nav-tabs hidden-sm hidden-xs">
                        <li class="active">
                            <a href="#grid-recent" role="tab" data-toggle="tab" class="recent-tab"><?php esc_html_e('Recent', 'livekitchen'); ?></a>
                        </li>
                        <li>
                            <a href="#grid-popular" class="popular-list" role="tab" data-toggle="tab"><?php esc_html_e('Popular', 'livekitchen'); ?></a>
                        </li>
                        <li>
                            <a href="#grid-trending" class="trending-list" role="tab" data-toggle="tab"><?php esc_html_e('Trending', 'livekitchen'); ?></a>
                        </li>
                    </ul>
                    <form class="hidden-md hidden-lg">
                        <select class="blog-menu-mobile">
                            <option value='0'><?php esc_html_e('Recent', 'livekitchen'); ?></option>
                            <option value='1'><?php esc_html_e('Popular', 'livekitchen'); ?></option>
                            <option value='2'><?php esc_html_e('Trending', 'livekitchen'); ?></option>
                        </select>
                    </form>
                </div><!--/.blog-tab-menu-->
            </div><!--/.col-md-12-->
        </div><!--/.row-->

        <div class="row blog-tab-content">
            <div class="col-md-12">
                <div class="tab-content">
                    <!--Tab panes-->
                    <div role="tabpanel" id="grid-recent" class="tab-pane fade in active">
                        <?php $masonry_grid = livekitchen_theme_get_customizer_field(array('grid_masonry_layout', 'masonry')); ?>
                        <div class="row layout-<?php echo esc_attr($masonry_grid); ?>">
                            <?php 
                            $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
                            $sticky = get_option( 'sticky_posts' );
                            if ( is_home() && !is_paged() ) :  
                            $wp_sticky_query = new WP_Query(
                                array (
                                    'post__in' => $sticky,
                                )
                            );
                            
                            if ( $wp_sticky_query->have_posts() ) : ?>

                            <?php while ( $wp_sticky_query->have_posts() ) : $wp_sticky_query->the_post(); ?> 
                                <?php
                                    /* Include the Post-Format-specific template for the content.
                                     * If you want to override this in a child theme, then include a file
                                     * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                                     */
                                    if ( is_sticky() ) {
                                        get_template_part( 'template-parts/post/content', get_post_format() );
                                    }
                                ?>

                            <?php endwhile; ?>

                            <?php endif; endif; 
                            
                            $wp_query = new WP_Query(
                                array ( 
                                    'post__not_in' => $sticky,
                                    'paged' => $paged,
                                )
                            );
                            $tab_type = ""; 
                            require get_template_directory().'/template-parts/post/loop.php';
                            ?>              
                            
                        </div><!--/.row-->

                        <div class="row">
                            <div class="col-md-12">
                                <?php livekitchen_theme_posts_pagination_nav(); ?>
                            </div><!--/.col-md-12-->
                        </div><!--/.row-->
                    </div><!--/.tab-pane-->

                    <!--Tab panes-->
                    <div role="tabpanel" id="grid-popular" class="tab-pane fade"> 
                    </div><!--/.tab-pane-->

                    <!--Tab panes-->
                    <div role="tabpanel" id="grid-trending" class="tab-pane fade"> 
                    </div><!--/.tab-pane-->
                    
                </div><!--/.tab-content-->
            </div><!-- /.col-md-12 -->
        </div><!-- /.row -->
    </div><!-- /.container -->
</div><!-- /.blog-page-area -->
