<?php
/**
 * The template for displaying author info 
 *
 * Used for both single and author page.
 *
 * @package Livekitchen
 */
?>
<div class="author-info clearfix">
    <table>
        <tbody>
            <tr>
                <th id="author-img">
                    <figure class="at-img">
                        <?php 
                            if ( get_the_author_meta('_livekitchen_theme_user_pro_pic_custom') != "" ) {
                                echo '<img src="'.esc_url(get_the_author_meta('_livekitchen_theme_user_pro_pic_custom')).'" alt="'.esc_html__('Author Gravater', 'livekitchen').'"/>';
                            } else {
                                echo get_avatar( get_the_author_meta('email') , 160 ); 
                            }
                        ?>
                    </figure>
                </th>
                <th id="post-author-details">
                    <h3 class="author-name"><?php the_author(); ?></h3>
                    <div class="authors-bio">
                        <p><?php the_author_meta('description'); ?></p>
                    </div>
                    <footer id="author-meta" class="clearfix">
                        <div class="post-count">
                            <b><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
                            <?php 
                                the_author_posts();
                                echo ( get_the_author_posts() > 1 ) ? esc_html__( ' Total Posts', 'livekitchen' ) : esc_html__( ' Total Post', 'livekitchen' );
                            ?> </a></b>
                        </div> <!-- /.post-count -->

                        <div class="authors-social">
                            <?php 
                                $social_links = get_the_author_meta('_livekitchen_theme_user_social_link'); 
                                if ( !empty ( $social_links ) ) : 
                                    echo "<b>".esc_html__( 'Follow Me:', 'livekitchen' )."</b>"; 
                                    foreach ($social_links as $key => $value) {
                                        echo "<a href=\"{$value['social_url']}\"><i class=\"fa {$value['social_icon']}\"></i></a>";
                                    } // end foreach
                                endif;
                            ?>
                        </div> 
                    </footer>  <!-- /#author-meta --> 
                </th>
            </tr>
        </tbody>
    </table>
</div> <!-- /.author-info -->