<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package Livekitchen
 */
?>
<div class="row single-event list">
    <div class="col-md-7">
        <?php if ( has_post_thumbnail() ) { ?>
        <figure class="event-thumb"> 
            <?php livekitchen_theme_post_featured_image(660, 480); ?>  
        </figure> <!-- /.post-thumb -->
        <?php } ?>
    </div><!--/.col-md-7-->
    <div class="col-md-5">
        <div class="event-info">
            <div class="event-header">
                <div class="clearfix">
                    <ul class="food-services list-unstyled">
                        <?php  
                        $time_from = livekitchen_theme_fw_post_meta('time_duration','from');
                        $time_to = livekitchen_theme_fw_post_meta('time_duration','to');
                        if($time_from != "" || $time_to != "") { ?>
                        <li>
                            <div class="time-from">
                                <h3 class="date">
                                    <span>
                                    <?php echo date('d', strtotime($time_from)); ?>
                                    </span> 
                                    <?php echo date('F', strtotime($time_from)); ?> 
                                    
                                    <?php 
                                        if(date('d', strtotime($time_from)) != date('d', strtotime($time_to)) || date('F', strtotime($time_from)) != date('F', strtotime($time_to))) {
                                            echo "<span>- ".date('d', strtotime($time_to))."</span> ";
                                        } 
                                    
                                        if(date('d', strtotime($time_from)) != date('d', strtotime($time_to)) || date('F', strtotime($time_from)) != date('F', strtotime($time_to))) {
                                            echo date('F', strtotime($time_to));
                                        } 
                                    ?>
                                </h3>
                                <h4 class="day">
                                <?php 
                                    echo date('l', strtotime($time_from));
                                    if(date('l', strtotime($time_from)) != date('l', strtotime($time_to))) {
                                        echo "-".date('l', strtotime($time_to));
                                    } 
                                ?> 
                                </h4>
                            </div><!--/.time-from-->
                        </li>
                        <li> 
                            <div class="time-start">
                                <h3><?php esc_html_e('time', 'livekitchen'); ?></h3>
                                <h4 class="time"><?php echo date('h:iA', strtotime($time_from)); ?>-<?php echo date('h:iA', strtotime($time_to)); ?></h4>
                            </div><!--/.time-start-->
                        </li>
                        <?php } //$time_from  ?>

                        <?php if(livekitchen_theme_fw_post_meta('event_cost') != "") { ?>
                        <li>
                            <div class="event-cost">
                                <h3><?php esc_html_e('Cost', 'livekitchen'); ?></h3>
                                <span class="price"><?php echo livekitchen_theme_fw_post_meta('event_cost'); ?></span>
                            </div><!--/.event-cost-->
                        </li>
                        <?php } //event_cost ?> 

                        <?php if(livekitchen_theme_fw_post_meta('type') != "") { ?>
                        <li>
                            <div class="event-category">
                                <h3><?php esc_html_e('Type', 'livekitchen'); ?></h3>
                                <span class="type"><?php echo livekitchen_theme_fw_post_meta('type'); ?></span>
                            </div><!--/.event-cost-->
                        </li>
                        <?php } //type ?>  
                    </ul>
                </div>
                <!--/.food-service-->
            </div><!--/.event-header-->

            <h2 class="event-title"><?php the_title(); ?></h2><!--/.event-title-->

            <div class="event-content">
                <?php the_content(); ?>
            </div><!--/.event-content-->
        </div><!--/.event-info-->
    </div><!--/.col-md-5-->
</div><!--/.single-event--> 
