<?php
/**
 * The template for displaying related posts in the single page
 *
 * @package Livekitchen
 */

$query_type = livekitchen_theme_get_customizer_field('related_post_option', '1', 'related_query');
$related_no = 3;
if ( $query_type == 'author' ) {
    $args = array('post__not_in' => array($post->ID),'posts_per_page'=> $related_no, 'no_found_rows'=> 1,'ignore_sticky_posts' => true, 'author'=> get_the_author_meta( 'ID' ));
} elseif ( $query_type == 'tag' ) {
    $tags = wp_get_post_tags($post->ID);
    $tags_ids = array();
    foreach($tags as $individual_tag) $tags_ids[] = $individual_tag->term_id;
    $args = array('post__not_in' => array($post->ID),'posts_per_page'=> $related_no, 'no_found_rows'=> 1,'ignore_sticky_posts' => true, 'tag__in'=> $tags_ids );
} else {
    $categories = get_the_category($post->ID);
    $category_ids = array();
    foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
    $args = array('post__not_in' => array($post->ID), 'posts_per_page'=> $related_no, 'no_found_rows'=> 1, 'ignore_sticky_posts' => true,'category__in'=> $category_ids );
}         

$related_query = new wp_query( $args );

if( $related_query->have_posts() && livekitchen_theme_get_customizer_field('related_post_option', 'related_post')) : ?>

    <div class="row">
        <div class="col-md-12">
            <div class="related-post-area">
                <div class="row">
                    <div class="col-md-12">
                        <div class="related-post-heading text-center">
                            <h2 class="heading"><?php esc_html_e('related post', 'livekitchen'); ?></h2>
                        </div><!--/.related-post-heading-->
                    </div><!--/.col-md-12-->
                </div><!--/.row-->

                <div class="row">
                    <div class="col-md-12">
                        <div class="related-post-content">
                            <div class="row">
                                <?php while( $related_query->have_posts() ) { $related_query->the_post(); ?>
                                <?php get_template_part( 'template-parts/post/content', get_post_format() ); ?>
                                <?php } // end while loop ?>
                            </div><!--/.row-->
                        </div><!--/.related-post-content-->
                    </div><!--/.col-md-12-->
                </div><!--/.row-->
            </div><!--/.related-post-area-->
        </div><!--/.col-md-12-->
    </div><!--/.row-->

<?php 
    endif;  
    wp_reset_postdata();
?> 