<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package Livekitchen
 */

if($room_style == "one") { ?>
    <div class="col-md-3 col-sm-6 col-xs-6">
        <div class="single-room">
            <?php if ( has_post_thumbnail() ) { ?>
            <div class="room-thumb box-radius"> 
                <a href="<?php the_permalink(); ?>">
                <?php livekitchen_theme_post_featured_image(360, 314); ?>  
                </a>
            </div> <!-- /.room-thumb box-radius -->
            <?php } ?>
            <div class="room-info box-radius">
                <h3 class="room-title">
                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </h3>
                <h5><?php esc_html_e('Starting from', 'livekitchen'); ?> <?php do_action( 'hotel_booking_loop_room_price' ); ?></h5> 
            </div>
        </div><!--/.single-room-->
    </div><!--/.col-md-3-->  
    <?php if($hotel_room_i  % 4 == 0 ) { echo '<div class="clearfix hidden-xs"></div>'; } ?>
<?php } elseif ($room_style == "two") { ?>
    <div class="col-md-4 col-sm-6 col-xs-6">
        <div class="single-room grid">
            <?php if ( has_post_thumbnail() ) { ?>
            <div class="room-thumb box-radius"> 
                <a href="<?php the_permalink(); ?>">
                <?php livekitchen_theme_post_featured_image(360, 314); ?>  
                </a>
            </div> <!-- /.room-thumb box-radius -->
            <?php } ?>
            <div class="room-info box-radius">
                <h5><?php esc_html_e('Starting from', 'livekitchen'); ?> <?php do_action( 'hotel_booking_loop_room_price' ); ?></h5> 
                <h3 class="room-title">
                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </h3>
                <h4 class="room-structure">02 King Bed / Max 4 Peoples </h4> 
                <?php 
                $special_features = livekitchen_theme_fw_post_meta('special_features');
                if (!empty($special_features)) { ?>
                <div class="room-services">
                    <?php 
                        foreach ( $special_features as $value ) {  
                            if ($value['icon']['type'] == "icon-font") { ?>
                                <i class="<?php echo esc_attr($value['icon']['icon-class']);?>"></i>
                                <?php
                            } else { ?>
                                <img src="<?php  echo esc_url($value['icon']['url']); ?>" alt="<?php esc_attr_e('img icon','livekitchen' ); ?>" />
                            <?php }  
                        }
                    ?> 
                </div>
                <?php } ?>
                <a href="<?php the_permalink(); ?>" class="btn btn-details"><?php esc_html_e('more details', 'livekitchen'); ?></a>
            </div>
        </div><!--/.single-room-->
    </div><!--/.col-md-4-->
    <?php if($hotel_room_i  % 3 == 0 ) { echo '<div class="clearfix hidden-xs"></div>'; } ?>
<?php } else { ?>
    <div class="single-room list">
        <div class="col-md-5 padding-right">
            <?php if ( has_post_thumbnail() ) { ?>
            <div class="room-thumb box-radius"> 
                <a href="<?php the_permalink(); ?>">
                <?php livekitchen_theme_post_featured_image(490, 411); ?>  
                </a>
            </div> <!-- /.room-thumb box-radius -->
            <?php } ?>
            <a href="<?php the_permalink(); ?>" class="btn btn-details"><?php esc_html_e('View Details Information And Book', 'livekitchen'); ?><i class="fa fa-arrow-right"></i></a>
        </div><!--/.col-md-5-->
        <div class="col-md-7">
            <div class="room-info">
                <h3 class="room-title">
                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </h3>
                <h5><?php esc_html_e('Starting from', 'livekitchen'); ?> <?php do_action( 'hotel_booking_loop_room_price' ); ?></h5> 
                <h4 class="room-structure">2 King Bed / Max 6 people included</h4> 
                <?php 
                $special_features = livekitchen_theme_fw_post_meta('special_features');
                if (!empty($special_features)) { ?>
                <ul class="room-services list-unstyled">
                    <?php 
                        foreach ( $special_features as $value ) { 
                            ?><li><?php
                            if ($value['icon']['type'] == "icon-font") { ?>
                                <i class="<?php echo esc_attr($value['icon']['icon-class']);?>"></i>
                                <?php
                            } else { ?>
                                <img src="<?php  echo esc_url($value['icon']['url']); ?>" alt="<?php esc_attr_e('img icon','livekitchen' ); ?>" />
                            <?php } 
                            if(!empty($value['title'])) echo esc_html($value['title']);
                            ?></li><?php
                        }
                    ?> 
                </ul>
                <?php } ?>
            </div><!--/.room-info-->
        </div><!--/.col-md-7-->
    </div><!-- /.single-room .list -->
    <?php if($hotel_room_i  % 1 == 0 ) { echo '<div class="clearfix hidden-xs"></div>'; } ?>
<?php } ?>
