<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package Livekitchen
 */
?>
<div class="col-md-4 col-sm-6 col-xs-6">
    <article id="post-<?php the_ID(); ?>" <?php post_class('box-radius post text-center'); ?>>
        <div class="entry-header">
            <?php if ( has_post_thumbnail() ) { ?>
            <figure class="post-thumb">
                <a href="<?php the_permalink(); ?>">
                    <?php livekitchen_theme_post_featured_image(360, 260, true); ?>            
                </a>
            </figure> <!-- /.post-thumb -->
            <?php } ?> 
            <div class="entry-meta">
                <?php if( get_the_post_thumbnail() == "" && get_the_title() == ""): ?>
                <span class="entry-date"><a href="<?php the_permalink(); ?>"><?php the_time( get_option( 'date_format' ) ); ?></a></span>
                <?php else: ?>
                <span class="entry-date"><?php the_time( get_option( 'date_format' ) ); ?></span>
                <?php endif; ?>
                <span class="entry-cat"><?php the_category(', ' ); ?></span>
            </div><!--/.entry-meta-->
        </div><!--/.entry-header-->
        <?php  the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
        <div class="entry-footer">
            <div class="entry-footer-meta entry-meta">
                <?php livekitchen_theme_like_comment_view(); ?>
            </div><!--/.entry-footer-meta-->
        </div><!--/.entry-footer-->
    </article><!--/.post-->
</div><!--/.col-md-4-->
<?php 
$masonry_grid = (is_archive() || is_search() ) ? livekitchen_theme_get_customizer_field(array('grid_masonry_layout_archive', 'masonry')) : livekitchen_theme_get_customizer_field(array('grid_masonry_layout', 'masonry'));
if( $masonry_grid != "masonry" && livekitchen_theme_counter_two() % 3 == 0) { ?>
<div class="clearfix"></div><!-- /.clearfix -->
<?php } ?>

