<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header(); ?>
<?php livekitchen_theme_page_header_bg(); ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center"> 
                <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?> 
                	<h2 class="page-heading"><?php woocommerce_page_title(); ?></h2> 
                <?php endif; ?>
            </div><!--/.col-md-12-->
        </div><!--/.row-->
    </div><!--/.container-->
</div><!--/.page-heading-area-->

<!--================= Our Shop Section ===================-->
<section class="our-shop-section bg-white-smoke">
    <div class="container">
        <div class="col-md-12">
	        <div class="menu-content-area">
	            <div class="row layout-product">
	            	<?php 
                    $shop_catalog = wc_get_image_size( 'shop_catalog' );
	            	if (have_posts()):
	            	?>
	            	<div class="col-md-12">
	            	<?php 
            		woocommerce_product_loop_start();

            		woocommerce_product_loop_end();
            		?>
            		</div>
            		<?php
	            	$i = 1; 
	            	while (have_posts()) : the_post(); ?>
	                <div class="col-md-3 col-sm-6 col-xs-6 grid">
	                    <div class="menu-item-two">
	                        <div class="image-area">
	                            <?php if ( has_post_thumbnail() ) { ?> 
	                                <a href="<?php the_permalink(); ?>"> 
                                        <?php livekitchen_theme_post_featured_image($shop_catalog['width'], $shop_catalog['height'], $shop_catalog['crop']); ?> 
	                                </a> 
	                            <?php } ?> 
	                        </div>
	                        <div class="menu-content text-center">
	                            <div class="item-price">
	                                <div class="price-inner"><?php global $product; echo wp_kses( $product->get_price_html(), Livekitchen_Theme_Static::html_allow() ); ?></div>
	                            </div>
	                            <h5 class="menu-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
	                            <div class="add-cart">
	                            	<?php
	                            		/**
	                            		 * woocommerce_before_shop_loop_item hook.
	                            		 *
	                            		 * @hooked woocommerce_template_loop_product_link_open - 10
	                            		 */
	                            		do_action( 'woocommerce_before_shop_loop_item' );
	                            		
	                                    /**
	                                     * woocommerce_after_shop_loop_item hook.
	                                     *
	                                     * @hooked woocommerce_template_loop_product_link_close - 5
	                                     * @hooked woocommerce_template_loop_add_to_cart - 10
	                                     */
	                                    do_action( 'woocommerce_after_shop_loop_item' );
	                                ?>
	                            </div> <!-- /.add-cart -->  
	                        </div>
	                    </div>
	                </div>
		            <?php endwhile; 
		            else:
		            	get_template_part( 'template-parts/post/content-none');
		            endif; wp_reset_postdata(); 

		            /**
		             * Hook: woocommerce_after_shop_loop.
		             *
		             * @hooked woocommerce_pagination - 10
		             */
		            do_action( 'woocommerce_after_shop_loop' );

		            ?>
	            </div><!--/.row-->

	            <div class="row">
	                <div class="col-md-12 text-center">
	                    <?php livekitchen_theme_posts_pagination_nav(); ?>
	                </div><!--/.col-md-12-->
	            </div><!--/.row-->
	        </div>
        </div><!-- /.col-md-9 -->
    </div><!--/.container-->
</section><!--/.our-menu-section-->
<?php get_footer(); ?>