<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if (is_cart()) {
    $post_class = "col-md-6";
} else {
    $post_class = "col-md-3";
} 

$shop_catalog = wc_get_image_size( 'shop_catalog' );
?>
<div class="<?php echo esc_attr($post_class); ?> col-sm-6 col-xs-6">
    <div class="menu-item-two">
        <div class="image-area">
            <?php if ( has_post_thumbnail() ) { ?> 
                <a href="<?php the_permalink(); ?>">
                    <?php livekitchen_theme_post_featured_image($shop_catalog['width'], $shop_catalog['height'], $shop_catalog['crop']); ?> 
                </a> 
            <?php } ?> 
        </div>
        <div class="menu-content text-center">
            <div class="item-price">
                <div class="price-inner"><?php global $product; echo wp_kses( $product->get_price_html(), Livekitchen_Theme_Static::html_allow() ); ?></div>
            </div>
            <h5 class="menu-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
            <div class="add-cart">
                <?php
                    /**
                     * woocommerce_before_shop_loop_item hook.
                     *
                     * @hooked woocommerce_template_loop_product_link_open - 10
                     */
                    do_action( 'woocommerce_before_shop_loop_item' );

                    /**
                     * woocommerce_after_shop_loop_item hook.
                     *
                     * @hooked woocommerce_template_loop_product_link_close - 5
                     * @hooked woocommerce_template_loop_add_to_cart - 10
                     */
                    do_action( 'woocommerce_after_shop_loop_item' );
                ?>
            </div> <!-- /.add-cart -->  
        </div>
    </div>
</div>
