<?php
class Livekitchen_Gallery_Posts extends WP_Widget {

	function __construct() {
        $title_n_description = esc_html__('Livekitchen : Gallery Posts', 'livekitchen');
        parent::__construct(
            __CLASS__, //class name
            $title_n_description, // widget title
            array (
                'description' => $title_n_description // widget description
            )
        );
    }

	public function form( $instance) {
		extract($instance);
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e('Title:','livekitchen'); ?></label>
			<input
				class="widefat"
				type="text"
				id="<?php echo $this->get_field_id('title'); ?>"
				name="<?php echo $this->get_field_name('title'); ?>"
				value="<?php if( isset($title) ) echo esc_attr($title); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('livekitchen_theme_gallery_post_limit'); ?>"><?php esc_html_e('Number of posts to show:','livekitchen'); ?></label>
			<input 
				id="<?php echo $this->get_field_id('livekitchen_theme_gallery_post_limit'); ?>" 
				type="text" 
				name="<?php echo $this->get_field_name('livekitchen_theme_gallery_post_limit'); ?>"
				value="<?php if( isset($livekitchen_theme_gallery_post_limit) ) echo esc_attr($livekitchen_theme_gallery_post_limit); ?>"
				size="3" />
		</p>
		<?php
	} // end form function

	function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        //Strip tags from title and name to remove HTML
        $instance['title'] = strip_tags( $new_instance['title'] );
        $instance['livekitchen_theme_gallery_post_limit'] = intval( $new_instance['livekitchen_theme_gallery_post_limit'] );
     
        return $instance;
    }

	public function widget($args, $instance) {
		extract($args);
		extract($instance);
		$title = apply_filters('widget_title',$title);
		$livekitchen_theme_gallery_post_limit = apply_filters('widget_livekitchen_theme_gallery_post_limit',$livekitchen_theme_gallery_post_limit);

		if ( $livekitchen_theme_gallery_post_limit == 0 ) $livekitchen_theme_gallery_post_limit = 5;

		echo $before_widget;
			if ( !empty( $title ) ) {
				echo $before_title . $title . $after_title;
			}
			?>			
				<?php 
					$livekitchen_theme_gallery_post = new WP_Query( 
						array( 
							'posts_per_page' => $livekitchen_theme_gallery_post_limit,
						   	'post_type' => 'gallery',
						) 
					);
				?>
				<div class="widget-gallery-feed">
                    <ul>
						<?php while ( $livekitchen_theme_gallery_post->have_posts() ) : $livekitchen_theme_gallery_post->the_post(); ?>
                    	<li class="feed-wrapper">
                        	<?php if(livekitchen_theme_fw_post_meta('gallery_type_option','gallery_type') == "image") { ?>
								<?php if(livekitchen_theme_fw_post_meta('gallery_type_option','image','img','attachment_id') != "") { ?> 
								<img src="<?php echo esc_url(livekitchen_theme_get_image_crop_size(livekitchen_theme_fw_post_meta('gallery_type_option','image','img','attachment_id'), 105, 100, true)); ?>" alt="<?php esc_attr_e('img', 'livekitchen' ); ?>"> 
								<?php } ?> 
                        	<?php } else { ?> 
                        		<img src="<?php echo esc_url(livekitchen_theme_get_image_crop_size(livekitchen_theme_fw_post_meta('gallery_type_option','video','video_screenshot','attachment_id'), 105, 100, true)); ?>" alt="<?php esc_attr_e('img', 'livekitchen' ); ?>"> 
                        	<?php } ?>
                        </li>
		                <?php endwhile; ?>
					</ul> 
                </div> <!-- /.widget-feed --> 
			<?php
		echo $after_widget;
	}
}