<?php
class Livekitchen_Latest_Posts extends WP_Widget {

	function __construct() {
        $title_n_description = esc_html__('Livekitchen : Latest Posts', 'livekitchen');
        parent::__construct(
            __CLASS__, //class name
            $title_n_description, // widget title
            array (
                'description' => $title_n_description // widget description
            )
        );
    }

	public function form( $instance) {
		extract($instance);
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e('Title:', 'livekitchen'); ?></label>
			<input
				class="widefat"
				type="text"
				id="<?php echo $this->get_field_id('title'); ?>"
				name="<?php echo $this->get_field_name('title'); ?>"
				value="<?php if( isset($title) ) echo esc_attr($title); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('livekitchen_theme_latest_post_limit'); ?>"><?php esc_html_e('Number of posts to show:', 'livekitchen'); ?></label>
			<input 
				id="<?php echo $this->get_field_id('livekitchen_theme_latest_post_limit'); ?>" 
				type="text" 
				name="<?php echo $this->get_field_name('livekitchen_theme_latest_post_limit'); ?>"
				value="<?php if( isset($livekitchen_theme_latest_post_limit) ) echo esc_attr($livekitchen_theme_latest_post_limit); ?>"
				size="3" />
		</p>
		<?php
	} // end form function

	function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        //Strip tags from title and name to remove HTML
        $instance['title'] = strip_tags( $new_instance['title'] );
        $instance['livekitchen_theme_latest_post_limit'] = intval( $new_instance['livekitchen_theme_latest_post_limit'] );
     
        return $instance;
    }

	public function widget($args, $instance) {
		extract($args);
		extract($instance);
		$title = apply_filters('widget_title',$title);
		$livekitchen_theme_latest_post_limit = apply_filters('widget_livekitchen_theme_latest_post_limit',$livekitchen_theme_latest_post_limit);
		if ( empty($livekitchen_theme_latest_post_limit) ) $livekitchen_theme_latest_post_limit = 5;

		echo $before_widget;
			if ( !empty( $title ) ) {
				echo $before_title . $title . $after_title;
			}
			?>
			
				<?php 
					$livekitchen_theme_latest_post = new WP_Query( array( 'posts_per_page' => $livekitchen_theme_latest_post_limit,  'order' => 'DESC', 'ignore_sticky_posts' => true  ) );
				?>
				<div class="widget-feed">
                    <ul>
						<?php while ( $livekitchen_theme_latest_post->have_posts() ) : $livekitchen_theme_latest_post->the_post(); ?>

                    	<li class="feed-wrapper">
                            <div class="content">      
                            	<?php if ( has_post_thumbnail() ) {?>                           
                                <div class="image-area">
                                    <?php get_template_part( 'template-parts/post/content', 'image-small' ); ?>
                                </div> <!-- /.image-area -->
                                <?php } ?>

                                <div class="item-text">
                                    <h5><a href="<?php the_permalink(); ?>"><?php echo livekitchen_theme_custom_post_excerpt( get_the_title(), 70, '&hellip;'); ?></a></h5>
                                    <span class="item-meta"><?php the_time( 'j M, Y' ); ?></span>
                                </div> <!-- /.item-text -->
                            </div>  <!-- /.content --> 
                        </li>

		                <?php
							endwhile;
						?>
					</ul> 
                </div> <!-- /.widget-feed -->  
			<?php
		echo $after_widget;
	}
}