<?php
class Livekitchen_Opening_Hour extends WP_Widget {

    function __construct() {
        $title_n_description = esc_html__('Livekitchen : Opening Hour', 'livekitchen');
        parent::__construct(
            __CLASS__, //class name
            $title_n_description, // widget title
            array (
                'description' => $title_n_description // widget description
            )
        );
    }

    public function form( $instance) {
        $defaults = array(
                'title' => esc_html__('Opening Hour','livekitchen'), 
                'total_day' => 7,
                'day_1' => "Monday",
                'day1_time' => "8.00am - 12.00pm",
                'day_2' => "Tuesday",
                'day2_time' => "8.00am - 12.00pm",
                'day_3' => "Wednesday",
                'day3_time' => "8.00am - 12.00pm",
                'day_4' => "Thusday",
                'day4_time' => "8.00am - 12.00pm",
                'day_5' => "Friday",
                'day5_time' => "8.00am - 12.00pm",
                'day_6' => "Saturday",
                'day6_time' => "8.00am - 12.00pm",
                'day_7' => "Sunday",
                'day7_time' => "Closed", 
                'off_day' => 7, 
            );
        $instance = wp_parse_args((array) $instance, $defaults);

        extract($instance); 
        ?>   
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e('Title:','livekitchen'); ?></label>
            <input
                class="widefat"
                type="text"
                id="<?php echo $this->get_field_id('title'); ?>"
                name="<?php echo $this->get_field_name('title'); ?>"
                value="<?php if( isset($title) ) echo esc_attr($title); ?>" />
        </p>  
          
        <?php
            for ($i=1; $i <= $total_day; $i++) { 
                $day='day_'.$i;
                $time='day'.$i.'_time';
                ?>
                <p>
                    <label for="<?php echo $this->get_field_id($day); ?>"><?php echo esc_html__("Day and Time","livekitchen")." ".$i.":"; ?></label>
                    <input
                        class="widefat"
                        style="margin-bottom: 3px;"
                        type="text"
                        placeholder="<?php echo esc_html__("Day","livekitchen"); ?>"
                        id="<?php echo $this->get_field_id($day); ?>"
                        name="<?php echo $this->get_field_name($day); ?>"
                        value="<?php if( isset($$day) ) echo esc_attr($$day); ?>" />
                    <input
                        class="widefat"
                        type="text"
                        placeholder="<?php echo esc_html__("Time","livekitchen"); ?>"
                        id="<?php echo $this->get_field_id($time); ?>"
                        name="<?php echo $this->get_field_name($time); ?>"
                        value="<?php if( isset($$time) ) echo esc_attr($$time); ?>" />
                </p>
                <?php
            }
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('total_day'); ?>"><?php esc_html_e('Number of link you want to post:','livekitchen'); ?></label>
            <input 
                id="<?php echo $this->get_field_id('total_day'); ?>" 
                type="text" 
                name="<?php echo $this->get_field_name('total_day'); ?>"
                value="<?php if( isset($total_day) ) echo esc_attr($total_day); ?>"
                size="3" />
        </p>    
        <p>
            <label for="<?php echo $this->get_field_id('off_day'); ?>"><?php esc_html_e('Off day No:','livekitchen'); ?></label>
            <input 
                id="<?php echo $this->get_field_id('off_day'); ?>" 
                type="text" 
                name="<?php echo $this->get_field_name('off_day'); ?>"
                value="<?php if( isset($off_day) ) echo esc_attr($off_day); ?>"
                size="3" />
        </p>       
        <?php
    } // end form function

    function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        //Strip tags from title and name to remove HTML
        foreach ($new_instance as $key => $value) {
            if ( $key == "total_day" ) {
                $instance[$key] = intval( $new_instance[$key] );
            } else {                
                $instance[$key] = strip_tags( $new_instance[$key] );
            }
        } // end for each
        return $instance;
    }

    public function widget($args, $instance) {
        extract($args);
        extract($instance);
        $title = apply_filters( 'widget_title', $title );       
        $total_day = apply_filters( 'widget_total_day', $total_day );       
        $off_day = apply_filters( 'widget_off_day', $off_day );       
   
        echo $before_widget;
            if ( !empty( $title ) ) {
                echo $before_title . $title . $after_title;
            } ?>
            <div class="widget-opening-hour">    
                <ul>      
                <?php
                    $print_time = "";
                    $i = 0;
                    foreach ($instance as $keys => $value) {
                        if ( $i == $total_day ) break;
                        $key = explode("_", $keys);
                        if($key[0] == 'day') {
                            if ( !empty($value) ) {
                              $print_time=true;
                              $day = apply_filters( $value, $value );
                            }
                        } elseif ( isset( $key[1] ) && $key[1] == 'time' && $print_time) {
                            $time = apply_filters( $value, $value ); 
                            $off_date = $i+1; 
                            $off_day_color = ($off_day == $off_date) ? 'offday' :'';
                            echo "<li class='$off_day_color'>$day<span class='pull-right'>$time</span></li>";
                            $print_time = false;
                            $i++;
                        }
                        
                    } // end foreach
                ?>  
                </ul>                
            </div> <!-- /.widget-opening-hour -->                
            <?php
        echo $after_widget;
    }
}