<?php
/**
 * @package Livekitchen Theme Plugin
 * @version 1.0
 */
/*
Plugin Name: Livekitchen Theme Plugin
Plugin URI: http://softhopper.net/plugins/livekitchen-theme-plugin
Description: This plugin contains essential data for livekitchen wordpress theme, To use Livekitchen theme properly you must install this plugin.
Author: SoftHopper
Version: 2.1
Author URI: http://softhopper.net/
*/
if ( ! function_exists( 'livekitchen_plugin_custom_posts' ) ) :
function livekitchen_plugin_custom_posts() {
    
    $events_label = array(
        'name' => esc_html_x('Events', 'Post Type General Name', 'livekitchen'),
        'singular_name' => esc_html_x('Events', 'Post Type Singular Name', 'livekitchen'),
        'menu_name' => esc_html__('Events', 'livekitchen'),
        'parent_item_colon' => esc_html__('Parent Events:', 'livekitchen'),
        'all_items' => esc_html__('All Events', 'livekitchen'),
        'view_item' => esc_html__('View Events', 'livekitchen'),
        'add_new_item' => esc_html__('Add New Event', 'livekitchen'),
        'add_new' => esc_html__('New Event', 'livekitchen'),
        'edit_item' => esc_html__('Edit Event', 'livekitchen'),
        'update_item' => esc_html__('Update Events', 'livekitchen'),
        'search_items' => esc_html__('Search Events', 'livekitchen'),
        'not_found' => esc_html__('No news event found', 'livekitchen'),
        'not_found_in_trash' => esc_html__('No news event found in Trash', 'livekitchen'),
    );
    $events_args = array(
        'label' => esc_html__('Events', 'livekitchen'),
        'description' => esc_html__('Events', 'livekitchen'),
        'labels' => $events_label,
        'supports' => array('title', 'editor', 'thumbnail'), 
        'hierarchical' => false,
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'show_in_nav_menus' => true,
        'show_in_admin_bar' => true,
        'menu_position' => 20,
        'menu_icon' => 'dashicons-calendar-alt',
        'can_export' => true,
        'has_archive' => true,
        'exclude_from_search' => true,
        'publicly_queryable' => true,
        'capability_type' => 'page',
    );
    register_post_type('events', $events_args); 

    /* Gallery Custom Post*/  
    $gallery_label = array(
        'name' => esc_html_x('Gallery', 'Post Type General Name', 'livekitchen'),
        'singular_name' => esc_html_x('Gallery', 'Post Type Singular Name', 'livekitchen'),
        'menu_name' => esc_html__('Gallery', 'livekitchen'),
        'parent_item_colon' => esc_html__('Parent Gallery:', 'livekitchen'),
        'all_items' => esc_html__('All Gallery', 'livekitchen'),
        'view_item' => esc_html__('View Gallery', 'livekitchen'),
        'add_new_item' => esc_html__('Add New Gallery', 'livekitchen'),
        'add_new' => esc_html__('New Gallery', 'livekitchen'),
        'edit_item' => esc_html__('Edit Gallery', 'livekitchen'),
        'update_item' => esc_html__('Update Gallery', 'livekitchen'),
        'search_items' => esc_html__('Search Gallery', 'livekitchen'),
        'not_found' => esc_html__('No gallery found', 'livekitchen'),
        'not_found_in_trash' => esc_html__('No gallery found in Trash', 'livekitchen'),
    );
    $gallery_args = array(
        'label' => esc_html__('Gallery', 'livekitchen'),
        'description' => esc_html__('Gallery', 'livekitchen'),
        'labels' => $gallery_label,
        'supports' => array('title'),
        'taxonomies' => array('gallery_cat'),
        'hierarchical' => false,
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'show_in_nav_menus' => true,
        'show_in_admin_bar' => true,
        'menu_position' => 20,
        'menu_icon' => 'dashicons-screenoptions',
        'can_export' => true,
        'has_archive' => true,
        'exclude_from_search' => true,
        'publicly_queryable' => true,
        'capability_type' => 'page',
    );
    register_post_type('gallery', $gallery_args);   

    // Add new taxonomy, make it hierarchical (like categories) 
    $gallery_taxonomy_labels = array(
        'name'              => esc_html__( 'Gallery Categories','livekitchen' ),
        'singular_name'     => esc_html__( 'Gallery Categories','livekitchen' ),
        'search_items'      => esc_html__( 'Search Gallery Category','livekitchen' ),
        'all_items'         => esc_html__( 'All Gallery Category','livekitchen' ),
        'parent_item'       => esc_html__( 'Parent Gallery Category','livekitchen' ),
        'parent_item_colon' => esc_html__( 'Parent Gallery Category:','livekitchen' ),
        'edit_item'         => esc_html__( 'Edit Gallery Category','livekitchen' ),
        'update_item'       => esc_html__( 'Update Gallery Category','livekitchen' ),
        'add_new_item'      => esc_html__( 'Add New Gallery Category','livekitchen' ),
        'new_item_name'     => esc_html__( 'New Gallery Category Name','livekitchen' ),
        'menu_name'         => esc_html__( 'Gallery Category','livekitchen' ),
    );    

    // Now register the gallery taxonomy
    register_taxonomy('gallery_cat', array('gallery'), array(
        'hierarchical' => true,
        'labels' => $gallery_taxonomy_labels,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'rewrite' => array( 'slug' => 'gallery' ),
    ));


    $reservation_labels = array(
        "name"          => esc_html__( "Reservation", "livekitchen" ),
        "singular_name" => esc_html__( "Reservations", "livekitchen" ),
    );

    $reservation_args = array(
        "label"               => esc_html__( "Reservation", "livekitchen" ),
        "labels"              => $reservation_labels,
        "description"         => "",
        "public"              => false,
        "publicly_queryable"  => false,
        "show_ui"             => true,
        "show_in_rest"        => false,
        "rest_base"           => "",
        "has_archive"         => false,
        "show_in_menu"        => true,
        "show_in_nav_menus"   => false,
        "exclude_from_search" => true,
        "capability_type"     => "post",
        "map_meta_cap"        => true,
        "hierarchical"        => false,
        "rewrite"             => array( "slug" => "reservation", "with_front" => true ),
        "query_var"           => true,
        "menu_position"       => 25,
        "menu_icon"           => "dashicons-media-document",
        "supports"            => array( "title" ),
    );

    register_post_type( "reservation", $reservation_args );

}
endif;
add_action('init', 'livekitchen_plugin_custom_posts', 0);

add_action( "wp_enqueue_scripts", "livekitchen_reservation_assets" );
function livekitchen_reservation_assets() {
    $js_files = [
        "reservation-main-js" => [
            'src'          => plugin_dir_url( __FILE__ ) . "/assets/js/reservation.js",
            'dependencies' => [ 'jquery' ],
            'version'      => time(),
            'localize'     => [
                'handle' => 'reservation',
                'data'   => [
                    'ajax_url' => admin_url( 'admin-ajax.php' )
                ]
            ]
        ]
    ];

    foreach ( $js_files as $handle => $js_file ) {
        wp_enqueue_script( $handle, $js_file['src'], $js_file['dependencies'], $js_file['version'], true );
        if ( isset( $js_file['localize'] ) ) {
            wp_localize_script( $handle, $js_file['localize']['handle'], $js_file['localize']['data'] );
        }
    }
}

function livekitchen_reservation_process_data() {

    if ( check_ajax_referer( 'reservation', 'rn' ) ) {
        $name    = sanitize_text_field( $_POST['name'] );
        $email   = sanitize_text_field( $_POST['email'] );
        $persons = sanitize_text_field( $_POST['persons'] );
        $phone   = sanitize_text_field( $_POST['phone'] );
        $date    = sanitize_text_field( $_POST['date'] );
        $time    = sanitize_text_field( $_POST['time'] );
        $product_id  = sanitize_text_field( $_POST['product_id'] );

        $data = array(
            'name'    => $name,
            'email'   => $email,
            'phone'   => $phone,
            'persons' => $persons,
            'date'    => $date,
            'time'    => $time,
            'product_id' => $product_id
        );

        $reservation_arguments = array(
            'post_type'   => 'reservation',
            'post_author' => 1,
            'post_date'   => date( 'Y-m-d H:i:s' ),
            'post_status' => 'publish',
            'post_title'  => sprintf( '%s - Reservation for %s persons on %s - %s', $name, $persons, $date . " : " . $time, $email ),
            'meta_input'  => $data
        );

        $reservations = new WP_Query( array(
            'post_type'   => 'reservation',
            'post_status' => 'publish',
            'meta_query'  => array(
                'relation'    => 'AND',
                'email_check' => array(
                    'key'   => 'email',
                    'value' => $email
                ),
                'date_check'  => array(
                    'key'   => 'date',
                    'value' => $date
                ),
                'time_check'  => array(
                    'key'   => 'time',
                    'value' => $time
                ),
            )
        ) );
        if ( $reservations->found_posts > 0 ) {
            echo 'duplicate';
        } else {
            $wp_error       = '';
            $reservation_id = wp_insert_post( $reservation_arguments, $wp_error );

            //transient check
            $reservation_count = get_transient( 'res_count' ) ? get_transient( 'res_count' ) : 0;
            //transient check end

            if ( ! $wp_error ) {

                $reservation_count ++;
                set_transient( 'res_count', $reservation_count, 0 );

                $_name      = explode( " ", $name );
                $order_data = array(
                    'first_name' => $_name[0],
                    'last_name'  => isset( $_name[1] ) ? $_name[1] : '',
                    'email'      => $email,
                    'phone'      => $phone,
                );
                $order  = wc_create_order();
                $order->set_address( $order_data );
                $order->add_product( wc_get_product( $product_id ), 1 );
                $order->set_customer_note( $reservation_id );
                $order->calculate_totals();

                add_post_meta( $reservation_id, 'order_id', $order->get_id() );

                echo $order->get_checkout_payment_url();
            }
        }

    } else {
        echo 'Not allowed';
    }
    die();
}

add_action( 'wp_ajax_reservation', 'livekitchen_reservation_process_data' );
add_action( 'wp_ajax_nopriv_reservation', 'livekitchen_reservation_process_data' );

function livekitchen_reservation_order_status_processing( $order_id ) {
    $order          = wc_get_order( $order_id );
    $reservation_id = $order->get_customer_note();
    if ( $reservation_id ) {
        $reservation = get_post( $reservation_id );
        wp_update_post( array(
            'ID'         => $reservation_id,
            'post_title' => "[Paid] - " . $reservation->post_title
        ) );

        add_post_meta( $reservation_id, 'paid', 1 );
    }
}

add_filter( 'woocommerce_order_status_processing', 'livekitchen_reservation_order_status_processing' );


function livekitchen_reservation_change_menu( $menu ) {
    $reservation_count = get_transient( 'res_count' ) ? get_transient( 'res_count' ) : 0;
    if ( $reservation_count > 0 ) {
        $menu[5][0] = "Reservation <span class='awaiting-mod'>{$reservation_count}</span> ";
    }

    return $menu;
}

add_filter( 'add_menu_classes', 'livekitchen_reservation_change_menu' );

function livekitchen_reservation_admin_scripts( $screen ) {
    $_screen = get_current_screen();
    if ( 'edit.php' == $screen && 'reservation' == $_screen->post_type ) {
        delete_transient( 'res_count' );
    }
}

add_action( 'admin_enqueue_scripts', 'livekitchen_reservation_admin_scripts' );



//this function for book a table shortcode
function livekitchen_theme_book_a_table() { 
    $name = ($_REQUEST['name']) ? $_REQUEST['name'] : "";
    $email = ($_REQUEST['email']) ? $_REQUEST['email'] : "";
    $phone = ($_REQUEST['phone']) ? $_REQUEST['phone'] : "";
    $date = ($_REQUEST['date']) ? $_REQUEST['date'] : "";
    $time = ($_REQUEST['time']) ? $_REQUEST['time'] : "";
    $receving_mail_id = ($_REQUEST['receving_mail_id']) ? $_REQUEST['receving_mail_id'] : "";
    $book_message = ($_REQUEST['message']) ? $_REQUEST['message'] : "";
    $to = $receving_mail_id;
    $subject = printf(esc_html__('Book A Table Form %s Website', 'livekitchen' ), bloginfo('name'));
    $message = esc_html__('Name: ', 'livekitchen' ) . $name . "\n";
    $message +=  esc_html__('Email: ', 'livekitchen') . $email . "\n";
    $message +=  esc_html__('Phone: ', 'livekitchen') . $phone . "\n";
    $message +=  esc_html__('Date: ', 'livekitchen') . $date . "\n";
    $message +=  esc_html__('Time: ', 'livekitchen') . $time . "\n";
    $message +=  esc_html__('Message: ', 'livekitchen') . $book_message . "\n";
    wp_mail($to, $subject, $message);
    die();
}
add_action('wp_ajax_nopriv_livekitchen_theme_book_a_table', 'livekitchen_theme_book_a_table');
add_action('wp_ajax_livekitchen_theme_book_a_table', 'livekitchen_theme_book_a_table');



/**
 * Widgets
 */ 
require_once plugin_dir_path( __FILE__ ) . '/inc/widgets/widgets.php';
require_once plugin_dir_path( __FILE__ ) . '/inc/post-like.php';

function plugin_actvation( $arg ) {
    return is_plugin_active($arg);
}

function livekicehen_current_screen() {
    return $_SERVER['PHP_SELF'];
}

function livekitchen_images_aq_filter() {
    remove_filter( 'image_resize_dimensions', array( $this, 'aq_upscale' ) );
}
add_action( 'livekitchen_images_filter', 'livekitchen_images_aq_filter' );

remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);